Welcome to SyncBackSE

 Return to Introduction

SyncBackSE V4.1

Welcome to the help and information guide of SyncBackSE V4.1.

SyncBackSE is used to back-up, restore, and synchronize files and directories, whether they be on a local drive, a network drive, an FTP server, a ZIP archive, or on removable media.

SyncBackSE copies locked and/or open files, has a powerful FTP engine, a 'Fast Backup' option, Smart Synchronization, fast compression with AES encryption, and a number of crucial advantages over its freeware namesake. For more on the benefits of SyncBackSE over SyncBack freeware go to What's New.

All Content: 2BrightSparks Pte Ltd © 2003-2006


Why Use SyncBackSE?

SyncBackSE Version 4 in Action

As you work on your computer you'll find there are times when you wish you had a backup. Perhaps you've inadvertently deleted a file you shouldn't have, perhaps you need to roll-back your work to a previous time and date, perhaps you have a laptop and a desktop you need to synchronize via FTP. SyncBackSE can help you with all these tasks and more.

castle Protect yourself from data loss

SyncBackSE helps you to protect yourself from data loss by allowing you to backup your important files. When disaster strikes you click a single button to restore.

lifebelt Recover files in minutes instead of hours

SyncBackSE helps you spend time on those things that matter. Trying to recover from the effects of lost data can be very costly and time consuming. SyncBackSE's proven backup and synchronization solution is a breeze to implement, reliable, and affordable.

gears Ease of use and advanced functionality

SyncBackSE delivers great ease of use and outstanding functionality at a highly competitive price. Look at the features you'll find below:

· Backup Files
· Restore Files
· Synchronize Files
· Simulated Run and Restore
· New Differences window that provides clear & complete control over what to do with changed & new files
· Fast compression with options, 256-bit AES encryption, Zip64, and self-extracting Zip file support
· Smart Synchronization that lets you truly synchronize directories
· Improved HTML log file layout (text version also available)
· New folder & file selection tree to allow for complete control over what files & folders are included in a profile
· Powerful regular expression filters
· Improved Fast Backup options
· Now fully Unicode
· Backup Locked/Open Files
· 'Fast Backup' option
· Secure FTP Backup and Synchronization
· Easy and Expert modes for beginner and advanced users
· Background Backups & Synchronizations
· Full Scheduling
· Progress bar
· SSLv2, SSLv3, and TLSv1 encryption support
· Support for one-time-passwords
· Support for MODE Z compression
· Support for XCRC command (so files can be verified)
· Support for new FTP extensions, e.g. MLSD
· Better firewall/NAT support (external IP address and port ranges)
· Improvements to the method empty folders are created/deleted
· Profile exports strings with double-quotes
· New graphics and improved interface
· Export and Import Profiles
· Scheduling
· Differences Window
· Show Groups Only
· Hibernate or Standby
· Start with Windows
· Definable Double-Click Actions
· Minimize Program Options
· View Columns Options
· Update Check
· File Filtering
· Compare files options
· FTP Capabilities
· Network Capabilities
· Eject Source Drive Media post task
· Select programs to run before and after task
· Select programs to close before task
· Right Click Menu
· Internet Update Check
· Extensive New Help File Documentation
· Industry leading Internet support, including an updated KnowledgeBase, FAQs, and TroubleShooter.

medal Award-winning software

SyncBackSE has received awards and accolades as a great backup tool from numerous review websites, industry magazines, and independent computer journalists. SyncBackSE V4 delivers significant improvements in functionality and presentation over its predecessor. To view some of our awards, testimonials, and media features go to:

http://www.2brightsparks.com/awards.html


What's New in Version 4?

What's New in SyncBackSE Version 4

Great New Features in SyncBackSE Version 4.1

SyncBackSE Version 4.1 offers significant advantages over previous versions and is free for all registered users of SyncBackSE.

New Features

SyncBackSE 4.1 is a significant update of the program over version 4 with a major interface change and numerous improvements to the engine and feature-set. Check out the major new highlights below:

· New Profile Setup Wizard: A new wizard guides the user through the process of creating profiles.

· New Profile Setup Interface: The main Profile Setup Window has been completely updated with a new explorer-like tree selection of option groups, and new option organization.

· Many Behind the Scenes Improvements: For example SyncBackSE V4.1 uses INI files instead of the registry; new informational windows; and there are more default safety features built in.

· New Technical Support Wizard: A new wizard gathers the required resources that should accompany technical support issues into a single zip file.

· Major Help File Update: The help file has undergone a major rewrite, featuring many more full size screenshots, improved explanations and body text, and additional material covering every aspect of using the program.

· Updated Graphics: Many graphics have been added and improved to aid clarity and usability.

More Great Features

SyncBackSE V4 includes powerful features like 'Smart Synchronization', superb Folder and File Selection, and Fast Backup options. Take a look at the update summary below. All these features are covered in greater detail in this help file and in our Online Support Area.

· Smart synchronisation: SyncBackSE knows if a file has been changed both in the source and the destination, unlike the freeware version of SyncBack. This helps you decide on what course of action to take, or to let SyncBackSE make the decision for you.

· Fully Unicode: file and folders with their name in any language can now be copied. Previous versions used Multi Byte Character Set (MBCS) and so were restricted to their current locale (and English).

· Faster and improved Zip compression (now Zip64 with AES encryption): a completely new compression engine is now being used. This improves compression ratios, removes size limitations, and increases compression speed. It also adds AES encryption to secure your files.

· Complete control over which files & folders to backup and restore

· Clear & complete control over what to do with changed & new files

· Powerful regular expression support to filter out (or in) files and directories: files and folders can now be included, or excluded, based on their name by using powerful regular expressions.

· New log file format to clearly show the results of a profile run: the new log file format lets you clearly see which files were copied successfully and which ones failed.

· More profile configuration options

· New folder & file selection tree to allow for complete control over what files & folders are included in a profile

· Improved Fast Backup options

· Completely revised and extended Help File

History of changes

For a complete history of changes which details all updates, fixes, and features, go to:

http://www.2brightsparks.com/syncback/changes.html


System Requirements

System Requirements

windows-xp

SyncBackSE requires Windows 2000, Windows XP, or Windows 2003.

Note: In line with Microsoft's policy, Windows 95, 98, 98SE, ME, and NT 4 are not supported.

note

To copy locked/open files, you must be running Windows XP (Pro or Home), Windows 2003, or Windows Vista as a user who is a member of the Backup Operators group (administrator users are). In addition, the file being copied (which is locked) must be on a local volume (i.e. a drive physically connected to the computer). If it is on a FAT32 volume then you must also have a local NTFS volume on an internal drive.

How to find out what system a drive is using

note

SyncBackSE produces log reports which will show what system you are currently using. To view a log report select a profile, then "View Log" from the Task Menu - you may also use the shortcut keys "Ctrl" and "L" after selecting a profile.

A sample of the kind of information shown in logs created by SyncBackSE follows:


How to Buy SyncBackSE

Purchase SyncBackSE Today and Enjoy Instant Delivery

We recognise that security is one of the major concerns for the shopper during an online transaction. Our payment processor uses state of the art security tools and techniques to ensure that you are protected against online fraud.

All payment transactions at 2BrightSparks are handled through the eSellerate payment system. At no time do we process or save customer payment card details on our website.

If you would like to learn more about eSellerate, visit their site at:

http://www.esellerate.net/company_overview.asp

lock Direct Ordering and Download

Pay via Credit Card, by Phone or FAX, or via PayPal...

Ordering SyncBackSE couldn't be simpler. Your serial number will be presented to you immediately following payment on eSellerate's secure server. Your order details and serial number will also be sent to you via email.

SyncBackSE, FindOnClick, and UndeleteOnClick are only available from our website as downloadable products. Orders can be processed for VISA, Mastercard, DISCOVER, American Express, JCB, and via PayPal

Buy Now

Click the following link to order directly from our Web Store:

Buy SyncBackSE

Phone and Fax Orders

Alternatively, you may use the following URLs for phone or Fax orders:

phone | http://store.eSellerate.net/s.asp?s=STR2236179640&CMD=PHONE
phone-fax | http://store.eSellerate.net/s.asp?s=STR2236179640&CMD=FAX

Website

A fully functional evaluation version of SyncBackSE is also available from our website by clicking any of the 'Try' links:

Download the full evaluation of SyncBackSE today:

Download SyncBackSE 30 Day Trial

Sales and Support

Sales and Support are available by submitting a support ticket from our Support Area. Find out more about our industry leading support resources.

Other Great Software from 2BrightSparks

FindOnClick

findonclick48x48

FindOnClick is a very easy to use, file searching utility for Microsoft Windows 2000/XP/2003/Vista.

FindOnClick can search for files on any NTFS or FAT (FAT 12, 16, 32) partitions, including from hard drives (internal and external), floppy disks, flash cards, Smart Media (SM), SONY Memory Sticks, IBM Micro Drives, Multimedia Cards (MMC), Secure Digital Cards (SD), Zip disks, etc. Find out more...

Download the 30 day full evaluation of FindOnClick today:

Download FindOnClick 30 Day Trial

UndeleteOnClick

undeleteoc48x48

UndeleteOnClick is a very simple to use file undelete utility for Microsoft Windows 98SE/ME/2000/XP/2003. Any type of file can be undeleted / unerased, including NTFS compressed & NTFS encrypted files.

UndeleteOnClick can undelete files from any NTFS or FAT (FAT 12, 16, 32) drives, including: hard drives (internal and external); floppy disks; flash cards; Smart Media (SM); SONY Memory Sticks; IBM Micro Drives; Multimedia Cards (MMC); Secure Digital Cards (SD); Zip disks etc. Find out more...

note

Note: the evaluation version lets you test UndeleteOnClick without needing to purchase it first. The only limitation is that you cannot undelete files over 64Kbytes in size. Once a license is purchased you will receive the full version that has no size limitations:

Download the 64kb Limited UndeleteOnClick Trial

Company Postal Address

2BrightSparks Pte Ltd

PSA Building

PO Box 364

911143

Singapore


Help using SyncBackSE

Help! Online and Printable Support Resources

As a user of SyncBackSE you can enjoy extensive support from 2BrightSparks Pte Ltd:

Your first port of call for support is to read this help file. Click 'Help' under the help menu, or the Help button on the main program window to open the help file:

If you've never backed up data before, we advise you read the New User Guide which explains the fundamentals about different kinds of backup. Using SyncBackSE provides detailed explanations of all the functions in SyncBackSE including Basic Operation; Easy Mode; Expert Mode; Runtime Help; and a Technical Reference.

This help file also offers context sensitive guidance when using the program. You'll find a 'Help' button in most of the program's windows. Clicking the help button will take you straight to the help page for that particular task or option. The following help button in the program for example will take you to the section of this help file called Email, Advanced:

Fully Searchable and Printable Help Manual

Do not directly print this help file from the Microsoft help viewer because the print quality of the HTML Help viewer is poor.

A fully searchable and printable SyncBackSE Help File is available as an Adobe PDF file (Portable Document Format).

This help file is available from our website in PDF format at:

http://www.2brightsparks.com/syncback/SyncBackSE-PDF.zip

Although Adobe Acrobat Reader is installed as standard on Windows computers, you may wish to download and install the very latest version which includes significant improvements over its predecessors:

adobe-reader

Get Adobe Acrobat Reader V7

Online Support from 2BrightSparks

Our online support is among the best in the industry. You'll find Tutorials to get you up and running, our extensive Support Area which features our KnowledgeBase and FAQs (Frequently Asked Questions), and quick fix TroubleShooter.

Technical Support Via Email

If after reviewing the help file and online support resources you continue to experience difficulties using SyncBackSE, you may submit a support ticket. The new Technical Support Wizard creates a special file that provides the essential information which you may attach to your ticket.


Technical Support Wizard

Requesting Support

Email Support

You must use our Support Ticketing service for email support which is available at:

http://www.2brightsparks.com/help/index.php?pf=usr

Support Ticketing ensures we keep the appropriate records of your support request and our response history to you. This helps us deliver a better service to all our customers as we respond more quickly, audit the effectiveness of our responses, and generally improve the quality of our support. In addition, analysis of our support performance, and the frequency level of specific support requests also leads to improving our software.

We trust you understand the importance we place on the high quality of our software and service, and therefore we must follow procedures that are of greatest benefit to the majority of our users. Direct email support requests will be ignored.

The Technical Support Wizard

If after reviewing the help file and online support resources you continue to experience difficulties using SyncBackSE, you may submit a support ticket. The new Technical Support Wizard creates a special file that provides the essential information we require when you submit your ticket.

You can open the Technical Support Wizard by clicking on the help menu and choosing the "Technical Support Wizard" item from the drop down list:

You may now choose items to include, select the profile, then click "Create":

An informational window will open showing where the support zip file has been saved to:

The Technical Support Wizard will create a zip file similar to those shown in the screenshot below:

The Support Zip File created by the wizard may then be attached to a Support Ticket.


Quick Start

Start Using SyncBackSE Straight Away

information If you've not used a backup program before, we advise you spend a few minutes getting to know the basics by reading our New User Guide.

note

The 'take note' icon on the left is used throughout this help file and indicates advise that is of particular importance.

Three stage start

SyncBackSE can be up and running by following the following three stage process:

Step 1. When you first install SyncBackSE the program will ask whether you would like to evaluate the software, or alternatively, enter your Serial Number that you would have received by email after you paid for SyncBackSE:

note

When in evaluation mode, the user can opt not to be reminded again until 7 days before the trial expires by clicking the box.

Step 2. The program will then ask if you would like to import your existing SyncBack/SE profiles. Please remember to ensure you browse to the correct folder if you chose to install a previous version of SyncBack/SE in a customized location. If you wish to import version 3 profiles, read our special guide .

Step 3. If you have not created any profiles in the past click the "New" button located on the lower left of the program window:

Creating your first Profile is a simple process with the help of the profile wizard. Once a profile has been created you need only click a single button to run that profile.

Need Help?

Read the Help Using SyncBackSE section of this help file which details the many ways you will find guidance and support when using the program.

note

Use the context sensitive help buttons that provide assistance by clicking the 'Help' button that you'll find on each program window. This will take you straight to the appropriate section in the help file.

SyncBackSE Evaluation Version

You have 30 days to evaluate SyncBackSE after which time you must uninstall it from your computer. You may buy SyncBackSE at any stage by visiting our web store.

Click to visit our Web Store


First Steps

Program Launch

When SyncBackSE is first launched the evaluation window will be shown:

Do not try to manually enter the serial number as errors can easily be made.

The easiest way for you to enter your serial number is to copy your entire order email to the clipboard. SyncBackSE will find the serial number and automatically paste it into the text field. You can copy the email before SyncBackSE is running, or even when the serial number window is being displayed.

Click "OK" once the serial number has been entered.

note

The "OK" button will only appear once the serial number has been entered correctly.

How to Copy and Paste

Copying and pasting is the best way to make sure you're entering the correct serial number, as it is easy to mistake the number zero '0', for the letter 'O'.

For those who are unsure how to quickly copy and paste your serial number, here's how:

1. Run SyncBackSE or click the 'Enter Serial Number' button:

The Evaluation window will open:

2. Run your email program and click once in the body of your confirmation order email.

3. Hold down the 'Ctrl' and 'A' keys on the computer keyboard. This will select the whole body of your email.

4. Copy by holding down both the 'Ctrl' and 'C' keys.

5. Paste by holding down the 'Ctrl' and 'V' keys.

Your serial number will be automatically pasted into the evaluation window:

6. Click the 'OK' button

Congratulations! You have now licensed SyncBackSE.

Safe Installation

All versions of SyncBack and SyncBackSE can be safely installed over an existing installation. By doing this, you will ensure any profiles you have created continue to be active.

Please be aware that uninstalling SyncBack/SE before installing SyncBackSE will delete your profiles.

Importing Profiles

To import a Profile use the 'Import Profile' menu item under 'Profiles'. Read the special section Importing V3 Profiles.


Importing V3 Profiles

Upgrading from SyncBack/SE V3 to SyncBackSE V4

If you've been using SyncBack/SE V3 you would have already created profiles. To import your profiles you'll be asked to browse to the appropriate location on your computer. If you installed SyncBack/SE V3 using the default settings, SyncBackSE V4 will locate your profiles automatically for you, and you need only click 'OK' in the pop-up explorer-type window.

You may create a profile at any time by using the 'New' button on the lower menu, or selecting 'New' from the 'Profiles' main menu located at the top of the program window.

Learn more about Exporting/Importing Profiles in SyncBackSE.

'Difficult' to convert Profiles

Under certain situations the directory selections for a profile cannot be completely converted to the new format. Profiles that may not be converted correctly have the following characteristics in SyncBack V3 Freeware:

- The profile has the Let me choose which sub-directories to include option enabled (see point 1 below).

- The Ignore new directories (improves performance) option is not enabled (see point 2 below).

- A child directory (with no child directories of its own) has been selected but its parent directory has not been selected (see point 3 below).

SyncBack Freeware Screenshot

In the following situation when the settings are converted, two of the directory selections are lost (see point 4 below):

SyncBackSE V4.1 Screenshot

As you can see above, the directories sub-directory 1.1.1 and sub-directory 5.1.1 are no longer selected.

When SyncBackSE V4 is first run it will convert your profiles. If any of your profiles may have lost directory selections, then a warning message will appear listing the profiles that may be affected:

In the example above, a profile called Upgrading SyncBackSE may be affected.

The new folder & file selections in V4 now allow for complete control over what is to be copied and what is to be ignored. Unfortunately it is impossible to do a complete conversion of the old folder selection settings due to the storage method used in previous versions. We apologize for any inconvenience caused.


Creating Your First Profile

Creating Your First 'Profile'

A profile stores information about the folders or files you would like to backup or synchronize using SyncBackSE. Profiles can be very specific as to what, when, and how a given task is performed, but we are going to be concentrating on creating a simple backup profile.

The Profile Setup Wizard walks you though the process of setting up your profile. The default settings make setting up a Backup profile a very simple process.

Click the "New" button located on the lower left of the program window:

Alternatively, choose "New" from the Profile menu:

The Profile Wizard window will appear. Enter a name for your new Profile:

Click "Next" located at the lower right of the window.

For this example we are creating a backup profile which is the default option:

The wizard will ask whether you wish to use FTP (File Transfer Protocol). FTP is used if you are backing up over the Internet. As the default "No FTP" option is selected by default, you need only click the "Next" button.

The wizard will now ask whether you wish to compress your files into a zip. Once again, the default option is being used in our walk through. The "No Zip Files" option has been selected:

Click the "Next" button on the lower right. The wizard will now request you enter a name for the source (where you are copying your files from), and that you select the location of the source by clicking the folder icon button:

When you click the folder icon a "Browse For Folder" window will appear in which you will locate your source. Click OK:

The folder selection field will now show the full path to your source.

Click the "Next" button. The choose Destination window will open.

Enter a name and select the location for where you wish to make a backup of your files to (the destination) in the new screen:

When you click the folder icon a "Browse For folder window will appear in which you will locate your destination. Click OK:

After clicking the "Next" button on the destination screen you will be asked whether you wish to make a Fast Backup. Choose the "No Fast Backup" default option:

Click the "Done" button:

You have now setup your backup profile. A small informational window will appear informing you that the main Profile Setup Window will open:

The Profile Setup Window allows you to check your choices.

Click "OK". A Window will open which asks whether you would like to perform a simulated run. This allows you to check the profile functions correctly without actually copying any files. Click "Yes":

The Differences window will appear that shows all the files that would be copied in an actual run. Click "Continue Simulation":

The main program window will now open. You may now run this backup profile at any time by selecting a profile then clicking the "Run" button:

The final section of this Quick Start guide shows you how to Run Your Profile.


First Run

Running a Profile for the First Time

SyncBackSE processes files very quickly so if you're only backing up or synchronizing a few files you'll not view the progress of the run which is signified by a flashing Profile icon situated on the top left under the menu item 'Profiles'.

note

Note the new icons of a window with a pause in the screenshot below that temporarily appear to the left of the profile being processed.

Clicking on an icon will either stop or pause a given task. The task is signified by the third icon, in this case a 'run' icon that appears to the left of 'Business'.

A progress bar will appear as the files are being processed:

As the profile is being processed an icon will also appear on the Windows Taskbar located on the bottom right of your screen:

SyncBackSE icon when a profile is not running

Animated SyncBackSE icon when a profile is running

Depending on your settings, you may next see the Differences Window after the initial scan takes place. The Differences Window shows what will happen to the files (whether they will be copied, deleted, or moved). Once you have reviewed the differences click "Continue":

note

Note how in the Differences Window, the toggle icon has been clicked to show more options:

note

In this example the Differences Window shows 6 "Collisions. A "collision" is when a file in the source and destination differ, yet have the same name. That is, the file is both in the source and destination but is modified in some way, perhaps by date, size etc.

A notification of collisions occur in the "Differences" window which appears by default when making a backup (note however there are circumstances when the "Differences" window does not appear, for example when the user has chosen not to show the window).

Collisions are shown in red in the "Differences" window to highlight there are going to be changes made when you continue the profile task. If the user views the Differences window carefully, the user has the option to make choices about whether they want to accept the changes SyncBackSE will make. The user has the option to bypass these choices by selecting a specific item in the Differences window with a right click. A different action may then be chosen.

After the profile has been processed the main window will look slightly different as the temporary "stop" and "pause" icons are no longer viewable.

You have now successfully created a simple backup profile. To create a Group Profile you'll need to create two profiles or more. You'll then have the opportunity of running these profiles as one. To find out more about this feature go to Creating a Group Profile.


New User Guide

What SyncBackSE Does

SyncBackSE is designed to help you prevent data loss. This section of the help file aims to provide you with essential knowledge about what the program does to achieve this. There are three core tasks SyncBackSE does:

· Backup

· Synchronize

· Restore

SyncBackSE allows the user to make many, many decisions about how these core tasks are achieved.

note

Important: SyncBackSE copies, moves, and deletes data. Always ensure you test your settings before running them. We try to make it very clear during the installation process that SyncBackSE is designed to delete and replace files, so it must be used with caution. We also ensure the default options are set to safe.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. SyncBackSE also features a 'Simulated Run' feature so that users can check to ensure the program is processing data in the way they expect, before making an actual run.

The Simulated Run or Simulated Restore commands available from the 'Task' menu or by right clicking a profile:

Task Menu: Simulated Run

Right Click Menu: Simulated Run

What SyncBackSE can, and cannot do

SyncBackSE can copy all of your files, but cannot make an exact copy of your drive. SyncBackSE is designed to copy your important files, e. g. your pictures, documents, music, database, etc. You can always reinstall the operating system and any programs, but you cannot recover your files unless you've made a backup. With SyncBackSE making a backup of those files is very quick and easy.

To make an exact copy of your drive you must use "disk imaging" software. With disk imaging, the entire disk (the parts that are used) is copied bit-by-bit. This means the copy will take up a lot of disk space, and take much longer to copy.

Your Windows operating environment is constantly changing. Programs are installed, updated, uninstalled, and settings are changed. Many important security specific applications are also regularly and automatically updated. Anyone who users their computer to connect to the Internet should have in place Anti-Virus, Firewall, and Anti-Spyware programs, all now available from within the Windows XP operating system. These issues, combined with the much longer, costlier (more disks), and less convenient (more time consuming) disk imaging process inevitably means that for the average user, disk imaging is carried out far less frequently than the kind of backup SyncBackSE delivers.

SyncBackSE copies all your important files in a fast, up to date, and reliable manner.


Source and Destination

Understanding the 'Source' and 'Destination'

SyncBackSE copies, moves, and deletes digital files from one location to another. This helps you in your aim to prevent data loss.

To make the process of backing up simple to understand we use the terms 'Source' and 'Destination'. The 'Source' is a particular location. The 'Destination' is a different location. In the example below the Source is a workstation, and the Destination is a Laptop:

You will create a Profile of both the Source and Destination, and define the Profile's actions (backup, synchronization, restore etc.)

You can also group profiles together so multiple actions occur, and schedule these profiles to run automatically.

Backup

In the case of a simple backup operation, the Source is the place where files are copied from, and the Destination is the place where files are copied to. So for example the Source could be the folder 'Your Computer Drive\My Documents\My Business Folder\' and the Destination could be a folder in an external USB drive 'My External Backup Drive\My Backup\My Business Folder\'.

Remember however that SyncBackSE allows you to make choices about exactly what files are copied, moved, ignored, or deleted during the backup, synchronization, or restore process. You may for example decide to ignore certain files or folders when backing up, so it is not always going to be the case that the source copies every file to the Destination when backing up.

When SyncBackSE first runs a backup, the program will copy all the files you wish to from the source to the destination. The next time you run the same backup task, SyncBackSE does not copy the unchanged files, but rather scans both the source and destination, notes what files have changed, then in the Differences Window, asks you to confirm the action the program is about to take. This makes subsequent backups much faster than the initial backup.

Synchronization

When it comes to Synchronization, viewing the source as a location where files are copied from is not accurate. Think of the source simply as a location, rather than as a location that always has a fixed task associated with it.

In a synchronization operation for example, a file may be copied to the source rather than from the source, and at the same time another file may be copied to the destination. This may occur as you may have chosen options in SyncBackSE that request certain actions occur given certain criteria. For example, you may require that a file that is older on either the source or destination, must be replaced by the newer file (given they have the same name and file type).

As you can tell by the example above, synchronization is a far more complex process than a backup process.

Good data procedures

When you first use SyncBackSE, we therefore advise you use the default options and simply backup, as this will prevent any unexpected and potentially unwanted actions to occur. As you become familiar with the program you will begin to gain a deeper understanding of the Backup and Synchronization process.

We have tried very hard to put as many checks and warnings in place that prevent you accidentally losing data, and we make it very clear during the installation process that SyncBack/SE is designed to delete and replace files, so it must be used with caution. We also ensure the default options are set to safe settings that reduce the possibility of unwanted data loss to a minimum.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. SyncBack/SE also features a 'Simulated Run' feature so that you can check to ensure the program is processing data in the way you expect, before making an actual run.


Backup

An Explanation of the Backup Process

A backup copies files in one direction: from the source to the destination.

Note that a backup is not a synchronize process.

SyncBackSE can backup to the same drive; a different drive or medium (CDRW, CompactFlash, etc); an FTP server; a Network; or a Zip archive.

Backing Up

The examples on this page show different scenarios of when you might backup.

note

Note that the Destination needs to have enough free disk space to take all the backup data.

Here's an example of a local computer backing up to an external hard disk. The computer's drive is the Source, and the external hard disk is the Destination. Files will be copied from the source to the destination:

Usage: Backup files on your local C drive onto an external USB drive. This ensures you've got an accessible copy of your data, even if you experience problems with your main computer.

A second example shows a backup where the a laptop is the Source, and a workstation is the Destination:

Usage: Perhaps you've been on a business trip or on holiday and you've continued to update your documents. When you get back home you'll want to copy any new or changed files back onto your computer. A simple backup will achieve this.

The third example shows how a backup can run from one network computer to another:

Usage: You've setup a home network, and you use one of the computers on that network to work on, and another to backup to.

The example below shows a backup taking place from a local workstation to another remote computer using FTP (File Transfer Protocol):

Usage: You're on the move and work with a laptop. As you've got Internet access and FTP access to a website to upload files, you backup a copy of your data so you know if diaster strikes and your laptop is lost, breaks down, or is damaged in transit, your data is safe and easily retrievable.

The next example shows a backup to CD-R/DVD-R etc:

Usage: You want to backup all your family photos and movies to CD-R or DVD for archival purposes. Note that your CD/DVD must be formatted in UDF format before it can be used.

The final example shows a backup between a local computer and a memory stick:

Usage: You're at work and need to copy the documents that are located in different folders on your work computer to a memory stick. Once you've defined your profiles and grouped them using SyncBackSE, you'll click one button, and everything will be copied quickly and simply in a single action.


Synchronize

An Explanation of the Synchronize Process

A Synchronisation copies files in both directions: from the source to the destination, and from the destination to the source.

note

Note that the Destination and Source need enough free disk space to exchange the data.

SyncBackSE V4 introduced Smart Synchronization which copies files in both directions, but it also keeps a history of where files were during the last synchronisation. This allows for much finer control over what actions to take based on what has changed, and also allows it to detect changes such as the file only being modified in the source or destination.

It is advisable to use Smart Synchronisation instead of the old style Synchronization.

Note that the synchronization process is not the same as a backup process.

What is the difference between Synchronisation and Smart Synchronisation?

Smart Synchronisation keeps track of what changed the last time the profile was run so that it knows if a file has been deleted, created, or changed since the last profile run. This helps you (and SyncBackSE) make an informed decision about what to do when something changes. It also gives you a comprehensive choice of options on what to do with a file when specific things happen, e.g. the file is deleted for the source but not the destination. Regular synchronisation does not keep track of changes and has a limited set of options. Whenever possible you should use Smart Synchronisation instead of regular synchronisation.

Synchronizing the Source and the Destination

Here's an example of a computer drive being synchronized with an external hard disk. Files will be synchronised between the source and the destination:

Usage: You use two separate drives, one for business, another for home use. Some files are on both drives, like your diary. Synchronization ensures that whatever drive you work on, the other drive is updated with your new diary items.

A second example shows a laptop (Source) and workstation (Destination) being synchronized:

Usage: You work on the move and at home and want to ensure both your laptop and workstation have the same up to date files. You achieve this by Synchronizing your two computers.

The third example shows a synchronization running from one network computer to another:

Usage: You work on a networked computer and often change files that others will also view and change during the course of a day. Synchronization helps to ensure that whoever is working on the file does so with the most up to date version.

The final example shows a local computer and a memory stick being synchronized:

Usage: You've updated many documents over the course of the day. At one point you used a memory stick to load some documents as you worked on a computer other than your usual one, but you can't remember the exact name of those documents. When you return to your main computer you run your synchronization profile. SyncBackSE copies files in both directions, ensuring that both the memory stick and your main computer have the same up to date documents.


Restore

An Explanation of the Restore Process

Being able to easily restore data is a core function of SyncBackSE. Here are some example scenarios of when you'll want to run a restore operation:

· You inadvertently delete a file and/or folder and need to recover it easily and quickly.

· As you're working on a document, the parent program unexpectedly crashes and your work is gone. If you've setup a backup to run in the background, you'll be able to restore to the last backup point.

· Your computer suffers a catastrophic failure, and you cannot access any files or folders. Having backed up onto an external drive or disk, you will be able to easily restore your valuable files onto a new computer.

A restore operation swaps the source and destination directories: i.e. the source directory becomes the destination directory and visa-versa:

Usage: You have inadvertently deleted the wrong files. You quickly restore your files from an external hard drive back onto your main computer, then continue to work with little impact on your time or overall stress levels.

Usage: Your main computer suffers a serious security attack and your document files have been badly affected. After reinstalling Windows you are able to also restore your valuable document files to the state they were prior to the attack.

note

Note that a restore may not work in the way you expect it to: e.g. some of the files in the destination directory may be older than their equivalent entries in the source, and therefore may not replace the source entries (depending upon what your settings are).

If in doubt use the 'Simulated Run' feature in SyncBackSE. A simulated run will show you what will happen to your files, without actually copying, moving, or deleting files.

Running a restore operation is not reversible.


Automating SyncBackSE

Scheduling and Background Tasks

SyncBackSE provides a number of ways to run a profile (see below for a complete list), however to have a profile run based on the date & time there are two methods:

· Scheduling with the Windows Task Scheduler.

· Have a profile configured to run in the background.

A profile can be both scheduled and set to run in the background.

Scheduled Tasks

window-gear

The Windows operating system comes with an integrated scheduler (the Windows Task Scheduler).

This scheduler lets the user configure Windows so that certain programs are run at certain times, e.g. every day at 9am. For example, most anti-virus software will prompt you to create a scheduled task to scan your computer for viruses every morning. There are a number of advantages to scheduling profiles:

· A scheduled profile can be configured to run even when you're not logged in.

· A scheduled profile can switch the computer on (from hibernation or standby) to run the profile.

· The date & time of when the profile is run, and how often it is repeated (e.g. daily), is highly configurable.

· You do not need to have SyncBackSE running to have a profile run at the scheduled times.

This help file has a special section that shows you how to Create a Schedule.

Background Tasks

run-syncbackse

SyncBackSE has the ability to run profiles at periodic intervals,

e.g. every 2 hours.

This is different from scheduling a profile because it's not based on a specific date & time but instead the frequency. There are a number of disadvantages to having a profile run in the background:

· You must be logged in for the profile to run.

· SyncBackSE must be running for the profile to run.

· The profile can only be configured to run every x seconds/minutes/hours and not at a specific date or time.

If profiles are configured to run in the background then it's best to configure SyncBackSE so that it starts automatically when you login to Windows.

This help file has a special section that shows you how to Create a Background Task.

Which method should be used?

In general it is better to schedule a profile instead of having it run in the background. However, if you want a profile to run frequently (e.g. hourly) then it is advisable to both schedule the profile and have it set to run in the background. This gives you the best of both worlds: your backup will be performed even when you're not logged in, and your backups will be performed frequently while you're working so that if you need to restore a file the backup copy will be more recent.

Situations under which a SyncBackSE Profile can be run

The list below shows all the situations and configurations in which a SyncBackSE profile can be run:

· Manually run, e.g. profile selected in main window and the Run or Restore buttons are pressed
· Scheduled (note that schedules can also be set to run every x minutes, hours, etc. and not just once or daily, weekly, monthly etc.)
· Run when a hot-key is pressed (V4.1 and later see When -> Hot-key, V4..0.x and earlier see the Background tab)
· Run on Windows startup or shutdown/logoff (V4.1 and later see When -> Login/Logout, V4.0.x and earlier see the Background tab)
· When files or folders in the source or destination are changed (V4.1 and later see When -> Changes)
· Run when a device is attached/inserted, e.g. a CD, a USB flash key, etc. (see the Background tab - SyncBackSE only)
· Set to run in the background (V4.1 and later see When -> Periodically, V4.0.x and earlier see the Background tab)
· Run externally from the command line, a batch file, or another program
· Run as part of a Group Profile which is run by one of the above methods


Using SyncBackSE

A Guide to Using SyncBackSE

SyncBackSE is a powerful, easy to use commercial program that helps you backup and synchronize your files to: the same drive; a different drive or medium (CDRW, CompactFlash, etc); an FTP server; a Network; or a Zip archive. SyncBackSE can copy locked and open files as easily as the usual closed files. This allows you to backup, synchronize and restore any data you wish to.

Using SyncBackSE guides you through the essential functions and operation of SyncBackSE.


Basic Operation

Essential Knowledge

If you have never used SyncBackSE before, you are strongly advised to read this section of the help file:

Basic Operation

The Main Window

Exporting and Importing

Creating a Profile

Running a Profile

Creating a Group Profile

Restoring a Backup

Creating a Schedule

Preferences Main Menu

Global Settings

Dialogs

Comparison Programs

Log Settings

Exploring SyncBackSE


The Main Window

SyncBackSE: The Program Interface

SyncBackSE is a simple program to use with many options and user definable parameters. The program is perfect for the novice and expert alike.

All the essential tasks in SyncBackSE can be carried out from the main window by clicking an icon on the lower toolbar:

SyncBackSE also has a main menu that provides easy access to all it's functions, and a right click pop-up menu that is available when a profile is highlighted:

The main window below shows SyncBackSE running a backup 'Profile' called 'Business':

Once a Profile has been defined, the user need only click the 'Run' or 'Restore' buttons to carry out the task. Alternatively the Profile can be scheduled to run at certain times and dates:


Exporting and Importing Profiles

Exporting and Importing Profiles

You can copy a profile from one installation of SyncBackSE (or SyncBack) to another by exporting and importing profiles. This also lets you make a backup of your profiles settings.

· To export a profile: select the profile (or profiles) in the main window and select Profiles -> Export Profile from the main menu. Then choose where to save the profile.

· To import a profile: select Profiles -> Import Profile from the main menu then choose the file(s) that contains the profile. You can import profiles from any current or previous version of SyncBackSE or SyncBack. When importing profiles exported from versions of SyncBack or SyncBackSE V3 then some directory selections may not be imported.

Important

· Profiles exported from Windows 2000, XP, or 2003 cannot be imported on computers running Windows 95, 98, 98SE, or Me.

· It is not recommended to import profiles exported from newer versions of SyncBackSE.

· Profiles exported from old versions of SyncBackSE or SyncBack (V3 and before) will import incorrectly if the Windows XP/2003 non-Unicode locale is different. For example, if you import a V3 profile exported from XP where Chinese was the non-Unicode locale, then you must set your non-Unicode locale to Chinese.

Importing SyncBackSE Version 3 Profiles

If you are upgrading from SyncBackSE and wish to import your profiles, read our special guide to Importing V3 Profiles.


Creating a Profile

SyncBackSE Profile Types

Profile Types

Choose a Backup profile when you want to backup (copy) your new and modified files to another place, e.g. an external hard drive or an FTP server.

Choose a Synchronization profile when you have two directories in which files are changing and you want them both to contain the same files. For example, you may have a directory on your computer containing documents you are working on. A colleague may also be working on documents on his computer. If you want to copy his new and modified files to your local directory, and copy your new and modified files to his directory, then you need to use a Synchronization profile.

What is the difference between Synchronization and Smart Synchronization?

Smart Synchronization keeps track of what changed the last time the profile was run so that it knows if a file has been deleted, created, or changed since the last profile run. This helps you (and SyncBackSE) make an informed decision about what to do when something changes. It also gives you a comprehensive choice of options on what to do with a file when specific things happen, e.g. the file is deleted for the source but not the destination. Regular Synchronization does not keep track of changes and has a limited set of options. Whenever possible you should use Smart Synchronization instead of regular Synchronization.

note

Note that the term Synchronization is also called Mirroring by some programs.

Choose a Group profile when you want to create a profile that contains other Backup or Synchronization profiles. This allows you to run many profiles at once.

So what is the difference between a Backup and a Synchronization?

note

A backup copies files in one direction: from the source to the destination. A Synchronization copies files in both directions: from the source to the destination, and from the destination to the source.

Creating and Importing Profiles

A profile stores information about the folders or files you would like to backup or synchronize using SyncBackSE.

note

Once you've created a profile you'll be able to click a single button on the toolbar to carry out a specified task in the future.

Click the "New button located on the lower left of the program window:

Alternatively, choose "New" from the Profile menu:

The Profile Wizard window will appear. Enter a name for your new Profile:

Click "Next" located at the lower right of the window.

For this example we are creating a backup profile which is the default option:

The wizard will ask whether you wish to use FTP (File Transfer Protocol). FTP is used if you are backing up over the Internet. As the default "No FTP" option is selected by default, you need only click the "Next".

After clicking "Next" the wizard will ask whether you wish to compress your files into a zip. Once again, the default option is being used. Here is the screenshot of the "No Zip Files" option:

Click "Next". The wizard now requests you enter a name for the source (where you are copying your files from), and that you select the location of the source by clicking the folder icon button:

When you click the folder icon a "Browse For Folder" window will appear in which you will locate your source. Click OK:

The folder selection field will now show the full path to your source.

Click the "Next" button. The choose Destination window will open.

Enter a name and select the location for where you wish to make a backup of your files to (the destination) in the new screen:

When you click the folder icon a "Browse For folder window will appear in which you will locate your destination. Click OK:

After clicking the "Next" button on the destination screen you will be asked whether you wish to make a Fast Backup. Choose the "No Fast Backup" default option:

Click the "Done" button:

You have now setup your backup profile. A small informational window will appear informing you that the main Profile Setup Window will open:

The Profile Setup Window allows you to check your choices.

Click "OK". A Window will open which asks whether you would like to perform a simulated run. This allows you to check the profile functions correctly without actually copying any files. Click "Yes":

The Differences window will appear that shows all the files that would be copied in an actual run. Click "Continue Simulation":

The main program window will now open. You may now run this backup profile at any time by selecting a profile then clicking the "Run" button:

The next section of this help file shows you how to 'Run' the Profile.


Running a Profile

SyncBackSE in Action

To run the Profile select the profile in the main program window, then click the 'Run' button:

A progress bar will appear as the files are being processed:

As the profile is being processed an icon will also appear on the Windows Taskbar located on the bottom right of your screen:

SyncBackSE icon when a profile is not running

Animated SyncBackSE icon when a profile is running

Depending on your settings, you may next see the Differences Window after the initial scan takes place. The Differences Window shows what will happen to the files (whether they will be copied, deleted, or moved). Once you have reviewed the differences click "Continue":

note

Note how in the Differences Window, the toggle icon has been clicked to show more options:

note

In this example the Differences Window shows 6 "Collisions. A "collision" is when a file in the source and destination differ, yet have the same name. That is, the file is both in the source and destination but is modified in some way, perhaps by date, size etc.

A notification of collisions occur in the "Differences" window which appears by default when making a backup (note however there are circumstances when the "Differences" window does not appear, for example when the user has chosen not to show the window).

Collisions are shown in red in the "Differences" window to highlight there are going to be changes made when you continue the profile task. If the user views the Differences window carefully, the user has the option to make choices about whether they want to accept the changes SyncBackSE will make. The user has the option to bypass these choices by selecting a specific item in the Differences window with a right click. A different action may then be chosen.

After the profile has been processed the main window will look slightly different as the temporary "stop" and "pause" icons are no longer viewable.

You have now successfully created a simple backup profile. To create a Group Profile you'll need to create two profiles or more. You'll then have the opportunity of running these profiles as one. To find out more about this feature go to Creating a Group Profile.


Creating a Group Profile

Group Profiles

Once you have created two or more profiles you may group them together. Group profiles are collections of profiles. This allows you to run multiple profiles in one go instead of having to run each profile one after another. This page of SyncBackSE Help runs through the simple procedure you'll need to follow.

Creating a Group Profile

Click the 'New' button from the Toolbar (or 'New' from the main menu or right-click menu).

Enter a name for your profile:

Select the third option 'Group' from the list:

Click Next. An informational window will open informing you that the Profile Setup window will open. You may click the "Do not prompt me again" if you do not wish to be notified of this in the future:

The Profile Setup window relating to Groups will now open. In the group profile below there are three profiles: "Business"; "Website"; and "Drafts". The "Personal" and "Photos" profiles are not in the group. You can add and remove profiles from the group using the <. <<. >, and >> buttons. You can order the profiles in the group by selecting one or more profiles and using the up and down buttons on the right. Profiles in the group are executed in the order displayed (first to last).

After you click "OK" the main program window will show the group. Note how in the screenshot below the small box to the left of the "Group" profile has been clicked to show what profiles are in the group:

To alter what profiles are in a group, select a Group Profile in the main window (you may also select 'Profiles' > 'Modify' from the main menu, or right click and select 'Modify'). The 'Group Profile' window will appear so you may redefine or change your group choices.

Modifying Group Profiles

Select your group profile and click the Modify button. The Group Profile Setup Window will open. You can change what profiles are associated with a group.

Run profiles in parallel: By default, the profiles in a group are run in the order you provide, from first to last. The next profile is started once the previous one finishes. You can choose to have all the profiles in a group run at the same time by enabling this option. It is not recommended you select this option because it will probably increase the time taken to run the profiles. If, however, you have more than one CPU or multiple drive controllers, then it could reduce the time.

The following options are also available in Easy Mode:

When

Scheduling: Schedule a time when the group profile will run automatically by choosing the "When" option in the Profile Setup window as shown in the screenshot below:

Misc.

Password protect this profile from modification or deletion: The third option in the Group Profile Setup Window in Easy Mode allows you to create a password for the group. To protect the profile from modification or deletion enter a password here. If a password is entered then whenever any attempt is made to modify or delete the profile then the user will be prompted for the password. Important: It is your responsibility to remember the password.:

Expert Options

Additional settings are available when choosing the "Expert" options from the Options drop down menu:

Hot Key

Run this profile when this hot-key is pressed: To run the profile when a certain key combination is pressed, click this edit box and press the hot-keys you want to assign. For example, if you want to run the profile whenever you press Ctrl-Shift-G, then press those keys. Now whenever you press Ctrl-Shift-G, no matter what application you are using, and even if SyncBackSE is minimized, the profile will be run:

note

Please note that SyncBackSE must be running for hot-keys to function. To remove a hot-key, click the hot-key edit box and press the Backspace key.

Login and Logout

The following options relate to how the profile can be run at Login and Logout:

Run this profile on Windows shutdown/logoff: If this option is enabled then the group profile is run when you shutdown or logoff from Windows.

Run this profile when I login to Windows: The profile will run each time a login occurs in Windows.

Insert Options

Run this profile when a disk with the label…: This set of options enables this profile to be automatically run whenever an external device is connected or a CD/DVD, USB memory key, etc. is attached to your computer.

Run Periodically

Run this profile every…: This option allows you to run the group profile, in the background, every 30 minutes, for example. For this option to work you must leave SyncBackSE running. The alternative is to use scheduling.

Run this profile every…: This option will prompt the user when a background backup is required.

Warn me when exiting...: This option will present an informational window on exiting to remind the user background backups are being made on this profile.


Restoring a Backup

Backup Restoration

Restoring a backup in SyncBackSE is a simple matter of selecting a profile and clicking the 'Restore' button located in the lower menu (you may also select 'Restore' from the main menu under 'Task', or 'Restore' from the right-click menu).

When a profile is run as a Restore the following dialog appears (unless you kept the SHIFT key pressed while clicking the Restore button, or you have previously switched off this dialog):

Click Yes to continue. The Restore Wizard then analyzes your profile and will ask a set of questions related to how you want the files restored. Note that some of the question may not appear if your profile is configured in such a way that the question is not required or relevant. Once you have gone through all the steps (or click the Restore Now button to skip all the steps) the restore process will begin.

After these steps, and the source/left and destination/right are scanned, the Differences window will appear. This gives you another opportunity to abort and also examine and optionally changes which files will be restored and how they are restored.

note

To restore from an incremental backup you should restore from the full backup folder first and then from each incremental backup folder made after that. This means you may need to run the restore process several times and restore from a progressively newer set of backup files each time. To restore from a differential backup you should restore from the full backup then the last differential backup.

Last Run

If the last run of the profile was not a success then the following question will be asked:

Click Yes to continue to the next step, or click No (or Abort) to abort the restore.

Moving

If the profile, or one of the profiles in the group, is configured to move files then the following question will be asked:

Obviously when restoring you would not want your backup files moved as you would lose your backup files. It would be better to copy them so after the restore you still have the backup files. It is recommended that you abort the restore and reconfigure your profile to not move files. You can then restore and afterwards change the profile configuration back to its original settings.

Delete All Files

If the profile, or one of the profiles in the group, is configured to delete all the files in the source/left and/or destination/right then the following question will be asked:

Obviously when restoring you would not want your backup or original files deleted. It is recommended that you abort the restore and reconfigure your profile to not delete all the files. You can then restore and afterwards change the profile configuration back to its original settings.

Delete Files

If the profile, or one of the profiles in the group, is configured to delete files that are only in the destination/right then the following question will be asked:

When restoring you would probably not want files only in the source/left to be deleted (as this is a restore the source/left becomes the destination). It’s recommended you click Yes to skip the files instead of deleting them.

Newer Files

If the profile, or one of the profiles in the group, is not configured to keep newer files then the following question will be asked:

When restoring you probably do not want to replace any newer original files with older backup files. It’s recommended you click Yes to skip the older files.

Before/After Programs

If the profile, or one of the profiles in the group, is configured to run a program before and/or after the profile then the following question will be asked:

When restoring you may not wish to run those programs. Click Yes to still run the programs, or No to not have them run.

Restore To

You are given the opportunity to restore to a different folder. This is especially important if your source/left folder (where the files will be restored to) contains variables.

Restore From

You are given the opportunity to restore from a different folder. This is especially important if your destination/right folder (where the files will be restored from) contains variables.

Reverse Group

In some cases you may want the group to run in reverse. For example, if you have a group that does a backup to a Zip file then copies the Zip file to an FTP server you probably need to run this in reverse, i.e. first retrieve the Zip file then unzip.

Replace Prompt

If you are restoring from a spanned/split Zip file and the profile is configured to prompt if a file cannot be replaced because it is busy, then you are asked if you’d instead like to replace those files on reboot. The reason is because no prompt can be made in this situation.


Creating a Schedule

Scheduling SyncBackSE

SyncBackSE interfaces with the Windows Task Scheduler to allow you to run profiles automatically at certain times, e.g. run a backup profile every day at 5am. On Windows XP you can access the task scheduler via the Start menu (All Programs > Accessories > System Tools > Scheduled Tasks).

For an overview of scheduling and background tasks go to Automating SyncBackSE.

Creating a Schedule

To create a schedule for a profile, select the profile on the main screen and click the Schedule button (you can also click the Schedule button when modifying a profile). If there is no schedule for the profile, a dialog box will appear (if you have a schedule already then a different window will appear - see Modifying a Schedule below).

There is no schedule for the profile 'The Name of Your Profile'. Would you like to create one?

On Windows XP by default you are not allowed to use blank/empty passwords when scheduling tasks. If this is the case on your installation of Windows then a prompt will appear asking you if you would like the restriction removed (no prompt is given if you do not have this restriction).

Click "OK". The following screenshot shows the blank/empty password dialogue window:

Click Yes to remove the restriction. If you Windows login password is blank/empty, and this restriction is not removed, then your scheduled task will fail to run.

There are occasions when the following window may also appear which alerts the user to this issue:

Click Yes. If you are running Windows XP, 2000, or 2003 the following dialog box will appear:

Please click the 'Set password...' button on the next screen to enter your login password.

Users on Windows XP, 2000, and 2003 (who don't have a blank/empty Windows login password) must tell the Windows Task Scheduler their Windows login password to be able to run a program on a schedule. This dialog box is a reminder to tell you to enter your password on the next screen (otherwise SyncBackSE will not run at its scheduled time). Click OK.

note

Note that by default a profile is run minimized (hidden) and will not prompt you.

If there is a 'Set password' button then click it.

You must now enter your Windows login password twice, and then click OK. You are then returned to the previous dialog box.

Click the Schedule tab.

By default, SyncBackSE will create a schedule to run the profile every day at 9am. You can change the schedule on this screen. There is also an "Advanced" button which provide additional scheduling settings:

See the Windows help file for more information.

Click the Settings tab. See the Windows help file for more information on this screen:

See the Important Scheduling Information section below for more information.

Modify a schedule

If you already have a schedule for a profile, when you click the Schedule button the following window will appear.

This window displays information on the schedule for the profile, e.g. what its schedule is and the current status. You can delete or edit the schedule by clicking Edit Schedule.

Important Scheduling Information

There are some important points to remember about the Windows scheduler:

· If your Windows login password is not blank/empty, and you are using Windows XP, 2000, or 2003, then make sure you set your password for the task. You must use your Windows login password.

· If you are using power saving features in Windows, e.g. your computer goes to stand-by or hibernate after a certain period of inactivity, then you must enable the 'Wake the computer to run this task' option in the scheduler. This will wake your computer to run the task at the appointed time.

· If you change your Windows login password then you must remember to change the password for your scheduled tasks

· SyncBackSE can accept a number of Command Line Parameters.

· To have SyncBack, or SyncBackSE V3, start with Windows you need to select the Preferences > Start With Windows item from the main menu.

· For SyncBackSE V4, select Preferences > Options from the main menu, then tick the option Start With Windows.

Common Problems

There are a number of possible reasons why the scheduled task may not run:

· Check to see what error message is returned from the Windows Task Scheduler. On Windows XP you can do this by Start > Control Panel > Scheduled Tasks. You can now see a list of all scheduled tasks on your PC. Scroll to the right and look at the Status column. This will contain the error message.

· On Windows XP, 2000, and NT make sure you set your password for the task. You must use your Windows login password.

· You are using the wrong username and/or password. You must use your Windows login password. This does not apply to Windows 95/98/98SE/ME.

· The scheduled task may not be set-up correctly to wake the computer if it is hibernating or in standby mode.

· The scheduler may be stopped or not installed. See your Windows documentation for details on how to start or install it. For Windows XP you can start the task scheduler by: Start > Control Panel > Scheduled Tasks then selecting Advanced > Start Using Task Scheduler from the main menu.

· The scheduler may be paused. For Windows XP you can resume the task scheduler by: Start > Control Panel > Scheduled Tasks then selecting Advanced > Continue Task Scheduler from the main menu.

· Profiles are user specific, they are not visible to every user on the computer. This means when you create a profile under a Windows username, and logout and login as a different Windows user, then you will not see the profile created as the other user. When scheduling a profile make sure your scheduled task is being run as the user who created the profile (this is the default when new schedules are created).

· If you are a member of a domain check that the correct username is being used for the scheduled task. By default your local (machine) username may be used, but it may be that you must use your domain username (domain\username).

Alternatives

Note that you are not forced to use the Windows Task Scheduler. You can use 3rd party schedulers instead of the Windows Task Scheduler, the only drawbacks being that SyncBack/SE will not know the task is scheduled (it will still run as that is the job of the scheduler), and the schedule options (to create and deleted a schedule) will still use the Windows Task Scheduler. There are a number of free alternatives to the Windows Task Scheduler, e.g. Kirby Alarm.


Preferences Main Menu

Program Options

Only show groups and profiles not in a group

If ticked then profiles that are in a group profile are not shown (except as part of the group(s) they are in), groups are shown, and profiles that are not in a group are shown. If unticked then all profiles are shown.

Disable Hibernate/Standby

If this item is ticked then SyncBackSE will stop your computer from hibernating or going into standby power saving modes if any profiles are running. If your computer is using batteries this option is disabled and cannot be used. Note that if your computer is running on batteries, and your batteries are low, SyncBackSE will automatically pause all running profiles and display a warning message. SyncBackSE can put your computer into hibernate or standby mode after profiles are run. For more information, see the page Command Line Parameters.

Options

This opens a window where you can change settings that apply to the entire program. See this page of the help file for more details. The Options window is available from the main menu: 'Preferences' > 'Options':

Dialogs

This opens a window where you can change which dialog boxes appear. See this page of the help file for more details.

Comparison Programs

This opens a window where you can change which programs are used in the Differences window to compare the contents of files. See this page of the help file for more details.

Language

The language used can be changed using this menu. Note that only the translated languages installed are listed. By default the language selected during installation is used (V4.0.2 and later).

Font Selection

You can change the default font used by SyncBackSE. This font is used on all screens. Note that the style, e. g. bold, will be used when displaying filenames, but will not be used for text labels, buttons, etc. The font size is fixed at 8. Changing the font (and it's Script) is useful when using other languages with SyncBackSE.

· Use default Windows colours whenever possible: If you are visually impaired and use a special Windows colour scheme, e.g. High Contrast, then you should enable this option. It will force SyncBackSE to use the default colours whenever possible. Note that you must exist and restart SyncBackSE if you change this option.

Double-click Action

You can select what action SyncBackSE should take when you double-click on a profile.

Log Settings

This opens a window where you can change how profile log files are created. See this page of the help file for more details.

Open .sps files with SyncBackSE

Exported profiles have the filename extension of SPS. If another program has set itself as the default program for opening SPS files, then this menu item will appear allowing you to change it back to SyncBackSE.

Output Debug Information

If this menu item is ticked (enabled) then when profiles are run, serial numbers entered, or profiles modified, then a debug file is created (in the same directory SyncBackSE.exe is run from). This debug file will contain detailed information that allows 2BrightSparks to pin-point any errors or problems with the program. By default this item should not be ticked. Only tick this menu item when instructed to do so by 2BrightSparks technical support. When enabled it can significantly reduce performance.

Minimize To Tray

If this item is ticked then SyncBackSE will minimize to the system tray (also called the Notification area in Windows XP) instead of to the task bar.

Minimize On Close

If this item is ticked then SyncBackSE will minimize instead of closing (exiting) when the Close button (the X button in the applications title bar) is clicked. In this case you must click the Exit button to close SyncBackSE.

Minimize On Run

If this item is ticked SyncBackSE will minimize automatically when a profile is run.


Global Settings

Program Options: Global Settings

Global Settings - Easy

· Stop background backups from starting: If ticked, any profiles set to run in the background (periodically, or via a file/folder change) will not be started. This does not affect scheduled tasks.

· Stop all running profiles when Windows is shutdown or restarted: If enabled then when you shutdown or restart Windows then all running profiles will be stopped.

· Prompt me to remove the blank password restriction on the Windows Scheduler: By default you cannot use a blank/empty password when scheduling tasks with the Windows XP Task Scheduler. If this item is ticked then whenever you schedule a profile, and you are using Windows XP with this restriction, you will be prompted to ask you if you'd like SyncBackSE to remove that restriction.

· Check periodically for new versions: If ticked then SyncBackSE will check, every 30 days, if a new version of SyncBackSE is available. See also the Update Check button (to check for a new version now) and also the Help -> Update Check main menu item.

· Start with Windows: If ticked, SyncBackSE will start after Windows is rebooted. It will start minimized.

· Amount of time to delay before background profiles are started…: When SyncBackSE is started it will wait this amount of time before the first background profile is started. This gives you time to disable background tasks or to exit SyncBackSE before they start.

· Highlight profiles that have not run successfully for…: If the value is above zero then any profiles that have not run successfully for that number of days will have an alarm clock graphic placed next to their name in the main window. This lets you clearly see which profiles are not running as expected. Note that disabled profiles are ignored and it does not apply to group profiles.

Global Settings - Expert

· Put new, imported, and copied profile settings files into...: SyncBackSE V4.0 and earlier stored settings in the Windows registry and also in the same folder as the program. Starting from SyncBackSE V4.1 the registry is no longer used and all settings are stored in files. This setting defines where to put the settings files for new profiles. It is recommended that Automatic is used as this will store new profiles in the same folder as SyncBackSE when it is run from removable media, or the C:\Documents and Settings\[username]\Local Settings\Application Data\2BrightSparks\SyncBack\ folder when not.

· Backup all profiles when the program exits: By default a backup is made of all the profiles when SyncBackSE exits. This setting defines where to put those files (they are exported profile files). If you have a large number of profiles then you may wish to disable this option and backup your profiles manually (you can use the –export command line parameter to export all profiles).

warning

So as not to interfere with the Windows shutdown/restart/logoff process, profiles will not automatically be backed up if SyncBackSE is exiting due to a Windows shutdown/restart/logoff.

· Progress update frequency: If you move the slider to the far left then the progress bar will be updated very frequently. If you move it to the far right then they will be updated less frequently. Note that the more frequently the progress bar is updated then the slower the profiles will run. You can reduce the profile run time by reducing the update frequency.

· … after profiles have run when configured to run on shutdown/restart: If you have a profile that is set to run on Windows shutdown or restart, then this setting tells SyncBackSE what to do after that profile has run. Unfortunately Windows does not tell SyncBackSE whether the user wants to shutdown or restart, so this setting is used to define what to do.

· Update Check: If this button is clicked a check is made to see if a new version of SyncBackSE is available for download. You can also check via the Help main menu.


Dialogs

Program Options: Dialog Settings

Many dialogs displayed by SyncBackSE have the “Do not prompt me again” checkbox:

When ticked the dialog will not be displayed again and instead your answer will be used in future. Sometimes, however, you may want the dialog to be displayed again.

Profile: Some dialog boxes are profile specific, meaning whether they are displayed or not depends on the profile being run. This list-box lists all the profiles and *Program*, which is for dialog boxes that are not for profiles but for the program itself. When the selection is changed the items in Dialog text is changed.

Dialog text shows which dialog boxes have been configured not to be displayed again. It shows the text of the dialog box along with the result that is used instead of showing the dialog box, e.g. OK. If you want the dialog box to be displayed simply untick the item. If you want all dialog boxes for a profile to be displayed press Cltr-A (to select all items), right-click, and choose Untick selected from the pop-up menu.


Comparison Programs

Program Options: Comparison Programs

External File Comparison Tools

When the Results window is displayed, which lists what files are going to be copied, deleted, etc., then you have the chance to compare two files. For example, you may have changed the same Word document in both the source/left and destination/right. In this case you may want to compare the actual Word documents to decide what action you want SyncBackSE to take.

The External file comparison tools window lets you tell SyncBackSE which external programs to use to compare files of various types.

· Name: This is the unique name to give to the entry. You can use whatever name you wish, e.g. Compare Word Documents

· Description: An optional description of the program, e.g. Compares word documents

· Program: This is the filename of the program that will be used to compare the two files. You must enter a complete path and filename. Note that Windows environment variables can be used, e.g. %ProgramFiles%\WinMerge\WinMerge.exe

· Parameters: These are the command line parameters that are used with the comparison program. Check the documentation for the comparison program to see what parameters can be used and how they are used. There are two special strings that you must use in the parameters: %1 is used to donate the filename of the source/left file, and %2 is for the destination/right filename. SyncBackSE will automatically replace these two parameters with the correct filenames. Note that you will probably need to wrap the %1 and %2 strings with double-quotes, e.g. –left “%1” –right “%2”, as Windows treats a space characters as a break between parameters.

· File types that can be compared: A comma-delimited list of file types that the comparison program can compare. Do not use the initial period of the filename extension, e.g. use txt and not .txt


Log Settings

Program Options: Logging Settings

By default the log file, produced when a profile is run, is created in HTML format. By selecting this menu item you can change the log file format, or choose not to create a log file at all.

· Store all my log files in the following folder: This is the folder SyncBackSE will store the log files created after every profile run. You can use environment variables, e.g. %APPDATA%

· Use the following filename for my log files: This is the filename of the log files SyncBackSE created. Windows environment variables and SyncBackSE variables can be used here, including a special variable called %PAGE% which is replace with the page number of the log file.

note

Note that this setting is just the filename, not the path. The above setting is for the path.

· Keep a history of…: SyncBackSE can be configured to keep a certain number of log files, e.g. the log files of the last 3 profile runs.


Exploring SyncBackSE

Discovering SyncBackSE

Now you've gained the essential knowledge of using SyncBackSE, we'll turn to taking advantage of some of the options available in the program. SyncBackSE has two Modes that allow you to change the settings for any given profile: Easy Mode and Expert Mode.

SyncBackSE is a very flexible program. As you gain confidence in using the program you'll discover the power and ease that backing up and synchronizing can bring to your daily work at the computer. The default settings in SyncBackSE are defined to help you manage your data backup tasks in a simple straightforward manner.

note

Remember at all times that SyncBackSE copies, moves, and deletes data. Please ensure that you test your settings before running them. You can achieve this easily by using the Simulated Run or Simulated Restore commands available from the 'Task' menu:

The next section of this help file presents the settings and options available to you in Easy Mode.


Easy Mode

Easy Operation

SyncBackSE provides two modes to view and change your Profiles: Easy and Expert. Easy mode presents far fewer options to modify your Profile making the choices you make less complex than in Expert mode. The Easy and Expert Mode buttons can be found at the top left of the Profile Setup Windows (select a Profile, then click the 'Modify' button at the base of the main SyncBackSE window):

ps-options-easy | ps-options-expert
Easy Options | Expert Options

Profile Settings in Easy Mode

The following Settings pages detail the options available for each settings tab in Easy Mode:

Easy Mode Configuration

Simple Settings

When

Sub-directories and Files

Fast Backup

Decisions - Files

Smart Synchronization


Easy Mode Configuration

Easy Mode: Configuring SyncBackSE

After a profile has been created in SyncBackSE you may modify the settings for that profile at any time. If you haven't already defined a profile view Creating a Profile which will guide you through this simple process.

Easy Mode Overview

SyncBackSE has two Modes that will allow you to change the settings for any given profile: Easy Mode and Expert Mode.

note

Note that these modes affect a single profile and not all profiles.

To find out how Group Profiles may be modified go to Creating a Group Profile.

This help page details the options available in the Easy Mode. To modify a profile either use the 'Modify' button on the toolbar, or select 'Modify' from the 'Profiles' main menu located at the top of the program window.

The Easy Mode Profile Setup window is shown below with the default 'Simple' settings tabs:

note

Note how the text in the white informational area helps you decide what option best suits your requirements by summarizing your profile in a text statement.

Spend time getting to know what options are available under the four additional tabs in the Profile Setup window. The 'Simple', 'When', 'Fast Backup', 'Advanced', and 'Decisions - Files' options on the left hand tree contain a range of options that provide a great deal of flexibility in the way you can perform tasks:

Profile Settings in Easy Mode

The following Settings pages detail the options available for each settings tab:

Simple Settings

When

Sub-directories and Files

Fast Backup

Decisions - Files

Smart Synchronization

Copy/Delete Settings


Simple

Easy Mode/Expert Mode: Simple Settings

This page gives you an overview of what the profile is configured to do. It also lets you change where files are copied to and from, which files and folders are copied, and what name you want to give to the places where files are copied to and from.

Next to the source/left and destination/right paths there are two buttons. You can click these buttons to change the name of that location. For example, you may be doing a backup from your desktop to an external hard drive. Instead of using the labels Source and Destination you may instead want them to be called Desktop and External Drive.

By default all your files and folders in the chosen folders are copied (with the exception of things like the swap file). However, if you'd like to not copy some specific folders or files, or choose which types of files not to copy (e.g. temporary files), then you can click the Choose sub-directories and files button to make those selections. Read more about choosing sub-directories in the Sub-directories and files section of this help file.

To filter out files and folders based on their name, e.g. you may not want to copy any .exe files, then click the Change Filter button. Read more about the filters in the Filter Settings section of this help file.


When

Easy Mode/Expert Mode: When Settings

This page shows you if a profile has been configured to run on a schedule, e.g. 9am every morning. To create or change the schedule click the Edit Schedule button. For details on scheduling see the Create a Schedule section of this help file. Click the Delete Schedule button to delete an existing schedule.


Sub-directories and Files

Choosing Sub-directories and Files Settings

To select exactly which folders and files you want to include in your profile, click the "Choose sub-directories and files" button. By default all files and sub-folders (with the exception of some folders and files you wouldn't want to copy, e.g. your swap file) are included.

The tree displayed is similar to the one used in Windows Explorer. You can collapse and expand the folders to see the files and folders within. A folder or file with a tick next to it is included in the profile.

When all the files and child folders in a folder will be included in the profile the folders colour will be solid yellow. If any files or child folders are not included then the folder will be half yellow. Note that in some cases it is not known if all files and child folders are included until the folder has been fully expanded.

On the right of the tree are two columns: New Files and New Folders. These options let you decide on whether the profile should include any new files or folders that are created within that folder. By default all new files & folders are included. If a folder is not ticked then no files or folders will be included in the profile.

As an example: you may have a folder in which you only want two specific files included and no other files or folders. You would tick those two files and untick all the other files and sub-folders. Then you would change the folder settings to ignore new files and folders. This way even if a new file is created in that folder it will be ignored, and so will any new sub-folders.

· Roll-out: If you click the bar (with the + sign at the left) at the top of the window then a number of options appear:

· Show files: This allows you to show or hide files in the tree.

· Show files and folders that do not exist: You may have previously selected a file and/or folder to include in your backup. However, that file or folder may no longer exist, e.g. it has been deleted. In this case it will still appear in the tree but will be highlighted in red. If this option is unticked then those non-existent files and folders will be hidden. You can permanently remove them by clicking the Clean up button or ticking the Clean up automatically option.

· Clean up automatically: Files or folders that do not exist will be automatically removed from the tree. You can manually remove them by clicking the Clean up button.

· Do not display file icons: To improve performance you can have file icons not displayed.

· Clean up: Files or folders that do not exist will be removed from the tree if this button is clicked. Files and folders that do not exist are highlighted in red.

· Change filter: Clicking this button displays the filter window. This lets you choose which types of files to include or exclude, and also choose which folders to include or exclude based on their name. See the Filter Settings section for more information.

If you right-click on the tree then a pop-up menu appears with a number of options. These options apply to the selections you have made in the tree:

· Tick selected: All the items selected in the tree will be ticked.

· Untick selected: All the items selected in the tree will be unticked.

· Collapse all: All the folders in the tree will be collapsed.

· Collapse selected: All the selected folders in the tree will be collapsed.

· Exclude folders with this name: Folders with the same name as the ones you've selected in the tree will be added to the filters (folders not to copy) list.

· Exclude files with this name: Files with the same filename as the ones you've selected in the tree will be added to the filters (files not to copy) list.

· Exclude files with this extension: Files with the same filename extension as the ones you've selected in the tree will be added to the filters (files not to copy) list.

· Include folders with this name: Folders with the same name as the ones you've selected in the tree will be added to the filters (folders to copy) list.

· Include files with this name: Files with the same filename as the ones you've selected in the tree will be added to the filters (files to copy) list.

· Include files with this extension: Files with the same filename extension as the ones you've selected in the tree will be added to the filters (files to copy) list.

· Ignore new files: Any new files created in the selected folders will be ignored.

· Include new files: Any new files created in the selected folders will be included in the profile

· Ignore new folders: Any new sub-folders created in the selected folders will be ignored.

· Include new folders: Any new sub-folders created in the selected folders will be included in the profile.

You can select multiple items in the tree by clicking the mouse and using the Shift and Ctrl keys.


Fast Backup

Easy Mode/Expert Mode: Using Fast Backup

SyncBackSE can make backing up even faster if you choose the 'Fast Backup' option. Read this help page carefully before you go ahead as there are some important considerations to make when choosing this option. You'll also find some Frequently Asked Questions about Fast Backup below.

'Fast Backup' option is displayed when you create or modify a profile and select the option from the tree:

· Perform a fast backup: Enable this option to greatly improve a backup profiles performance. Note that this option is only available when a profile is configured in a certain way. For more information, including side effects of fast backups, please see the section below.

· Keep fast backup data based on the actual destination directory (each destination has a full backup): If this option is unticked then a fast backup works much the same as an incremental backup. This means that only new or modified files are copied from the source to the destination regardless of where the destination is. If you are not using variables, e.g. %DAYOFWEEK%, in the destination then you can leave this option unticked as it will make no difference.

If you are using variables in the destination then you should consider ticking this option. If this option is ticked then the fast backup works in a different way. It keeps track of which files and folders are in each destination. This means each destination directory will have a complete backup and not just contain the new/changed files.

· Differential backup (do not update the fast backup data): If this option is ticked then a fast backup works much the same as a differential backup. This means that only new or modified files since the last full backup are copied from the source to the destination. If you are not using variables, e.g. %DAYOFWEEK%, in the destination then you can leave this option unticked as it will make no difference.

For example, if your destination is X:\%DAYOFWEEK%\, and you force a rescan on Mondays, then your Monday backup will be a full backup. Your Tuesday backup will contain new and changed files since Monday, Wednesday’s backup will contain new and changed files since Monday, etc.

· Delete all the files and folders in the destination before the backup: If this option is ticked then all the files and folders (just the Zip file if compressing to one Zip file) in the destination are deleted before the backup is made. The files and folders are not deleted if a re-scan has been forced or is required.

This option is best used when "Keep fast backup data based on the actual destination directory" is unticked. For example, if you keep 7 days worth of backups (using the %DAYOFWEEK% variable in the destination), and force a rescan each Monday, then by enabling this option you'll ensure that the Monday backup contains a complete backup and that the backups for all the other days just contain new/changed files since the previous day.

· Force re-scan: Click this button to force SyncBackSE to scan the destination next time the profile is run. Please read the notes below about the consequences of forcing a rescan when using FTP.

· Force a re-scan when: This lets you define when SyncBackSE should perform a complete re-scan of the destination. For example, to force a complete re-scan every Monday you would select %DAYOFWEEK% from the list, select equals from the drop-down, and type in 1 (1=Monday, 7=Sunday) in the edit box. See the section below for details on why this may be required and what it does. Please read the notes below about the consequences of forcing a rescan when using FTP.

Important Information About Fast Backups

Explaining Fast Backups

When you backup files to the destination it is assumed that no other application, or person, will be changing the files in the destination. For example, if you backup your files to another drive you are not going to be editing or changing those backup files (except using SyncBackSE to replace them as appropriate). Because of this SyncBackSE should be able to remember what files, and directories, are on the destination without needing to scan it to find out.

How 'Fast Backup' works

First, you need to enable the Fast Backup option on the Fast Backup tab. The Fast Backup tab is not visible if the profile is configured such that it cannot use the Fast Backup option. When the profile is next run, SyncBackSE will remember which files and directories it copied to (or deleted from) the destination directory. This means the first run of a profile, after Fast Backup is enabled, will take the same amount of time as without Fast Backup enabled. However, for the second and subsequent runs of the profile it will not need to scan the destination directory because it remembers what it did the last time the profile was run. This means the scan time is substantially lower (at least twice as fast, often far more) especially if the destination is on a slow device, e.g. networked drive, FTP server, etc.

Can I use Fast Backups on all profile types?

No. The Fast Backup option is only possible when no changes are being made to the destination. This means it cannot be used with backups from FTP or Zip files, synchronization profiles, or profiles that use prompting. It is for backup profiles only.

Sometimes SyncBackSE scans the destination directory even though I've enabled Fast Backups. Why?

There are a number of reasons why SyncBackSE may scan the destination directory:

· The Force Re-scan button has been pressed for that profile.

· The settings on the Fast Backup tab specify a re-scan should be performed under certain conditions.

· The –full command line parameter was used.

· The fast backup data has been deleted.

What options does using Fast Backup disable?

When using Fast Backups you cannot enable the following options in your profile:

· Force the file modification date & time to be correct (may be required when using SAMBA or network drives).

· Reset the archive file attribute on files once they have been copied.

· Files cannot be moved, only copied.

· The destination cannot be watched for file changes.

What side effects are there with using Fast Backups?

Because a Fast Backup will not scan the destination (except on the first run after it is enabled for that profile) that means only the changes will be applied to the destination without regard to what is actually on the destination. For example, you could change the destination directory, run the profile, and then only the new/modified files would be copied to the destination (and not all the files as would normally be the case).

This has important consequences when your destination directory is dynamic, i.e. it uses environment variables that can change in value. For example:

· Create a normal backup profile and set the source directory to C:\My Documents\ and the destination directory to D:\%DAYOFWEEK%\

· Enable Fast Backup for the profile.

· On the first run of the profile (let's assume it's Monday and the destination directory is empty) all the files will be copied to D:\Backup\1\

· When the profile is run on Tuesday then only the new or modified files will be copied to D:\Backup\2\

· On Wednesday new and changed files will be copied to D:\Backup\3\ and so on until Monday.

· When it is run again on the following Monday then only the new and changed files will be copied to D:\Backup\1\

· Enable the option "Keep fast backup data based on the actual destination directory". This will create full backups for each day and not just incremental backups for Tuesday to Sunday.

Or

· Enable the option "Delete all the files and folders in the destination before the backup" and force a rescan on Mondays. There are three ways to do this (using this example):

1. The best and easiest option is to configure the "Force a re-scan when:" settings to force a re-scan every Monday (select %DAYOFWEEK% from the list, select equals from the drop-down, and type in 1 (1=Monday, 7=Sunday) in the edit box).

2. You can do this manually by clicking the Force Re-scan button on the Mondays.

3. Use the -full command line option (for Monday only when scheduling).

This will mean that the Monday backup is a complete backup, and the backups on Tuesday to Sunday contain just the new/changed files since the previous days backup.

Note about "Delete all the files and folders in the destination before the backup"

This option should be used with care because it will delete all the files and folders in the destination before running the profile. However, if you are compressing to a single Zip file it will just delete that Zip file and no other folders or files.

An important detail to remember about this setting is that the destination files are not deleted if the profile run is doing a rescan. For example, if you've configured your profile to rescan on Mondays (%DAYOFWEEK% equals 1) then when the profile is run on a Monday it will not delete the destination files. However, it will delete them if there is no rescan. This has consequences if you run your profile more than once and also if you do not ever do a rescan. For example, if you configured your profile to rescan on Mondays then when the profile is run on a Tuesday it will delete the destination files and copy over the new or changed files since the last profile run. However, if you run it again immediately (and assuming it is still Tuesday) it will delete those files and then copy over any new or changed files since the last run, which may be no files at all.

Example Fast Backup Configurations

The following section provides example backup configurations.

To keep 7 days worth of backups, and have a full-backup on Mondays and incremental backups on all the other days of the week:

· Create a backup profile

· Configure your source as appropriate

· Set the Destination to something (the %DAYOFWEEK% is required) like D:\My Backups\%DAYOFWEEK%\

· Go to the Fast Backup tab and enable the options: Perform a fast backup and Delete all the files and folders in the destination before the backup

· In the "Force a re-scan when:" box select the %DAYOFWEEK% item, select Equals from the drop-down list to the right of the box, and enter 1 into the box to the right of the drop-down list (we use 1 because Monday is day 1, Tuesday is day 2, etc).

· You should schedule the profile to run just once every day

To keep 7 days worth of backups, and have a full-backup on Mondays and differential backups on all the other days of the week:

· Create a backup profile and configure your source as appropriate

· Set the Destination to something (the %DAYOFWEEK% is required) like D:\My Backups\%DAYOFWEEK%\

· Go to the Fast Backup page and enable the options: Perform a fast backup, Differential backup (do not update the fast backup data), and Delete all the files and folders in the destination before the backup

· In the "Force a re-scan when:" box select the %DAYOFWEEK% item, select Equals from the drop-down list to the right of the box, and enter 1 into the box to the right of the drop-down list (we use 1 because Monday is day 1, Tuesday is day 2, etc).

· You should schedule the profile to run just once every day

To keep 7 days worth of backups and have full-backups for each day:

· Create a backup profile

· Configure your source as appropriate

· Set the Destination to something (the %DAYOFWEEK% is required) like D:\My Backups\%DAYOFWEEK%\

· Go to the Fast Backup tab and enable the options: Perform a fast backup and Keep fast backup data based on the actual destination directory

· Go to the Advanced tab and configure the profile to delete files from the destination that do not exist on the source. This ensures that your backups don't get cluttered with redundant files. Those deleted files will already exist in previous days backups.

· You should schedule the profile to run just once every day

To keep full-backups on a set of disks:

· Create a backup profile

· Configure your Source as appropriate

· Set the Destination, e.g. X:\%SERIAL%, where X: is a drive that accepts removable media, e.g. a CD/DVD drive, Zip drive, floppy disk drive, etc.

· Go to the Fast Backup tab and enable the options: Perform a fast backup and Keep fast backup data based on the actual destination directory

· Go to the Advanced tab and configure the profile to delete files from the destination that do not exist on the source. This ensures that your backups don't get cluttered with redundant files.

· Each time you run the profile use a different disk. You could keep 10 days worth of backups by rotating a set of 10 disks. Each disk will have a complete backup.

What about FTP and Fast Backups?

One of the benefits of using Fast Backup and FTP is that it can really improve the backup time. Apart from not having to scan the FTP server to find changes, SyncBackSE also does not need to set the date & time of the file on the FTP server to match that of its equivalent file on your PC. This can further reduce the backup time.

If you don't care if the date & time of the files on your FTP server match those on your PC then you can untick the "If the FTP server cannot set a files date & time then change the local files date & time to match that on the server" option on the FTP tab.

There are important consequences to doing this: the date & time the file should be set to (on the FTP server) is kept in the Fast Backup data. Therefore, if you force a re-scan (so erasing that data) then the last date & time information is permanently lost. What does this mean?

· When you do a restore all the files will be retrieved from the FTP server along with their last modification date & time, which is not the original value. As the date & times won't match, all the files will be restored unless you've configured your profile to ignore file date & times.

· When you next run a backup all the date & times will be mismatched so forcing a complete backup (unless you've configured your profile to ignore file date & times).


Decisions - Files

Easy Mode/Expert Mode: Decisions - Files Settings

Define how SyncBackSE will perform its task under different circumstances.

For example, what SyncBackSE will do if the same file is in the destination but not the source.

The Decisions - Files page lets you tell SyncBackSE which files to copy or delete. If this is a new profile then these settings have already been correctly chosen for you and there is no need to change them. Which options are displayed depends on whether you have a Smart Synchronization profile or not.

There are three different situations in which SyncBackSE must decide which file to copy or delete:

1. When there is a file (with the same name and in the same directory) that is both in the source and the destination but their contents are not the same. For example, you may have changed the file in the source.

2. When there is a file that is in the source, but not in the destination. For example, you may have deleted the file in the destination.

3. When there is a file that is in the destination, but not in the source.

Pre-configured Settings

At the top of the window is a bar that when clicked shows three buttons:

Click on these buttons will change the settings on this page to perform that task. For example, if you want to reset the settings so it’s a backup then click the “Backup source to destination” button.

Non-Smart Synchronization Options

First Advanced Settings Group

The first group of settings on this page let you decide what SyncBackSE should do for situation 1, i.e. when a file is in the source and destination, but they are not the same file:

· Source overwrites destination always (backup): A file from the source directory will always replace a file in the destination directory. Choose this option when doing backups.

· Destination overwrites source always (restore): A file from the destination directory will always replace a file in the source directory.

· Newer file overwrites older file (synchronize): The newer file will replace the older file, i.e. the file last modified replaces the older file. Choose this option when synchronising directories.

· Older file overwrites newer file: The older file will replace the newer file. This is the exact opposite of the previous option.

· Larger file overwrites smaller file (skip if same size): The larger file will replace the smaller file (and no copy is made if they are the same size).

· Smaller file overwrites larger file (skip if same size): The smaller file will replace the larger file (and no copy is made if they are the same size). This is the exact opposite of the previous option.

· Prompt me (skips file if run from command line): If both files have been changed then you are prompted and will be able to decide what to do. Note that if SyncBackSE is run from the command line, or from the Windows Task Scheduler, then no prompt will appear and the file will not be copied.

· Do nothing, skip the file: In this case no file is copied and nothing is done.

· Move the file instead of copying it: The file will be moved from the source to the destination. Note that this option is not always available, e.g. if your profile is a Fast Backup profile.

Second Advanced Settings Group

The second group of settings on this page let you decide what SyncBackSE should do for situation 2, i.e. when a file is in the source but not the destination:

· Copy file to destination: The file is copied from the source to the destination.

· Delete file from source if it hasn't been modified within the last x days: The file is deleted from the source. If the days value is greater than zero then the file is deleted from the source only if it hasn’t been modified in that number of days.

· Prompt me (skips file if run from command line): You will be prompted on what action to take. Note that if SyncBackSE is run from the command line, or from the Windows Task Scheduler, then no prompt will appear and the file will be ignore.

· Do nothing, skip the file: Nothing will be done and the file will be ignored.

Third Advanced Settings Group

The third group of settings on this page let you decide what SyncBackSE should do for situation 3, i.e. when a file is in the destination but not the source:

· Copy file to source: The file is copied from the destination to the source.

· Delete file from destination if it hasn't been modified within the last x days: The file is deleted from the destination. If the days value is greater than zero then the file is deleted from the destination only if it hasn’t been modified in that number of days.

· Prompt me (skips file if run from command line): You will be prompted on what action to take. Note that if SyncBackSE is run from the command line, or from the Windows Task Scheduler, then no prompt will appear and the file will be ignore.

· Do nothing, skip the file: Nothing will be done and the file will be ignored.


Smart Synchronization

Using 'Smart Synchronization'

Smart Synchronization Options

With Smart Sync you are given a large number of options of what to do in each situation. Although the list and options appear daunting, taking the default values is nearly always the best option.

note

Smart Synchronization cannot be used when compressing all files into one single file.

In the description of the options below an example follows about how this option may be triggered when you do a Smart Sync.

Example Scenario

You have a local copy of the files on your laptop computer. In your profile setup this is the Source directory. There is also a copy of those files on the company network. In your profile setup this is the Destination directory.

People in the company are making changes to the files on the network, and when you are out of the office you are changing your files on your laptop. Once you return to the office you are connecting your laptop to the company's network and synchronising your files using SyncBackSE.

Note that when you first run a Smart Sync profile it has no history of data to look at and so, for example, cannot know if a file was only changed in the source but not the destination.

What to do if...:

· sync1 ...the same file has been changed in both the source & destination: You've changed a file on your laptop and someone has also changed the same file on the network. In this situation it's best to be prompted on what to do. You may need to manually merge the files contents.

· sync2 ...the file has only been changed in the source (unchanged in destination): You've changed a file on your laptop and nobody changed that file on the network. In this situation the default is to copy your changed file to the network (Source overwrites destination always).

· sync3 ...the file has only been changed in the destination (unchanged in source): A file was changed on the network and you didn't change your local copy of the file. In this situation the default is to replace your local copy with the changed one (Destination overwrites source always).

· sync4 ...a file is deleted from the source (but was changed or created in the destination): You've deleted a file on your laptop but someone has changed that file on the network or created a file with the same name on the network. In this situation the default is to be prompted as you may either want to delete the network file, or copy the network file to your laptop.

· sync5 ...a file is deleted from the source (but is unchanged in the destination): You've deleted a file on your laptop and the file on the network was not changed. In this situation the default is to also delete the file from the network (Delete file from destination).

· sync6 ...a file is deleted from the destination (but was changed or created in the source): Someone has deleted a file from the network but you've changed your local copy of that file (or created a new file with the same name). In this situation the default is to be prompted as you may either want to delete your local copy of the file, or copy the local file to the network.

· sync7 ...a file is deleted from the destination (but is unchanged in the source): Someone deleted a file on the network and the file your laptop was not changed. In this situation the default is to also delete the file from your laptop (Delete file from source).

· sync8 ...a new file has been created in both the source & destination and are different: The same file has been created on the network and your laptop. This happens when you first run a Smart Sync profile. The default is to be prompted, and usually you would choose to copy the newer file over the older file (Newer file overwrites older file).

· sync9 ...a new file has been created in the source only, or is only in the source: You've created a new file on your laptop and it doesn't exist on the network. This happens when you first run a Smart Sync profile. The default is to copy the file to the network (Copy file to destination).

· sync10 ...a new file has been created in the destination only, or is only in the destination: Someone has created a new file on the network and it doesn't exist on your laptop. This happens when you first run a Smart Sync profile. The default is to copy the file to your laptop (Copy file to source).


Expert Mode Configuration

Expert Mode Overview

SyncBackSE provides two modes to view and change your Profiles: Easy and Expert. Easy mode presents far fewer options to modify your Profile making the choices you make less complex than in Expert mode. The Easy and Expert Mode buttons can be found at the top left of the Profile Setup Windows (select a Profile, then click the 'Modify' button at the base of the main SyncBackSE window):

To access the Expert mode you'll need to select the 'Expert Mode' button located on the lower menu in the 'Profile Setup' window. To modify a profile either use the 'Modify' button on the toolbar, or select 'Modify' from the 'Profiles' main menu located at the top of the program window. Spend time getting to know what options are available under the fourteen tabs in the Profile Setup window.

ps-options-expert

Profile Setup Option Menu

The Profile Setup Option Menu allows you to:

· Select Easy or Expert mode
· Save profile settings as a default profile
· Copy profile settings from an existing profile
· Load defaults
· Revert to factory settings

menu-expert

Expert Options

The left hand Options Tree contains a range of settings and choices that provide a great deal of flexibility in the way you can perform and control tasks, many of which are not available in the default Easy Mode.

Spend time getting to know what options are available.

The screenshot on the left shows all the options in Expert mode that are available. In practice only the selected branch of the Option Tree will show its associated branch:

Profile Settings in Expert Mode

The following Settings pages detail the options available for each settings tab (the first of the following five headings are also available in Easy Mode):

Simple (also available in Easy Mode)

When (also available in Easy Mode)

Sub-directories and Files (also available in Easy Mode)

Fast Backup Settings (also available in Easy Mode)

Decisions - Files (also available in Easy Mode)

Smart Synchronization (also available in Easy Mode)

Simple, Performance

When, Hot-key

When, Login/Logout

When, Changes

When, Insert

When Periodically

Decisions, Folders

Copy/Delete

Copy/Delete, Folders

Copy/Delete, Advanced

Compare Options

Compare Options, File

Compare Options, Date & Time

Compare Options, Attributes

Compression

Compression, Encryption

Compression, Advanced

Compression, NTFS

Compression, Compressed

Encryption

FTP

FTP Advanced

FTP Proxy

FTP Firewall

Miscellaneous

Miscellaneous, Media

Programs Before

Programs, After

Auto-close

Email

Email, Advanced

Log

Network

Network, Advanced


Simple, Performance

Expert Mode: Simple, Performance Settings

Simple | Performance

This page shows you which settings may be affecting the performance of your profile. It is important to keep in mind that speed is not everything, and that what is more important is that the files are copied correctly. For example, verifying that your backup files are correct will slow down the profile but will guarantee your backup files are not corrupted. The safe copy option is enabled by default for most profiles and it is strongly recommended that you do not switch off this option just to slightly reduce the backup time.


When, Hot-key

Expert Mode: When, Hot-Key Settings

When | Hot-key

· Run the profile when this hot-key is pressed: To run the profile when a certain key combination is pressed, click this edit box and press the hot-keys you want to assign. For example, if you want to run the profile whenever you press Ctrl-Shift-P, then press those keys. Now whenever you press Ctrl-Shift-P, no matter what application you are using, and even if SyncBackSE is minimized, the profile will be run. Please note that SyncBackSE must be running for hot-keys to function. To remove a hot-key, click the hot-key edit box and press the Backspace key.

· Run unattended, i.e. do not prompt me: If a profile is run via the hot-key, by default it is run attended, i.e. dialog box and prompts related to the profile will be displayed when required. If this option is ticked then the profile will be run silently with any prompting.


When, Login/Logout

Expert Mode: When, Login/Logout Settings

When | Login/Logout

· Run this profile on Windows shutdown/logoff: If this option is enabled then the profile is run when you shutdown, restart, or logoff from Windows. Please note that SyncBackSE cannot differentiate between a shutdown and a restart (there is no problem with logoff) so after the profile has run the computer will be shutdown, by default, even if you selected to restart. This is due to a limitation in the way Windows informs applications of a Windows shutdown. You can change this via the Global Options settings.

· On shutdown/logoff run &unattended, i.e. do not prompt me: If a profile is run on shutdown/logoff, by default it is run attended, i.e. dialog box and prompts related to the profile will be displayed when required. If this option is ticked then the profile will be run silently with any prompting.

· Run this profile when I login to Windows: A shortcut to SyncBackSE is created in the Windows Startup folder so when you login the profile will be run. Note that it will be run unattended. Due to the nature of this setting it cannot be exported/imported, copied to another profile, or set to be on by default.


When, Changes

Expert Mode: When, Changes Settings

When | Changes

A profile can be configured to watch for changes to files, and when any changes are made, the profile will be run. There are two important points to keep in mind:

1. SyncBackSE must be running for it to be able to detect changes. You may want to configure SyncBackSE to start with Windows (see Preferences -> Global Settings).

2. If you make changes to those files while SyncBackSE is not running it will not detect them and so when you start SyncBackSE it will not run the profile. Because of this you may still want to schedule the profile to run periodically.

· Run this profile when any files or directories are changed on source: If this option is enabled then the source folder will be watched, and if any changes are made to any files (including files in sub-folders), or if any files are deleted, then the profile will be run.

· Run this profile when any files or directories are changed on destination: As per the above setting but the destination is watched. If you using a backup profile then there is no point watching the destination for changes. Also note this option is not available with Fast Backup profiles.

· Run interactively, i.e. prompt me if required: If a profile is run when changes to the files are made, by default it is run unattended, i.e. dialog box and prompts related to the profile will not be displayed. If this option is ticked then you will be prompted as and when required.


When, Insert

Expert Mode: When, Insert Settings

When | Insert

A profile can be configured to run a profile whenever an external device is attached, e.g. a USB key is inserted. If Windows is assigning a random drive letter to the device when inserted please use the %LABEL% or %SERIAL% Variables.

· Run this profile when…: This set of options enables this profile to be automatically run whenever an external device is connected or a CD/DVD, USB memory key, etc. is attached to your computer. You can configure it to be broad, e.g. any device into any drive, or very specific, e.g. a drive with a specific label, serial number, and with a certain drive letter.

· Run unattended, i.e. do not prompt me: If a profile is run via a device insert, by default it is run attended, i.e. dialog box and prompts related to the profile will be displayed when required. If this option is ticked then the profile will be run silently with any prompting.


When, Periodically

Expert Mode: When, Period Settings

When | Periodically

Running profiles in the background is similar to running profiles via the Windows Task Scheduler, except SyncBackSE must be running for background profiles to run. Also background profiles usually run much more frequently than scheduled tasks, e. g. every 30 minutes.

For example, you could create and configure a profile to run in the background every 30 minutes that makes a backup of the documents you are working on. This helps ensure that you lose the least amount of work possible if, for example, there was a power cut.

· Run this profile every...: This is the interval at which the profile will be run, e. g. every 30 minutes.

· Run interactively, i.e. prompt me if required: If a profile is in the background by default it is run unattended, i.e. dialog box and prompts related to the profile will not be displayed. If this option is ticked then you will be prompted as and when required.

· Warn me when exiting SyncBackSE...: If this option is enabled, and you exit SyncBackSE while a background profile is waiting to run, then you will be prompted as a reminder.


Decisions, Folders

Expert Mode: When, Folders Settings

Decisions - Files | Decisions, Folders

These settings are related to how folders are created and deleted. By default it is handled automatically.

What to do if a directory exists on source/left but not on destination/right

Run this profile when…: Folders only on the source/left will be created in the destination/right.

· Create directory on destination/right: If the folder is empty it will be deleted from the source/left. Note that the folder will not be deleted if it has files in it, including any hidden files. You can configure which files SyncBackSE can automatically delete to make a folder empty on the Copy/Delete Advanced page.

· Delete directory from source/left only if a file is moved/deleted from it: In some cases you may only want a folder to be deleted if a file was deleted/moved from it. As above, the folder must be empty for it to be deleted.

· Prompt me (skips folder if run unattended): You will be prompted on what action to take.

· Automatic: SyncBackSE will decide the best action to take based on your profile type. This is the default.

What to do if a directory exists on destination/right but not on source/left

· Create directory on source/left: Folders only on the destination/right will be created in the source/left.

· Delete directory from destination/right (if empty): If the folder is empty it will be deleted from the destination/right. Note that the folder will not be deleted if it has files in it, including any hidden files. You can configure which files SyncBackSE can automatically delete to make a folder empty on the Copy/Delete Advanced page.

· Delete directory from source/left only if a file is moved/deleted from it: Delete directory from destination/right only if a file is moved/deleted from it: In some cases you may only want a folder to be deleted if a file was deleted/moved from it. As above, the folder must be empty for it to be deleted.

· Prompt me (skips folder if run unattended): You will be prompted on what action to take.

· Automatic: SyncBackSE will decide the best action to take based on your profile type. This is the default.


Copy/Delete

Expert Mode: Copy and Delete Settings

Define how SyncBackSE will handle the copying and deleting of files.

SyncBackSE can optionally use exactly the same routines for copying and deleting files that Windows Explorer itself uses. This ensures that files are copied as expected, e.g. the files attributes are also copied, and provides benefits such as putting deleted files in your Recycle Bin.

File copying method: Three different methods of copying (and deleting) files are provided to allow for maximum compatibility and flexibility:

· Standard Windows file copying: This is the default method for copying files. It is the most efficient and quickest way to copy files. Not using the shell (see next item) may fix network problems, especially when using Novell networks.

· Windows Explorer method of file copying: The Windows Shell (Explorer) is asked to copy and delete files on behalf of SyncBackSE. When using this method you have the benefit of moving deleted files to the recycle bin.

· Backup read/write file copying: This method (which can only be used by Windows users who have the necessary backup access rights – if not then the Standard method is silently used) can be used to copy files that the user has no access rights to. So if you are receiving 'Access denied' error messages you may want to try this method.

 | Standard | Explorer | Backup
Copies extended attributes (1) | Yes | Yes | Yes
Copies OLE structured storage (1) | Yes | Yes | Yes
Copies NTFS file system alternate data streams (1) | Yes | Yes | Yes
Copies file attributes | Yes | Yes | Yes
Copies security attributes (2) | Yes (3) | Yes | Yes (3)
Copies encrypted files (5) | Yes | Yes | Yes (4)
Can copy files user has no access to | No | No | Yes (4)
Deleted files can be moved to Recycle Bin | No | Yes (6) | No
File deletions or overwrites can be confirmed first | No | Yes (6) | No
Directory creation can be confirmed first | No | Yes (6) | No
Copy Performance | Fast | Fast | Slow

(1) The destination must be an NTFS formatted volume.

(2) The destination must be an NTFS formatted volume, and if not a local volume then the security attributes may not be copied.

(3) The destination must be an NTFS formatted volume, and security attributes are only copied if the profile is configured to copy file security permissions. By default they are not copied.

(4) The Standard method is automatically used to copy NTFS encrypted files.

(5) The copy may not be encrypted, e.g. if the destination is not NTFS.

(6) Not enabled by default.

· Move deleted files to recycle bin: If a file is deleted from a local drive (not a removable drive or network drive) it can be moved to the recycle bin instead of being deleted. This is identical to what would happen if you deleted the file using Windows Explorer.

· Confirm file deletions, replacing files, etc.: When a file is to be deleted or replaced by another file then you can be prompted on whether you want SyncBackSE to delete or replace the file. An important point to remember is that if you are using the recycle bin (see the previous item) then you will not be prompted when a file is deleted (instead it is silently moved to the recycle bin). Also, if you are running the profile in unattended mode, e.g. from the Windows Scheduler, then you will not be prompted and the file will be deleted or replaced.

· Confirm directory creation: If a new directory must be created then you can be prompted on whether you want the directory to be created or not. If you are running the profile in unattended mode, e. g. from the Windows Scheduler, then you will not be prompted and the directory will be created. This option is only available if "Do not display a progress dialog box" is unchecked and "Display error messages and prompts" is enabled.

· Display error messages: If an error occurs when a file is copied or deleted then you can choose to be prompted with an error message. Note that these error messages are also recorded in the profiles log file. If you are running the profile in unattended mode, e.g. from the Windows Scheduler, then you will not be prompted with any error messages.

· Do not display a progress dialog box: When copying large files, using a slow network connection, or slow storage devices, it can sometimes take a long time to copy a file. If this option is enabled then the standard Windows file copy progress dialog box will be displayed (it is only displayed if a file copy will take more than a few seconds). The benefit of this dialog box is that you can cancel the file copy, for example it may be taking too long, and you can see how long it will take to copy the file. If you are running the profile in unattended mode, e.g. from the Windows Scheduler, then the progress dialog box will not be displayed. Please note that on some systems disabling this option may drastically reduce performance.

· Verify that files are copied correctly: After a file is copied, SyncBackSE can check to guarantee that the newly created file is identical to the file it was copied from. Note that this option will not work if using an FTP server that does not support the XCRC extension. Enabling this option can significantly increase the time taken for a profile to run. When moving files, if the copy cannot be verified, then the source file is not deleted, i.e. it becomes a copy not a move.

· Warn me if all my files are going to be deleted due to my settings (aborts profile if unattended): In some situations you may have wrongly configured your profile or made a mistake. For example, you may have set the source folder incorrectly to an empty folder and configured your profile to delete all files in the destination that are only in the destination. In this case when you run the profile all your destination files would be deleted. This setting is to avoid situations like this. If SyncBackSE sees that it is going to delete all your files then it will automatically abort the profile and do nothing. This setting is enabled by default.

· Automatically create the source/left and destination/right folders if they do not exist: By default the source/left and destination/right folders will be created automatically if they don't exist. However, in some situations you may not want this, e.g. if using a SmartSync profile, and instead want the profile to fail if either folders don't exist.


Copy/Delete, Folders

Expert Mode: Copy/Delete, Folders Settings

The progress bar appears when a task is running and provides visual feedback of the progress of that task to the user:

· Copy sub-directory and file security permissions (only valid for NTFS): If ticked then NTFS folder security is copied when new directories are created. Note that if the security is changed on a folder then the new security is not copied over. NTFS file security will also be copied with files.

· Copy sub-directory attributes and creation date (only when new directories are created): If ticked then folder attributes and the creation date are copied when new directories are created. Note that if the attributes or creation date are changed on a folder then the new settings are not copied over.

· Delete all empty directories in destination/right: If ticked then all empty directories in the destination/right will be deleted at the end of the profile run. Note that a folder will not be deleted if it has files in it, including any hidden files. You can configure which files SyncBackSE can automatically delete to make a folder empty with the “If a folder cannot be deleted because it's not empty…” setting below.

· Do not delete the empty directories if the profile run fails: By default empty folders are not deleted in the profile run was not a success.

· Delete all the empty directories on source/left: If ticked then all empty directories in the source/left will be deleted at the end of the profile run. Note that a folder will not be deleted if it has files in it, including any hidden files. You can configure which files SyncBackSE can automatically delete to make a folder empty with the “If a folder cannot be deleted because it's not empty…” setting below.

· Do not delete the empty directories if the profile run fails: By default empty folders are not deleted in the profile run was not a success.

· Ignore NTFS junction points (reparse points): If ticked then junction/reparse points are ignored. This is the default and recommended.

· If a folder cannot be deleted because it's not empty…: Only empty folders can be deleted. Windows Explorer often creates special hidden files in folders that contain settings related to that folder but contain no user created information. This setting defines which files can be deleted to make a folder empty. By default the thumbs.db and desktop.ini files will be deleted. Note these files are only deleted if they are the only files in the folder.


Copy/Delete, Advanced

Expert Mode: Copy/Delete, Advanced Settings

· Automatically update shortcuts when they are copied or moved: SyncBackSE can be configured to automatically change shortcuts that are copied so that the copy points to the correct file. For example, if your source is C:\ and your destination is D:\ and you copy a shortcut that points to C:\abc.txt then you may want it to be changed to instead point to D:\abc.txt. In this example you would set the root folder for shortcuts on the source/left to C:\ and the root folder for shortcuts on the destination/right to D:\

· Make safe copies (copy files using a temporary filename and then rename the file if the copy is successful - reduces performance): When this option is ticked then SyncBackSE will copy files in a two stage process: first it will copy the file and use a temporary filename, then it will then replace the destination file with the temporary copy if the copy was a success. This avoids problems where the destination file may be deleted because the original file could not be copied, e.g. because it is locked and cannot be replaced. With FTP it is actually a three stage process as it must delete the file being replaced before renaming the temporary copy. This option is enabled by default.

· Prompt to retry if a file is locked or cannot be copied: If this option is enabled then SyncBackSE will prompt you if it cannot copy or delete a file, e.g. because it is locked, no access rights, etc. The prompt gives you the opportunity to close the program that has the file locked so the file can be copied or deleted by SyncBackSE. If you are running the profile in unattended mode, e.g. from the Windows Scheduler, then no prompt is made and the file will be skipped (an error message will be recorded in the log file). There is another option in SyncBackSE to close certain programs before a profile is run (see the Auto-close page).

note

Note that if you've also enabled the option to replace/delete after a reboot then you will not be prompted.

· If a file cannot be replaced/deleted because it is locked then replace/delete it after a reboot: If a file cannot be replaced/deleted because it is locked then SyncBackSE can configure Windows so that on the next reboot the file will be replaced/deleted. This option must be used with care because it cannot be guaranteed that the file will actually be replaced/deleted and there is no way to know if it did or did not.

note

Note that if you've also enabled the option to prompt to retry if a locked file cannot be copied then you will not be prompted.

These features cannot be used to replace in-use files on FTP servers. Also, if NTFS compression is being used the replaced file will not be NTFS compressed.

· Prompt to retry if source/left or destination/right drives do not exist: If a drive does not exist, e.g. because it has not been connected or the network connection is not available, then a prompt will be displayed. Note that if the profile is run unattended then no prompt is displayed and the profile will fail.

· If a file cannot be copied because of security (Access Denied) then try Backup Read/Write copy method: The Backup Read/Write file copying method lets a user (who is a member of the Backup Operators user group) backup files that they have no access to. When this option is enabled if a file cannot be copied because you have no access rights to it then the backup method is used to try and bypass the file security.

· Do not replace newer files with older files: If ticked then new files are not overwritten (replaced) by older files. This option is only available under certain conditions.

· Force the file modification date & time to be correct: Sometimes the file system that files are copied to cannot correctly record the files last modification date & time. For example, when using SAMBA shares there can be occasions when the file will have the current date & time as it's last modification date & time. To resolve this SyncBackSE can forcibly change the new files last modification date & time to be correct. Note that this option is not available when using compression. There is another option (see the Compare Options, Date & Time page) to ask SyncBackSE to ignore small date & time differences. This can also be useful in avoiding problems where the file system cannot accurately record date & times.

· Copy file creation date & times: By default copies of files are given the current date & time as their creation date & time. If this option is enabled then the creation date & time is copied. Note that FTP servers cannot store file creation date & times.

· Reset the archive file attribute on files once they have been copied: When enabled the archive attribute on a file, both on the source/left and destination/right, will be cleared once the file has been copied. Enabling this option will slightly decrease performance. This option is not available when doing Fast Backups.

· Remove the read-only attribute from copies of files (useful when copying from a CD-ROM): In some situations, when a file is copied to a CD/DVD, then the file may automatically be marked as read-only (not by SyncBackSE, but by the file system driver in Windows). If this option is enabled then any read-only flag put on the copy of the file will be removed automatically.

· Do not overwrite read-only files (ignored when file to be replaced is on an FTP server): If the file to be replaced is read-only, and this option is enabled, then the file will not be overwritten.

· Do not delete read-only files (ignored when file to be deleted is on an FTP server): If the file to be deleted is read-only, and this option is enabled, then the file will not be deleted.

· Do not use the Volume Shadow Copy service (VSS) to copy open files: SyncBackSE can copy open/locked files by using the Volume Shadow Copy service that is part of Windows XP, 2003, and Vista. However, if you cannot or don't wish to use this service then you can enable this option.

· Delete ALL the files and folders in source/left before scanning for changes: This option should be used with extreme care! It will delete all files and folders in the source/left folder before it scans for changes. Be extremely careful with this option as you could very easily delete all your files, e.g. if your source/left is C:\ then you will delete every single file on your C: drive. You have been warned.

· Delete ALL the files and folders in destination/right before scanning for changes: This option should be used with extreme care! It will delete all files and folders in the destination/right folder before it scans for changes. Be extremely careful with this option as you could very easily delete all your files, e.g. if your destination/right is C:\ then you will delete every single file on your C: drive. You have been warned.

· Limit the bandwidth usage: If a value above zero is entered then when copying files the local network bandwidth usage is limited to what is specified (kilobytes per second). Note that there are some cases where the bandwidth usage cannot be limited, e.g. when using compression. There is a separate setting to limit the FTP bandwidth usage on the FTP, Advanced page.


Compare Options

Expert Mode: Compare Options Settings

Fine tune the way SyncBackSE handles file change detection.

When a profile is run, SyncBackSE only copies files that have been changed. It uses four different methods to check if a file is different in the source and destination:

1. Last file modification date & time: All files record the date & time of when they were last changed.

2. File size: All files record the number of bytes they contain.

3. Hash value: A unique value can be computed based on the contents of a file. These values can be used to check if a files contents is the same as another's.

4. File attributes: Files have special attributes, e.g. read-only, hidden, etc., and SyncBackSE can optionally check for changes in these attributes

You have the option to not use some of these methods, and also change how they are used.

· Skip the Differences screen when this profile is run (it is never shown when unattended): Whenever you run a profile, it will compare the source and destination, and display the results in the Differences window. However, you can skip this window by enabling this option. Note that the Differences window is never displayed if you run SyncBackSE with command line parameters (e.g. from the Windows Task Scheduler), or if a profile is run in the background, or if there are no differences. In most cases there is no need to display this window, except if you want to check to see what the differences are. The Differences window is always displayed when doing a Simulated Run, Simulated Restore, or Restore.

· Use slower but more reliable method of file change detection: By default, SyncBackSE will not compute the hash value of a file. The reason is that it can dramatically increase the time taken for a profile to run. However, if you want to be absolutely certain that SyncBackSE detects if a file has changed, so that it is copied, then you can enable this option. The only reason to enable this option is if you do not trust the last file modification date & time of the files, and the file size may not change.

· Display a message if the profile run is a success (never shown when unattended): If the profile runs without error then a dialog box is displaying stating that. Normally no message is shown after a profile is run except when simulated or an error occurs.


Compare Options, File Size

Expert Mode: Compare Options, File Size Settings

· Ignore file size changes: You can tell SyncBackSE to completely ignore any differences in file sizes. Ignoring the file size has no impact on performance.

· Ignore files less than…: To ignore files of a certain size, or within a size range, set these options as appropriate. A value of zero is ignored, e.g. you cannot ignore all files over zero bytes in size.


Compare Options, Date & TIme

Expert Mode: Compare Options, Date & Time Settings

· Ignore file modification date & time changes: You can tell SyncBackSE to completely ignore the last modification date & time of a file. Ignoring the date & time has no impact on performance. Note that this option is not available if your profile is a Smart Sync profile.

· Ignore file date & time changes that are because of Daylight Savings Time (DST) changes: By default if a file's last modification date & time is exactly one hour different then it is ignored. This avoids problems with changes in the time due to Daylight Savings Time.

· Ignore date & time changes of x seconds or less: In some situations, the file system itself may not accurately record the correct date & time when a file was last modified. This can occur when using SAMBA shares and FAT formatted file systems. With this option, you can tell SyncBackSE to ignore small differences in the date & times, e.g. ignore differences of 2 seconds or less. Note that the difference is rounded down to the nearest second, so a difference of 2.99 seconds is treated as 2 seconds. To avoid inaccuracies in file systems, and differences between file systems, SyncBackSE will ignore differences of 2 seconds by default. You can of course change this if you require finer accuracy.

· Ignore files that have/have not been modified/created…: This setting allows you to ignore files that were modified (or newly created) within a certain date range, e.g. within the last x days, or since January 1st 2004.


Compare Options, Attributes

Expert Mode: Compare Options, Attributes Settings

· Do not copy read-only files: If enabled then read-only files are not copied. This option is useful when a source code control system is used, for example.

· Do not copy hidden files: If enabled then hidden files are not copied.

· Do not copy system files: If enabled then system files are not copied.

· Only copy files that do have the archive attribute set: If enabled then only files which have the archive attribute set (on) will be copied.

· Attributes to watch: SyncBackSE can be configured to watch for file attribute changes. Note that some attributes are not supported on some file systems. Only the NTFS file system supports all the attributes. FAT32/FAT16 file systems support only the Archive, Hidden, Read Only, and System attributes.

note

Note that SAMBA and non-Windows file systems may not support some of the attributes, or may require further configuration to support them.

When a files attributes are changed, SyncBackSE will copy the file. If hashing is used, then the file is not copied if the files contents are identical, and instead only the files attributes are changed.


Compression

Expert Mode: Compression Settings

SyncBackSE has the ability to compress files using the standard ZIP format. Compression reduces the size of the file and has the potential to save a lot of disk space, especially when files such as text and office documents are being copied. Two methods of compression are supported: all the files can be placed into one single compressed file, or each file can be placed into it's own individual compressed file. The first option uses the least amount of disk space, but has the disadvantage that "all the eggs are placed in one basket", so to speak.

To increase compression performance SyncBackSE can be configured not to try and compress already compressed files, e.g. MP3's, JPG images, etc. Instead of compressing files of these types it will instead store them (without compression) in the Zip file. Note that they are still stored in a Zip file but are not compressed within the Zip file.

Compression Settings

· Compress the files on destination/right into a Zip file: Enable this option to compress files copied to the destination/right into a Zip file.

· Put all files in the destination folder into a single compressed file: If this option is enabled, then the files will be put into a single compressed Zip file. If this option is not enabled (the default), then each file will be placed into it's own Zip file.

· Try and compress files that are being used: By default any file that is being used will not be copied. This is done to avoid corruption, i.e. a file could be changed by another program while a compressed version of it is being created. Enable this option to ignore this safe-guard.

· Type of compression: There are three types of compression: Deflated (which is the default), Deflated64, and Burrows Wheeler.

Deflated provides the normal type of compression used by the older Zip format (traditional PKZIP 2.04g compression method).

Deflated64 (also know as Enhanced Deflate) provides a greater level of compression, but note that it will increase the compression time and is not compatible with older Zip compression programs.

Burrows Wheeler (popularized by the UNIX and Linux BZip2 program) offers significantly better compression than Deflate but takes longer to compress and decompress data. Tests have shown BWT (Burrows Wheeler Transform) to often achieve between 20 to 30% better compression than Deflate on many popular file types such as databases, pictures, text and executable files. BWT is considered to be one of the most efficient compression algorithms for compressing XML data. In comparison to BWT, Deflated64 is slightly faster but does not compress as well. Deflate64™ is a trademark of PKWARE Inc

· Level of compression: There are ten levels of compression ranging from level 0 (no compression) to level 9 (highest compression). The more a file is compressed, the slower it takes to compress the file (it will also use more memory). This option allows you to make a trade-off between speed and file size. The Type of compression setting also influences the compression speed and file size.


Compression, Encryption

Expert Mode: Compression, Encryption Settings

· Encryption method: If you wish to password protect the contents of the files in the Zip file then choose the encryption method to use. AES encryption is more secure but not as portable. For example, "Old style" encrypted Zip files can be decrypted and extracted using practically any 3rd party Zip program. However, AES encrypted Zip files can only be decrypted and extracted using newer 3rd party Zip programs, e.g. WinZip 9.

· Password: If you want to password protect the files in the compressed archive then enter a password here. It's important to note that if you change the password then the existing files in the destination will still use the old password. Each file in a compressed archive has its own password.

note

Note that you are entirely responsible for remembering the password used. It is not possible under any circumstance for 2BrightSparks to recover lost passwords.


Compression, Advanced

Expert Mode: Compression, Advanced Settings

Advanced Compression Settings

· Create self-extracting Zip files: If ticked then a self-extracting Zip file will be created. Please note that self-extracting Zip files do not support Unicode filenames. A self-extracting Zip file is an executable program, that when run, will extract its contents. The benefit is that a 3rd party Zip program is not required to uncompress the files.

· Enable disk spanning (note that this is not possible if unattended): If you are performing a backup to a CD/DVD, floppy-disk, etc. then it may be that the backup cannot fit onto one disk. If this option is enabled then the Zip file will be split across each disk. An important point to note about spanned/split Zip files are that they cannot be modified once created. The existing Zip file will be automatically deleted and rebuilt. For this reason you may wish to use a Fast Backup profile that does full and incremental backups.

· Limit the disk usage to…: When spanning the amount of disk space to use on each disk can be set here.

· Create a multi-part Zip file with each part having the maximum size of…: An alternative to disk spanning is to split a Zip file into several files. These separate parts can then be copied manually to a disk, FTP server, etc. An important point to note about spanned/split Zip files are that they cannot be modified once created. The existing Zip file will be automatically deleted and rebuilt. For this reason you may wish to use a Fast Backup profile that does full and incremental backups.

· Filename extension: This option is only available when compressing each file. Enter the filename extension to use for the destination compressed files. By default '.zip' is used.

· Temporary directory: By default, temporary files produced during compression are stored in your standard Windows temporary directory. You can however change this using this option. For example, you may be using a small RAM disk as your temporary directory and so when using compression you would like the temporary files stored on your RAM disk.

note

The naming standard used by SyncBackSE for split/spanned Zip files is different from that used by WinZip and possibly other compression utilities. For example, the following files may be created:

Test.zip

Test.z01

Test.z02

Test.z03

If you attempt to open the Zip file using WinZip it will incorrectly report that the Zip file is corrupt. If you wish to open the Zip file using WinZip you must rename the files as follows:

Rename test.z03 to test.zip2

Rename test.zip to test.z03

Rename test.zip2 to test.zip

i.e. the first filename (.zip) must be renamed to the last filename in the list, and the last filename renamed to the first filename (.zip).


Compression, NTFS

Expert Mode: NTFS Compression Settings

· Use NTFS compression on files copied to the source/left (only valid on NTFS volumes): If enabled, and the source/left is on a volume formatted with the NTFS file system, then files copied from the destination/right to the source/left will be compressed using NTFS compression.

· Use NTFS compression on files copied to the destination/right (only valid on NTFS volumes): If enabled, and the destination/right is on a volume formatted with the NTFS file system, then files copied to the destination/right from the source/left will be compressed using NTFS compression.


Compression, Compressed

Expert Mode: Already Compressed Files Settings

To increase compression performance SyncBackSE can be configured not to waste time trying to compress already compressed files, e.g. MP3's, JPG images, etc. Instead of compressing files of these types it will instead store them (without compression) in the Zip file. Note that they are still stored in a Zip file but are not compressed within the Zip file.


Encryption

Expert Mode: Encryption Settings

Please review the Compression Encryption page on this help file.


FTP

Expert Mode: File Transfer Protocol Settings

SyncBackSE uses a completely new and updated FTP engine that takes advantage of newer FTP standards and extensions. This increases performance and compatibility with FTP servers. New features include:

· The exact time zone of the FTP server can now be specified. However, in most cases you don't need to tell SyncBackSE as it will ask the FTP server itself automatically.

· Files can now be verified against the copy on the FTP server (this requires that the FTP server supports the XCRC command). This ensures that what you upload or download to and from FTP servers is correct.

· SSLv2, SSLv3, and TLS encryption is now supported. This means you can send and receive files to and from an FTP server and they'll be transmitted in encrypted form (if the Encrypt the data channel option is selected). SyncBackSE supports both implicit and explicit FTP connections. The FTP server must support encryption.

· To greatly reduce transmission time, files can be sent and received to and from FTP servers in compressed form (this requires that the FTP server support MODE Z compression). This means large documents, spreadsheets, text files, etc. can be sent and received much faster.

· New settings to support Firewalls and routers have been added, e.g. specifying the external IP address and the range of ports to use.

· Unicode support via UTF8 (the FTP server must support the UTF8 extension).

· Automatic resumes on upload and download (the FTP server must have resume support).

SyncBackSE can retrieve the details on the files on an FTP server much faster than previous versions. A single FTP call can retrieve the details on all files in a directory. The freeware version of SyncBack makes up to two calls per file. This means backing up to and sync'ing with an FTP server is much faster.

This tab is only displayed in Expert mode. The FTP options are not available when the destination/right is using compression..

FTP Server Connection Details

· Destination/right files are on an FTP server: If ticked, then the destination/right is an FTP server, i.e. you are backing up to or synchronizing with an FTP server.

· Hostname: This is the hostname of the FTP server that has the destination directory on it, e. g. ftp.myserver.com. Note that you must just use the hostname or IP address. Do not enter an URL, e.g. ftp://ftp.myserver.com/folder/

· Username: Your FTP server login username.

· Password: Your FTP login password.

· If the FTP server cannot set a files date & time then change the local files date & time to match that on the server: When the destination is FTP, and Fast Backups are used, then you can untick this option to speed up your backups. With FTP, if this option is ticked then SyncBackSE will force the date & time of the file on the FTP server to match that of the file on your PC. If it cannot set the time of the file on the server then it changes your local files date & time. However, if this option is not ticked then the date & time of the file on the FTP server is not changed (and neither is the local files date & time).


FTP, Advanced

Expert Mode: Advanced FTP Settings

· Port: The port number of the FTP server. Most FTP servers use port 21, except when using Implicit SSL/TLS encryption in which case most FTP servers use port 990.

· Reconnect Attempts: Whenever the connection to the FTP server is lost, for whatever reason, SyncBackSE will reconnect and resume from where it left off. This is done in the background and does not require any user intervention. This setting specifies the number of attempts SyncBackSE should make to reconnect to the FTP server before it gives up. Note that this number refers to sequential attempts, not the total number of attempts that may be made over the entire profile run (i.e. once a reconnection is made the attempt counter is reset back to zero).

· Seconds Between Attempts: The number of seconds SyncBackSE should pause before making another attempt to reconnect to the FTP server.

· Read timeout (seconds): In some situations, e. g. when the connection is dropped, an FTP server may not respond to requests from SyncBackSE. This setting tells SyncBackSE how long to wait (in seconds) for an answer from the server whenever one is required. By default SyncBackSE will wait for 60 seconds before disconnecting and reconnecting to try again.

Encryption and compression options

· Encryption method to use: Select the encryption method from the drop-down list. With most FTP servers it is suggested that the 'SSL v2 or v3' option is selected. This provides the most compatibility. If the FTP server does not support SSL encryption then this option and all the SSL settings are ignored.

· Encrypt the data channel: If enabled the data channel will also be encrypted. Note this will significantly slow down the profile.

· Use implicit connection (port 990): If enabled an implicit SSL connection will be made (most FTP servers use port 990 for implicit connections). If disabled, an explicit SSL connection is made (most FTP servers use the standard FTP port 21 for explicit connections).

· Reduce bandwidth by using compression (MODE Z): To increase performance on slower networks enable this option. It will transmit data to and from the server in compressed form to reduce the send and receive time. Note that this option requires that the FTP server supports the MODE Z FTP extension. If not, this option will be ignored. Also note that enabling this option when the FTP server is on a LAN will actually decrease performance.

Misc.

· Limit bandwidth usage to…: This option lets you restrict the amount of bandwidth used for the FTP connection. For example, you may also be using the network for other things the same time the profile is run and do not want the profile to use all available bandwidth on the network.

· Quote Character: If your FTP server supports wrapping quotes around filenames, e.g. if they have spaces, then enter the quotation character here. If your FTP server does not require or support quoting (most do not) then leave this empty. In most cases uses any value here will cause problems.

· Server timezone: If the FTP server is in a different timezone then enter the number of minutes difference from GMT/UTC, e.g. +120 (meaning 120 minutes ahead of GMT/UTC), -60 (meaning 60 minutes behind GMT/UTC). Generally you do not need to enter a value, but in case the FTP server is incorrectly changing the date & times of files then you can correct it here. See also the MDTM syntax setting.

· Use Unicode (UTF8): This setting tells SyncBackSE to either use or not use the UTF8 extension on the FTP server. Some FTP servers do not correctly support UTF8 so you may wish to tell SyncBackSE not to use it. Also, some FTP servers do support it but don't tell FTP clients that they can and do support it.

· MDTM syntax: In most situations it's best to leave this setting as Default. However, some FTP servers may require that a different command format be used. The MDTM command is used to set the last modification date & time of a file on the FTP server. See also the Server timezone setting.

· Server requires Allocate command: Some (old) FTP servers require that the FTP client reserve disk space before transferring files to the server. In general, the majority of FTP servers do not require or support this.

· Force binary transfers: To increase performance SyncBackSE will not tell the FTP server it wants to transfer files in binary mode before every file is transferred. If this option is not enabled (default) then it will tell the FTP server to use binary mode immediately after the connection is made, and it will not tell it again. If this option is enabled then SyncBackSE will force the FTP server into binary mode before every file transfer. This will increase profile run times but may be required for some FTP servers.


FTP, Proxy

Expert Mode: FTP, Proxi Server Details

· I use a proxy server: If you must use a proxy server to connect to external FTP servers then you must enable this option.

· Hostname: This is the hostname of the proxy server, e.g. proxyserver.com

· Username: Your proxy login username.

· Password: Your proxy login password.

· Port: The port number of the proxy server. This value varies depending upon the type of proxy server software used. Although 1 is the default, it will almost certainly not be this number.

· Proxy Type: This setting defines what type of proxy server you are using. It is important the correct setting is used otherwise SyncBackSE will not be able to login to your proxy server. Check with your Network Administrator on which proxy setting to use.


FTP, Firewall

Expert Mode: FTP, Firewall/Router Settings

· Passive: If the FTP server is behind a firewall then you may need to enable this option. If SyncBackSE can login to the FTP server, but cannot transfer files or retrieve a folder listing, then try enabling this option to see if it fixes the problem.

· Use Clear Command Channel (CCC): Choose this option if you are behind a firewall or router that uses NAT (Network Address Translation) and you are having connection problems. Some routers can dynamically change the FTP communication to translate I.P. addresses but this can only be done if that part of the FTP communication is not encrypted.

· External I. P. address: If you are behind a router, and are using NAT (Network Address Translation), then you may need to enter your external I.P. address here. This is usually the I.P. address of your router and is not a local I.P. address. This option is not required (or enabled) when using passive connections.

· Use ports ranging from...: If you are behind a firewall then this is the range of TCP ports that you must open on your firewall to allow the FTP server to contact SyncBackSE. If the ports are not open then files cannot be transferred. This option is not required (or enabled) when using passive connections.


Miscellaneous

Expert Mode: Additional Options in SyncBackSE Settings

Miscellaneous Settings in Expert Mode

This page is for miscellaneous settings that don't fit into other categories.

· Priority: This is the priority used when running this profile, whether it is run in the background or not. A profile with a higher priority will run faster than a profile with a lower priority, if both the profiles are run at the same time. There are seven levels of priority from Idle (the slowest) to TimeCritical (the fastest). It is not recommended that you use TimeCritical as it may cause your entire computer to slow down or lock up. If you want a profile to use the least amount of CPU time, then select Lowest. If Idle is used the profile may never be run.

· Flush all open files before running profile: If enabled then all changes to files that are still in the cache are written to disk. This will add a few seconds to the time taken to run a profile.

· Pause for…: In some cases you need to give Windows time to reinitialize network connections and devices (or spin-up CD's) once it comes out of hibernate or standby. This option lets you have the profile pause for a number of seconds before the profile starts running.

· Password protect this profile from modification or deletion: To protect the profile from modification or deletion enter a password here. If a password is entered then whenever any attempt is made to modify or delete the profile then the user will be prompted for the password. Important: It is your responsibility to remember the password.


Miscellaneous, Media

Expert Mode: Miscellaneous, Media Settings

· Eject source/left media after the profile has run: If enabled, the source/left media will be ejected once the profile has completed. For example, if your source/left directory is on a CD then the CD will be ejected.

· Eject destination/right media after the profile has run: If enabled, the destination/right media will be ejected once the profile has completed.

· Load source/left media before the profile is run: If enabled, the source/left media will be loaded/inserted before the profile is run. For example, if your source/left directory is on a CD then the CD will be loaded.

· Load destination/right media before the profile is run: If enabled, the destination/right media will be loaded/inserted before the profile is run.

You can click the Test Eject and Test Load buttons to test if the media can be ejected or loaded. It will work with most removable media, e. g. CD's, DVD's, Compact Flash cards, etc.


Programs Before

Expert Mode: Programs Before Settings

Define what programs will run before and/or after the profile runs.

You have the option of running an external program before the profile starts and/or after the profile has finished. This useful option allows you to prepare the files being copied before the profile has run, for example. There are many possible uses for these settings in SyncBackSE, so read through the following and consider how they may be applied to your own computer setup.

· Run before profile: To have a program run before the profile is run, type the name into 'Run before profile' edit-box or click the folder icon next to it. For example, you could type notepad.exe so whenever the profile starts Notepad will be run.

· Wait until the program has finished before running profile: If this option is enabled, then when the program is run, SyncBackSE will pause the profile until the program has finished. The program must exit/close before the profile will continue. If you do not enable this option then the program will be run and the profile will carry on running without waiting for it to finish.

· Wait for a maximum of...: If this option is enabled, then you can choose how long SyncBackSE should wait for the program to finish before it continues. If the program does not finish within the specified time then SyncBackSE will continue with the profile. Note that it is advisable to set a maximum waiting time otherwise SyncBackSE may get "stuck" waiting for a program that is not going to exit.

· Abort the profile if the program fails to execute: If enabled, and the before program fails to start (because the program doesn't exist or cannot be run), then the profile will not run. By default the profile will continue to run with a failure.

· Abort the profile if the programs return value is not …: Most programs, batch files, and scripts, have a numeric return/exit value. This usually indicates if it ran without error, and if there was an error, what kind of error occurred. If you tick this checkbox then you can specify which return values the program must return for the profile to be run. A comma-delimited list of values can be entered, and a hyphen used to specify a range of values. For example, if the program returns 0, 1, or a value between 10 and 50 (inclusive) if it was run successfully, and any other value on failure, then in the edit box you would type 0, 1, 10-50.

· Run the program when simulating: By default the program is not run when doing a simulated run. This is advisable as the program may change or delete files, which is not something you generally want to do during a simulated run.

note

Note that if the program name, or the folder it is in, contains spaces then you must wrap the entire program name with double-quotes otherwise the return value will always be 1. For example, C:\Program Files\Company Name\A Program.exe must be specified as "C:\Program Files\Company Name\A Program.exe". Any parameters passed to the program should also be wrapped in their own pair of double-quotes, especially if they contain spaces, e.g. "C:\Program Files\Company Name\A Program.exe" "param 1" "another param"

As with the Source/Left and Destination/Right directories, you can use Windows environment variables. For example, if you typed “Notepad %HOMEPATH%\test.txt” then this would run notepad and open a file in your home directory called test.txt. You can see a list of what typical Windows environment variables are available on the following web page:

http://www.winnetmag.com/Article/ArticleID/23873/23873.html

By default all external programs are run in a normal window. You can have the program instead run minimized so that they do not appear as a window on the screen. To do this prefix the program with one of the following:

/min This will run the program minimized and will not make it the currently active window. For example: /min "C:\Program Files\Company Name\A Program.exe"

/hide This will run the program minimized and will also hide the window. For example: /hide "C:\Program Files\Company Name\A Program.exe"

Unlike the Source/Left and Destination/Right directories, you can also use special SyncBackSE variables. These are used in the same way as environment variables, except they have a leading underscore character, e.g. %_Source%. The value returned is for the profile being run. Below is a list of the most common variables that you can use:

_Compression = Returns 1 if the destination/right is compressed

_Destination = Destination/right directory/filename

_DestIsFTP = Returns Y if the destination/right is an FTP server

_Priority = Run priority of the profile

_SingleFile = Returns 1 if compressing to a single file (ignore if _Compression returns 0)

_Source = Source/left directory

For a full list see the profile settings INI file.


Programs, After

Expert Mode: Programs, After Settings

Run after profile: To have a program run after the profile has finished, type the name into 'Run after profile' edit-box or click the folder icon next to it.

note

Note that the special variable %PROFILEFAILED% can be used to pass the result of the profile run. If the value is 1 (one) then the profile failed (or was aborted), if the value is 0 (zero) then the profile run was a success.

· Wait until the program has finished before running next profile or exiting: If this option is enabled, then when the program is run, SyncBackSE will pause and not finish the profile until the program has finished. The program must exit/close before the profile will complete running. If you do not enable this option then the program will be run and the profile finish as per normal without waiting.

· Wait for a maximum of...: If this option is enabled, then you can choose how long SyncBackSE should wait for the program to finish before the profile run ends. If the program does not finish within the specified time then SyncBackSE will end the profile run. Note that it is advisable to set a maximum waiting time otherwise SyncBackSE may get "stuck" waiting for a program that is not going to exit.

· Run the program even if the profile fails: Select this option to run the after program even if the profile fails. By default the program is not run if the profile fails, e.g. a file could not be copied.

· Run the program when simulating: By default the program is not run when doing a simulated run. This is advisable as the program may change or delete files, which is not something you generally want to do during a simulated run.


Auto-close Settings

Expert Mode: Auto-Close Settings

Define what programs will close before running a profile by entering the contents of their title bar.

Although SyncBackSE can copy locked files (under the correct circumstances) it sometimes cannot copy files that are being used by other programs. For example, you cannot copy a Word document while it is being edited in Microsoft Word and the file is on a network drive. One option available is to automatically close those programs so SyncBackSE can copy the files being used. These settings allow you to choose which programs to automatically close before the profile is run.

To add a program to the list, click the Add button. You are then prompted to enter the words that appear in the application title bar of the program you want closed. For example, if you want to close Microsoft Word then type Microsoft Word. An important point to remember is that it is case sensitive. For example, if you use microsoft word then it would fail. You only need to enter a fragment, i.e. you do not need to type in the exact title but just a portion of it. To be sure the setting is correct try running the program you wish to close then click the Test button.

To remove entries from the list, click on them and click the Remove button.

Before a profile is run, SyncBackSE will try and close all the programs with those words in their title bar. If you are using Microsoft Word at the time then Word will prompt you to save the document before it closes. However, some programs may not prompt you and refuse to close, or you may want them closed even if they prompt. In this case you must tick the Forcibly close programs that will not close gracefully option. If this option is enabled then SyncBackSE will forcibly close those programs if they don't close gracefully. Note that this will very probably result in you losing data, so this option should not be used without careful consideration.


Email

Expert Mode: Email Settings Settings

After a profile has been run, SyncBackSE can email the log file. This is especially useful when SyncBackSE is located on a remote machine. The log file can optionally be sent as an email attachment.

In today's world of junk email, many email servers are configured to reject any email that appears to be spam. If your email server is rejecting your log email please make sure you have filled out the settings correctly, e.g. valid To and From addresses are used.

· Email the log file after the profile has run: To email the log file, enable this option.

SMTP Server Connection Details

· Hostname: This is the hostname of your SMTP email server, e. g. smtp.mailserver.com. Note that it is the SMTP server (which is used for sending email), not the POP3 server (which is used for receiving email).

· To: The email address to send the log file to. You can enter multiple email addresses by separating them with semi-colons, e. g. you@email.com; you@yahoo.com

· From: The email address from which the log file has been sent. Typically you would put your own email address here. Note that some SMTP servers may reject the email if it is not from a valid email address or an email address on that server.

· Subject: The subject to use for the email, e.g. SyncBackSE Log File. Note that you can use environment variables in the subject. You can also use the special variable %PROFILENAME% to put the profiles name in the subject, e.g. Log file for %PROFILENAME%

· Must login to SMTP server: If you must login to your SMTP server then enable this option. Due to spam, most email servers now require you to login. SyncBackSE can login to SMTP servers that require a username and password in clear-text, NTLM, CRAM-MD5, or MSN.

· Username: The username to use to login to your SMTP server.

· Password: The password to use to login to your SMTP server.


Email, Advanced

Expert Mode: Email, Advanced Settings

· Only send the email if an error occurs: If you only want the log file to be emailed if the profile failed then tick this check box, otherwise the log file will be emailed after every run. The email subject will be prefixed with [Failed] if the profile run failed.

· …or there are differences: If you only want the log file to be emailed if the profile run failed, or differences were found between the source and destination, tick this check box.

· Do not attach the log file, just send the email body: If you only want the email body, and not the log files attached, then tick this option.

· Only attach the log file if an error occurs: Tick this option if you only want the log file attached to the email if the profile run fails.

· Compress the attached log file and give the attachment a filename of …: This option is enabled by default. When enabled the log file will be compressed into a single zip file and attached to the email. Some email programs, or corporate environments, will not allow attachments of certain types. If this is the case try changing the filename to log.txt, for example.

SMTP Server Connection Details

· Port: The TCP/IP port number which your email server uses. Most SMTP email servers use port 25.

· Reply To: The email address any replies should be sent to. You can leave this blank.

· CC: Carbon-copies of the email can be sent to other email addresses. You can enter multiple email addresses by separating them with semi-colons, e.g. you@email.com; you@yahoo.com

· BCC: Blind-carbon-copies of the email can be sent to other email addresses. You can enter multiple email addresses by separating them with semi-colons, e.g. you@email.com; you@yahoo.com

· Receipt: If you require a delivery receipt to be sent then enter the email address of the person to receive that receipt. Note that a receipt is only sent if the email client or email server supports this feature.

· I want to customize the email body: If ticked then you are able to create a custom email body instead of using the default. The email body can use Windows environment variables, e.g. %HOMEPATH%, as well as all the SyncBackSE Variables. A number of other variables can be used:

%PROFILENAME% The name of the profile.

%GROUPNAME% The name of the group the profile is in (an empty string if the profile is not in a group).

%ISRESTORE% If this is a restore then Y is returned, else N

%ISSIMULATION% If this is a simulated run then Y is returned, else N

%PROFILEFAILED% If the profile run was a success then 0 is returned, else 1 is returned on error/abort (this is the same variable that can be used in Run After).

%ATTACHMENTSTOTAL% The total number of attachments for the email.

%CRITICALERROR% If there was a critical error then this is the error message, otherwise it is an empty string.

%DELETEDTOTAL% The total number of files that were deleted.

%SKIPPEDTOTAL% The total number of files that were skipped, e.g. only in the destination and the profile was configured to ignore files that are only in the destination.

%COPIEDTOTAL% The total number of files that were copied.

%MOVEDTOTAL% The total number of files that were moved.

%DATECHANGEDTOTAL% The total number of files whose last modification date & time were copied.

%ATTRIBCHANGEDTOTAL% The total number of files whose attributes were copied.

%RUNBEFOREERROR% If the Run Before program failed (e.g. because it doesn't exist, or couldn't be started) then this is the error message.

%RUNAFTERERROR% If the Run After program failed (e.g. because it doesn't exist, or couldn't be started) then this is the error message.

%COPYERRORSTOTAL% The total number of file copy/delete errors.

%COMPRESSERRORSTOTAL% The total number of errors related to compression.

%NONCRITICALERRORS% The non-critical errors (this can be several lines).

%NONCRITICALERRORSTOTAL% The total number of non-critical errors.

%STARTTIME% The date & time the profile was run.

%ENDTIME% The date & time the profile completed.

%STARTSCANTIME% The date & time the scan for changes started.

%ENDSCANTIME% The date & time the scan for changed ended.

%BYTESCOPIED% The total number of bytes that were copied.

%BYTESDELETED% The total number of bytes that were deleted.

%BYTESREPLACED% The total number of bytes that were replaced/overwritten.

%COMPARECHANGEDTOTAL% The total number of files that have changed.

%COMPAREHASHCHANGEDTOTAL% The total number of files which have different hash values.

%COMPAREDESTONLYTOTAL% The total number of files in the destination only.

%COMPARESOURCEONLYTOTAL% The total number of files in the source only.

%COMPAREDATETIMETOTAL% The total number of files whose last modification date & time is different.

%COMPARESIZETOTAL% The total number of files whose size is different.

%COMPAREATTRIBTOTAL% The total number of files whose attributes are different.

%COMPAREHASHERRORTOTAL% The total number of files whose hash value could not be calculated to compare them.

%TOSKIPCNT% The number of files that are going to be skipped.

%TOPROMPTCNT% The number of files where the user will be prompted on the action to take.

%TODELETESRCCNT% The number of files that are to be deleted from the source/left.

%TODELETEDESTCNT% The number of files that are to be deleted from the destination/right.

%TOCOPYTODESTCNT% The number of files to be copied to the destination/right.

%TOCOPYTOSRCCNT% The number of files to be copied to the source/left.

%TOMOVETODESTCNT% The number of files to be moved to the destination/right.

%TOMOVETOSRCCNT% The number of files to be moved to the source/left.

%TOCHANGESRCATTRIBSCNT% The number of files in the source/left that will have their attributes/date & time changed.

%TOCHANGEDESTATTRIBSCNT% The number of files in the destination/right that will have their attributes/date & time changed.

%BYTESCOPYTOSRC% The total number of bytes to be copied (includes moved files) to the source/left.

%BYTESCOPYTODEST% The total number of bytes to be copied (includes moved files) to the destination/right.

%BYTESDELETEFROMSRC% The total number of bytes to be deleted (includes moved files) from the source/left.

%BYTESDELETEFROMDEST% The total number of bytes to be deleted (includes moved files) from the destination/right.

%PAGE% Used only in log filename.

%COMPAREDIRSCHANGEDTOTAL% The number of directories that have been changed.

%COMPAREDIRSDESTONLYTOTAL% The number of directories that are only in the destination.

%COMPAREDIRSSOURCEONLYTOTAL% The number of directories that are only in the source.

%FTPCONNECTCNT% The number of (re)connections made to the FTP server


Log

Expert Mode: Log Settings

· Display log after running a profile: Once a profile has finished, if this option is enabled then the log file will be displayed.

· Only when errors occur: If this option is enabled, then the log file will only be displayed if any errors occurred during the profile run, e.g. a file could not be copied.

· Log the reason why files/folders on source/left are ignored: In some cases you may want to know why a file or folder was not copied from the source/left. If this option is enabled then the log file will state the reason. Note that this is the reason why SyncBackSE did not wish to copy the file/folder. The file/folder may still have been copied if you told SyncBackSE to do so in the Differences window.

· Log the reason why files/folders on destination/right are ignored: In some cases you may want to know why a file or folder was not copied from the destination/right. If this option is enabled then the log file will state the reason. Note that this is the reason why SyncBackSE did not wish to copy the file/folder. The file/folder may still have been copied if you told SyncBackSE to do so in the Differences window.


Network

Expert Mode: Network Settings Settings

If your source/left and/or destination/right directory are on a network, and you are using a UNC path, e.g. \\machine\share\directory, then this page allows you to set the username and password required to connect to the network shares. You can only edit the values if you are using a UNC path.

· Username: Your network username for the source/left or destination/right (as appropriate).

· Password: Your network password for the source/left or destination/right (as appropriate).

· Test Connection: Click this button to test if SyncBackSE can connect to the source/left and/or destination/right using the supplied username and password.

If you use the Network settings in SyncBackSE take account of the following Windows issues:

· To use a network for the source/left or destination/right you must specify a valid UNC path, e.g. \\Machine Name\ShareName\Folder\

· Your current username and password are used before the supplied username and password (unless the option Use this username and password before trying my current username and password is ticked).

· For Windows XP Home you may need to supply the Guest password and not enter any username.

· The username may need to be in the form Domain\Username or MachineName\Username for it to work correctly.

· Windows networking has many quirks and problems. Please experiment with various settings before seeking help.


Network, Advanced

Expert Mode: Network, Advanced Settings

· Use this username and password before trying my current username and password: If enabled then SyncBackSE will try the supplied username and password before using your current username and password. By default SyncBackSE will use your current username and password before trying the ones supplied.

· Do not disconnect from the network after the profile has run: By default SyncBackSE will not disconnect the network connection once the profile run has finished. In some situations, e. g. when using Novell, you may not want SyncBackSE to disconnect.


Runtime Help

Run SyncBackSE

Runtime Help refers to operations which occur as SyncBackSE is performing a task like a backup. This section of the help file covers the Differences and and File Collision Windows which allow you a great deal of flexibility in fine tuning your profile task.


The Differences Window

Differences

When you run a profile, if there are any differences detected, e.g. files have changed, this differences window will appear. You can configure your profile never to show this window (see the Compare Options page when creating/modifying the profile).

note

The Differences window is not shown for unattended runs, e.g. scheduled tasks, if you run SyncBackSE with command line parameters, if the ‘Skip the Differences screen' option is enabled for the profile, or if there are no differences. The Differences window will always be shown when doing a restore or simulated run.

When a profile is run, SyncBackSE will compare the source/left and destination/right files to find the differences. There may be files in the source/left that are not in the destination/right, for example. After it has made the comparison it will display the Differences window that lists all the differences between the source/left and destination/right. This gives you a chance to see what will happen and change what actions will be taken. For example, a file may be marked for deletion but you may decide not to delete that particular file.

At the bottom left of the window are details on the currently selected files. It shows the differences between the file on the left and the file on the right. Newer dates & times, and large file sizes, are shown in green, older dates & times, and smaller file sizes, are red.

The bottom right panel gives details on the number of files, and the amount of data, that will be copied, deleted, and skipped.

Mirror all the files to the right: When this button is clicked all the files on the left will have their action changed so that they are copied to the right. Any files on the right which are not on the left will have their action changed so they are deleted. This button lets you quickly tell SyncBackSE that the right should have exactly the same files as the left. Note that you can mirror a selection of files via the pop-up menu.

If you keep the SHIFT key pressed while clicking the button, then the files will be moved instead of copied.

Mirror all the files to the left: This does the opposite of the above button, i.e. the left should have the same files as the right. Note that you can mirror a selection of files via the pop-up menu.

Between the Left and Right columns is the Action column. This shows what will happen to that file. Note that not all the options are available for each file as it depends on what the situation is with that file. For example, you cannot copy the left file if it doesn't exist:

 | Skip: Ignore the file and do nothing.
 | Copy to right: Copy the left file to the right. This will overwrite the right file, if it exists.
 | Copy to left: Copy the right file to the left. This will overwrite the left file, if it exists.
move-to-dest | Move to right: Move the left file to the right. This will overwrite the right file, if it exists, and delete the file from the left.
move-to-source | Move to left: Move the right file to the left. This will overwrite the left file, if it exists, and delete the file from the right.
unchanged | Unchanged: This option is only available when running a Fast Backup profile. By selecting this option you are telling SyncBackSE that the file actually has not changed and nothing should be done. This is useful, for example, when you have a copy of a file on an FTP server but the date & times do not match. However, you know the file is identical.
 | Delete: Delete both the source and destination files.
 | Delete from left: Delete the file on the left.
 | Delete from right: Delete the file on the right.
 | Collision, prompt me: You will be prompted what choice to make after you close this window.
 | Missing, prompt me: You will be prompted what choice to make after you close this window.
 | Details differ, prompt me: If the files are identical, but their attributes are different, then you can choose to be prompted on which files attributes to use.
 | Use details from left: The files are identical, but their attributes are different, so copy the attributes from the left file to the right file.
 | Use details from right: The files are identical, but their attributes are different, so copy the attributes from the right file to the left file.

There are three ways to change the Action for a file:

· Click on the Action item and select the new action from the drop-down list

· Right-click on the row and select the new action from the pop-up menu

· Use hot-keys

You can change the action for multiple files by clicking on the rows and pressing the Shift and Ctrl keys. You can press Ctrl-A to select all the files. Right-click on the selection and choose the action from the pop-up menu. Only actions that are available for all the selected files are shown.

You can use the following hot-keys to change the action of the selected items:

· Ctrl-S: Skip the files

· Ctrl-L: Copy files to the source/left

· Ctrl-R: Copy files to the destination/right

· Ctrl-D: Delete the files from both the source/left and destination/right

· Ctrl-U: Mark the files as unchanged (Fast Backup profiles only)

To be prompted immediately on what to do with a file you can select the file (by clicking on its row) and pressing Ctrl-P (or by double-clicking the row, or selecting 'Prompt me now' from the pop-up menu). The File Collision Window will appear from which you can make a choice. Note that nothing is done with the file until after the Differences window is closed.

There is a roll-out bar at the top of the Window. Click on it to display other options:

· Show files/folders not on left: If not selected then files and folders that are only on the right are hidden.

· Show files/folders not on right: If not selected then files and folders that are only on the left are hidden.

· Show changed files: If not selected then files that are on both the left and right, and are different, are hidden.

· Show skipped files/folders: If not selected, then skipped files and folders are not shown.

· Only show action icons, not text: If selected then the Action column will just show icons and not text. This reduces the width of the Action column giving you more space.

· Keep window on top of all others: If selected then the Differences window will be placed above all other windows on your desktop.

· Show size column: If selected the size of files are shown.

· Show date & time column: If selected the last modification date & time of files are shown.

· Do not display this window again for this profile: If ticked then this window will not be displayed again when this profile is next run. This is identical to the "Skip the Differences screen when this profile is run (it is never shown when unattended)" option in the Compare Options page in the profiles configuration. Note that this checkbox is not shown when the run is a simulation (as the Differences window is always shown when a profile is run in simulation mode).

After you have reviewed the differences, made whatever changes are required (if any), and are ready to continue with the profile run, you can click either the 'Continue' button or the 'Abort' button. Aborting will stop the profile run immediately and no files will be copied, deleted, or moved.

Comparing Files

SyncBackSE can tell you files are different, and using third party programs, you can ask SyncBackSE to show you the actual differences between the files. Click the Comparison Programs button to tell SyncBackSE which programs to use to compare which types of files.

To compare files simply click the file (or files to compare multiple files) and press Ctrl-M, or select Compare from the pop-up menu. You can also configure the double-click action to compare files.

note

Note that the files must be retrieved to the local drive for comparison. If you have large files on FTP servers, or slow networks, then there may be a delay while retrieving the files.

Opening Files

To open (view) a file simply click the file (or files to compare multiple files) and press Ctrl-O, or select Open from the pop-up menu. You can also configure the double-click action to open files.

You can also drag & drop files from the Differences window onto your desktop, for example. Click on the file, keep the left-mouse button pressed, drag it to your desktop, and release the mouse button.

note

Note that the files must be retrieved to the local drive to be opened. If you have large files on FTP servers, or slow networks, then there may be a delay while retrieving the files.

Collisions

A "collision" is when a file in the source and destination differ, yet have the same name. That is, the file is both in the source and destination but is modified in some way, perhaps by date, size etc.

A notification of collisions occur in the "Differences" window which appears by default when making a backup (note however there are circumstances when the "Differences" window does not appear, for example when the user has chosen not to show the window):

Collisions are shown in red in the "Differences" window to highlight there are going to be changes made when you continue the profile task. If the user views the Differences window carefully, the user has the option to make choices about whether they want to accept the changes SyncBackSE will make, or bypass them with a right click and choose a different action. For more read about the Collision Window.


The File Collision Window

File Collision

When you run a profile, and you have enabled prompting, then the File Collision window will appear when a decision is required from you on what to do with the file. Note that for unattended profile runs, e.g. when scheduled, this window does not appear and instead the file will be skipped.

On the Decisions Files and Folders pages, in Profile Setup, you have the option of asking SyncBackSE to prompt you under certain circumstances, e.g. if a file is in both the source/left and destination/right, but the files are not the same. For example, if you created a backup profile, then run the profile, and edit a file in the source, you would then have a file in the destination that is not the same as the one in the source. On the next run of the profile, if you have configured your profile to be prompted, then a window will appear asking you what action to take for this file.

The window has the filename at the top. If the filename is too long to fit in the edit box, you can resize the window. Information is also shown on where the file is in the source/left and destination/right, the size of the file, it's last modification date & time, it's attributes, and it's hash value (if you have configured the profile to use hashing for file comparisons). When there are differences the values are highlighted in green or red. For example, if the left/source file is newer than the right/destination file then its date & time is shown in green where as the right/destination files date & time is shown in red.

There are two sets of information: for the file on the left, and for the file on the right. Between the left and right files details is a box listing what actions you can take. There are a number of options available to you, some of which may not be shown depending on how you've configured your profile and what the differences are:

 | Skip: No action will be taken with this file. The file will not be copied or deleted, and it will be ignored. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the files will be skipped.
 | Copy to left: The file on the right will replace the file on the left. If you click the Always button then you won't be prompted, during this profile run and in this kind of situation, and instead the left file will be replaced by the right file.
 | Copy to right: The file on the left will replace the file on the right. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the right file will be replaced by the left file.
move-to-dest | Move to right: Move the left file to the right. This will overwrite the right file, if it exists, and delete the file from the left. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the file on the left will be moved to the right.
move-to-source | Move to left: Move the right file to the left. This will overwrite the left file, if it exists, and delete the file from the right. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the file on the right will be moved to the left.
unchanged | Unchanged: This option is only available when running a Fast Backup profile. By selecting this option you are telling SyncBackSE that the file actually hasn’t changed and nothing should be done. This is useful, for example, when you have a copy of a file on an FTP server but the date & times do not match. However, you know the file is identical.
 | Delete: The file will be deleted from the left and right. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the files will be deleted.
 | Delete from left: The file on the left will be deleted. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the file on the left will be deleted.
 | Delete from right: The file on the right will be deleted. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the file on the right will be deleted.
 | Missing, prompt me: The file is either not on the left or right, and you want to be prompted later on what to do when the profile run continues. Note that this option is only available when prompted from the Differences screen. After that screen is shown (or if you've configured the profile not to show that screen) then this option is not available.
 | Collision, prompt me: The file is both on the left and right, and you want to be prompted later on what to do when the profile run continues. Note that this option is only available when prompted from the Differences screen. After that screen is shown (or if you've configured the profile not to show that screen) then this option is not available.
 | Details differ, prompt me: The files are identical but the attributes and/or last modification date & time are different, and you want to be prompted later on what to do when the profile run continues. Note that this option is only available when prompted from the Differences screen. After that screen is shown (or if you've configured the profile not to show that screen) then this option is not available.
 | Use details from left: The files are identical but the attributes and/or last modification date & time are different, but you want to copy the attributes and date & time from the file on the left to the file on the right. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the details from the file on the left will be used.
 | Use details from right: The files are identical but the attributes and/or last modification date & time are different, but you want to copy the attributes and date & time from the file on the right to the file on the left. If you click the Always button then you won't be prompted again, during this profile run and in this kind of situation, and instead the details from the file on the right will be used.

After making your decision you can click the OK or Always button. If you click the Abort button then no action is taken and the profile run is immediately stopped.

Compare

SyncBackSE can tell you files are different, and using 3rd party programs, you can ask SyncBackSE to show you the actual differences between the files. To compare the files simply click the Compare button. Only when there is a file both on the left and right can the files be compared.

Note that the files must be retrieved to the local drive for comparison. If you have large files on FTP servers, or slow networks, then there may be a delay while retrieving the files.

Shortcut Keys

A number of shortcut keys are available to help users who are familiar with the program make choices quickly:

L - Copy the file to the left

R - Copy the file to the right

D - Delete the file Note both files will be chosen for deletion, but if that option is not available, then the file on the right will be chosen for deletion, and if that option is not available, then the file on the left will be chosen for deletion.

P - Prompt later for what action to be taken

S - Skip the file

U – The file is unchanged (available only with Fast Backup profiles)

note

Note that if you use the Ctrl key with these shortcut keys then the action is immediate. For example, if you press Ctrl-R then the action to copy the file to the right is chosen, and the prompt window is closed.


Technical Reference

Technical Articles

The Technical Reference of this help file provides detailed information about:

Command Line Parameters

Filter Settings

Open and Locked File Copying

Smart Synchronization

Variables

The Progress Bar

Expression Filters

Uninstalling SyncBackSE


Command Line Parameters

Command Line

A Definition of the Command Line

A Command Line is a space provided directly on the screen where users type specific commands. A CLI (command line interface) is a user interface to a computer's operating system or an application in which the user responds to a visual prompt by typing in a command on a specified line, receives a response back from the system, and then enters another command. The MS-DOS Prompt application in the Windows operating system is an example of the provision of a command line interface. Today, most users prefer the graphical user interface (GUI) offered by Windows or Macs.

SyncBackSE Command Line Parameters

SyncBackSE accepts a number of command line parameters. Some of these are used when SyncBackSE is called from the Windows Task Scheduler. Note that when SyncBackSE is run with command line parameters, by default it will run in 'Unattended' mode and be minimized, which means that it will not prompt the user and will not be visible on screen.

· r: The profiles following this parameter are run in restore mode. By default profiles are run as backups/Synchronizations.

· i: The profiles following this parameter are run in interactive mode. By default profiles run from the command line are run unattended, i.e. no prompts are displayed.

· m: The profiles following this parameter are run in minimized mode, i.e. nothing is displayed on the screen. This is the default.

· n: The profiles following this parameter are run in normal mode, i.e. dialogs and windows are displayed on the screen. By default profiles run from the command line are run in minimized mode.

· p: The profiles following this parameter are run in parallel, i.e. they are all run at the same time. Normally the profiles are run in serial (one after the other).

· s: The profiles following this parameter are run in simulated mode, i.e. no files are actually copied or deleted.

· hibernate: Place the computer into hibernate mode (if the computer supports it).

· standby: Place the computer into standby mode (if the computer supports it).

· shutdown: Logoff, shutdown, and switch off the computer (if the computer supports it) (not supported on Windows 95/98/98SE)

· reboot: Reboot the computer (if the computer supports it).

· rebootifreq: Reboot the computer (if the computer supports it) if a profile was run that required a reboot for a file to be replaced/deleted.

· full: Perform a full backup, i.e. rescan the destination for changes. This is only for profiles using the "Fast Backup" setting.

· countdown [seconds]: When used this parameter will cause a small window appear with a countdown timer in it. For example, if you passed -countdown 10 then a window will appear counting down from 10 seconds. Once it reaches zero then the profiles following it in the command line will be run. You can abort the countdown (and exit the program) and so abort running of the profiles.

· Export [profile name] [filename]: This parameter is used to export a profile, or export all profiles. For example: -export "My Profile" "C:\Profiles\My Profile.sps" will export the profile called My Profile to the file C:\Profiles\My Profile.sps. To export all profiles you must use an asterisk for the profile name and supply a directory instead of a filename, e.g. –export * "C:\My Profiles" will export all profiles to the directory C:\My Profiles. The filenames will be the same as the profile names (with the .SPS filename extension).

· source: Set the source folder for all the following profiles to use. Variables can be used, but please see the important information at the end of the Variables section on how Windows expands environment variables.

· dest: Set the destination folder for all the following profiles to use. Variables can be used, but please see the important information at the end of the Variables section on how Windows expands environment variables.

· nosplash: The splash screen will not be displayed.

· delete [profile name]: The named profile is deleted.

· donotexit: By default SyncBackSE will automatically exit after performing the tasks given on the command line (that is unless the user interface is used while performing those tasks). To stop it exiting use this parameter.

· password [password]: When deleting or importing profiles, an existing profile may exist with that name and be password protected. Use this parameter to provide the password. The password parameter must come before the import filename or –delete parameter, e.g. –password “the password” –delete “profile name”

· priority [priority]: The profiles following this on the command line will be run at this priority. 1 (Idle) is the lowest priority, and 7 (Time Critical) is the highest. The default is 4 (Normal).

All other parameters are assumed to be profile names. If a profile name has a space in it use double quotes around the profiles name, e.g. "All Profiles". The profile names are not case sensitive. So for example:

SyncBackSE profile1 -i profile2 profile3 -n -r "profile 4" -hibernate

This command will run profile1 as a backup/sync in unattended and minimized modes, profile2 and profile3 as a backup/sync in interactive and minimized modes, profile 4 as a restore in interactive and normal mode, and once all the profiles have finished the computer will hibernate.

If SyncBackSE is run with no command line parameters then it will first check to see if any other instances of SyncBackSE are running which also started with no command line parameters. If so, it will not start. This helps ensure only one instance of SyncBackSE is running.

However, whenever SyncBackSE is run with command line parameters, it will run regardless of whether any other instances of SyncBackSE are running or not. Also, if run with command line parameters, SyncBackSE will exit once it has finished its tasks, but if you use any part of its user interface while it is running then it will not exit.

Importing Profiles

You can automatically import profiles by passing the filename of the exported profile on the command line. For example, if you exported a profile and saved it as 'MyProfile. SPS' then if you pass this on the command line to SyncBackSE it will automatically import the profile. The filename extension must be .SPS otherwise it is assumed to be the name of a profile to run.

Exit Codes

When running SyncBackSE from the command line, a batch file, etc. then it will return an exit code that gives an indication of whether the task was completed successfully or not. As a number of tasks can be done via the command line at the same time, e.g. import a profile, run it, then delete it, the exit code relates to the last task done on the command line. Also note that if a group profile is run then the exit code is undefined.

0 – Success.

100 – SyncBackSE did not close because of user interaction or the donotexit parameter was used.

-100 – The countdown parameter was used and the user aborted it.

-101 – An attempt was made to import a profile from the command line and it failed.

-102 – The export parameter was used and a profile export failed.

-103 – The delete parameter was used and the profile failed to be deleted.

-104 – The user aborted the profile run.

-105 – The profile name given does not exist.

-106 – The profile was not run because it is disabled.

-107 – The profile run failed (not that the result of a group profile run is unknown).


Filter Settings

Filter Settings

Define what file types and directories are copied and which are not.

· Roll-out: If you click the bar (with the + sign at the left) at the top of the window then a number of options appear.

· Style of filter to use: SyncBackSE supports three different types of filters: Old V3 style filters, Regular expressions, and DOS expressions. See the help below for details on how to use these.

· Make these the defaults: If selected then the filters you have set for this profile will become the default filters for all newly created profiles.

· Add (Files/folders to copy): If clicked a dialog box appears letting you enter a filter expression for files to include. You can enter a filename, a folder name, a complete path, etc. Anything matching this expression will be copied. You can enter multiple filters at the same time by using the forward slash (/) to separate them, e.g. item1/item2/item3. You can also press the Again button to immediately enter another filter item.

· Remove (Files/folders to copy): If clicked then the selected items will be removed from the list.

· Add (Files/folders NOT to copy): If clicked a dialog box appears letting you enter a filter expression for files to exclude. You can enter a filename, a folder name, a complete path, etc. Anything matching this expression will be not be copied. You can enter multiple filters at the same time by using the forward slash (/) to separate them, e.g. item1/item2/item3. You can also press the Again button to immediately enter another filter item.

· Remove (Files/folders NOT to copy): If clicked then the selected items will be removed from the list. You can also double-click on an item in the list to change it.

· Re-apply Filter: If clicked, then the filter will be re-applied to the selections you have made in the tree. For example, if you have selected to exclude all files with the extension .tmp then if you have selected a file in the tree which does have that extension then you will be prompted if you'd like to unselect that file. Use the "Re-apply Filter" button instead of the OK button when you haven't made any changes to the filters but want to re-apply them.

When you make a change to the filters, and click OK to save them, then the new filters will be re-applied to the selections you made in the tree.

note

Note: to modify an existing filter double-click it or select it and press F2. You can also click on a filter item (in Files/folders to copy or Files/folders NOT to copy) and press Ctrl-C to copy all the filter items to the Windows clipboard. Pressing Ctrl-A will select all filter items.

note

Note: to copy all the filters from another profile, right-click on the Files/folders to copy or Files/folders NOT to copy box and select “Copy these settings from another profile” from the pop-up menu.

note

Note: you can use SyncBackSE and Windows Environment variables in the filters, e.g. %HOMEPATH%

What are the filters compared with?

A filter is compared with the folders and filenames (which include the path). The root source and destination directories are not used. For example, if your source directory is C:\my files\" and it includes a folder called subfolder and a file called file.txt then the filters would be compared against the following:

\

\subfolder\

\file.txt

Example filters for SyncBackSE V4

The filters in SyncBackSE V4 allow for files and folders to be filtered based on their name. There are three filter types to choose from (see the Help file for details). This article gives examples using DOS Expressions, which is the default filter type.

First, there are three important rules to remember about filters:

1. The selections in the tree override the filters. For example, you can filter out all .txt files but still select some .txt files in the tree.
1. Filters apply to the entire filename, including the path, but the source and destination base are not part of the path. For example, if your source directory is C:\My Documents\ then that will not be in the filename used with the filter. This makes sense if you remember that the source and destination root directories are different, but their sub-directories are going to have the same names.
1. Folder names end with a backslash, where as files do not, e.g. \My \ and \My Documents\filename.txt
1. All file and folder names start with a backslash.

Remember to include folders and files in the filter

If you set your Files/folders to copy filter to just *\*.txt then it will only include text files in the root folder and unselect all child folders. Why? Because you forgot to also include folders. You need to also add *\ to Files/folders to copy to include all the folders (or change that as appropriate to include only folders with certain names, for example).

Another example is if you set your Files/folders to copy filter to just *\ then it will only include folders and no files. Why? Because all folders end with a backslash (\) but no files do. If you want all folders and files the filter should be * (or *\*)

Filters are applied top-down

When SyncBackSE scans a folder it starts from the top (the root) and works its way down the child folders. For each file and folder it first looks to see if it has been specifically selected, or not, in the file & folder selection tree. Selections override filters. If no selection decision has been made then it uses the filters. It first checks to see if the file or folder matches any inclusion filter. If not, it is filtered out, i.e. skipped (ignored). If it's a folder that is being filtered out then all files and child folders of that folder are ignored. If it matches the filter then it checks to see if it matches an exclusion filter. If it does then it is filtered out.

For example, say you have the following folder structure:

\
\Parent\
\Parent\Child\
\Parent\Child\GrandChild\

The root folder (\) is always included and cannot be filtered out. After scanning the files in the root folder, it would then scan Parent, then Child, then GrandChild. Each folder must match a filter (or have been selected in the tree) otherwise everything in it is ignored. For example, if you had the following filter to copy all text files in the Child folder then it would fail:

\Child\*.txt

Why would it fail? Two reasons. First, because the Parent folder does not match that filter so the Child folder is never looked at. Second, the Child folder doesn't match that filter (it is \Parent\Child\). Folders end with a backslash. Therefore the filters must be changed to the following so the folders are included:

\Parent\
\Parent\Child\
\Parent\Child\*.txt

Example DOS Expressions

Notice that many of the examples below also include filters to include folders.

*\ *\*.txt | All text files (.txt) in all folders. The *\ filter ensures all folders are looked at.
*\ *\temp\*.txt | All text files in all folders called temp
\temp\ \temp\*.txt | All text files in the root folder called temp. For example, if your source directory is C:\My Documents\ then this filter is for all text files in C\My Documents\temp\
*\test\ | All folders called test. Note that no files will be copied unless another filter is added to include files, e.g. *\*.txt
*\parent\ *\parent\child | All folders called child whose parent directory is called parent. Notice the filter *\\ is required otherwise it will never look inside folders called parent. Note that no files will be copied unless another filter is added to include files, e.g. *\*.txt
\temp*\ | All root folders whose name starts with temp or is called temp. Note that no files will be copied unless another filter is added to include files, e.g. *\*.txt

Examples of wrong DOS Expressions

The examples below are examples of wrong filters. An explanation is given of why it is wrong.

*.txt | This will match any file, or folder, whose name ends with .txt. If you are trying to just include all text files then you should also remember to add *\ to the filters otherwise no child folders will be selected (see the notes below). If you just want text files in the root then the filter is valid if used on its own.
temp\*.txt | This filter will fail to match anything because all folder and filenames start with a backslash (\) character.


Open and Locked File Copying

Locked and Open Files

You must have administrator access rights to copy open / locked files.

With the exception of expensive solutions, most backup software cannot copy locked files. For example, if you use Microsoft Outlook then you cannot copy the data file (e.g. outlook.pst) while Outlook is running. The same restriction applies to many other applications and their files.

The reason for this is because of the way Microsoft Windows manages file locking. When a program opens a file it must specify if other applications are allowed to read the file while it is being used. If the program specifies other applications cannot read the file then Windows will strictly enforce this. There is no way to force Windows to let the other applications read the file.

However, Microsoft introduced new features in Windows XP and Windows 2003 that allow programs to read these files. SyncBackSE makes use of these new features to copy these locked files. There are restrictions on their use:

The file being copied (which is locked) must be on a volume formatted with the NTFS file system. If you're using Windows XP then it's very likely it is.

The file being copied must be on a local drive and not a network drive.

You must be running Windows XP (Pro or Home) or Windows 2003. It is not possible to copy locked files using Windows 95, 98, 98SE, ME, NT, or 2000.


Variables

Defining Variables

SyncBackSE includes a whole range of variables that can be used in the Source and Destination settings for a profile:

%DATE% Current date, e. g. 24-6-2005

%TIME% Current time in 24 hour clock format, e. g. 19-30

%YEAR% Current year, e. g. 2005

%MONTH% Current month, e. g. 2

%DAY% Current day of the month, e. g. 10

%DAYOFWEEK% Current day of the week, (1 = Monday, 7 = Sunday)

%DAYOFYEAR% Current day of the year (January 1st = 1)

%HOUR% Current hour (24 hour clock format), e. g. 19

%MINUTE% Current minute

%SECOND% Current second

%MILLISECOND% Current millisecond (0 to 999)

%THISDRIVE% The drive that SyncBackSE is running on, e. g. C:

%THISPATH% The path that SyncBackSE is running from, e.g. C:\Program Files\2BrightSparks\SyncBackSE

%LABEL=?% The entry is replaced by the drive with that label (see below)

%SERIAL=?% The entry is replaced by the drive with that serial number (see below)

%WEEKOF% Week of the year (1 to 53). WeekOf uses the ISO 8601 standard to define the week of the year. That is, a week is defined as running from Monday through Sunday, and the first week of the year is defined as the one that includes the first Thursday of the year (the first week that includes four or more days in the year). This means that if the first calendar day of the year is a Friday, Saturday, or Sunday, then for the first three, two, or one days of the calendar year, WeekOf returns the last week of the previous year. Similarly, if the last calendar day of the year is a Monday, Tuesday, or Wednesday, then for the last one, two, or three days of the calendar year, WeekOf returns 1 (the first week of the next calendar year).

%WEEKOFTHEMONTH% Week of the month (1 to 6). WeekOfTheMonth uses the ISO 8601 standard definition of a week. That is, a week is considered to start on a Monday and end on a Sunday.

%WEEKSINYEAR% The number of weeks in the year (52 or 53). WeeksInYear defines the first week of the year according to the ISO 8601 standard. That is, the first week of the year is the one that includes the first Thursday of the year (the first week that has 4 or more days in the year). This means that WeeksInYear always returns either 52 or 53.

%NTHDAYOFWEEK% Note that this value may differ from the value that the WeekOfTheMonth variable returns, because NthDayOfWeek counts every occurrence of the given weekday, while WeekOfTheMonth only counts a week if it includes 4 or more days in the month. Thus, for example, if today is a Saturday and is the first day of a month, NthDayOfWeek returns 1, while WeekOfTheMonth returns 5 (or maybe 4), indicating the last week of the previous month.

%HOUROFTHEYEAR% The number of complete hours between the current date & time and 12:00 AM on Jan 1 of the year.

%HOUROFTHEMONTH% The number of complete hours between the current date & time and 12:00 AM on the first day of the month.

%HOUROFTHEWEEK% The number of complete hours between the current date & time and 12:00 AM on Monday of the week.

%MINUTEOFTHEYEAR% The number of minutes between the current date & time and 12:00:00:00 AM on Jan 1 of the year.

%MINUTEOFTHEMONTH% The number of minutes between the current date & time and

12:00 AM on the first day of the month.

%MINUTEOFTHEWEEK% The number of minutes between the current date & time and 12:00 AM on Monday of the week (the week starts on Monday).

%MINUTEOFTHEDAY% The number of minutes between the current date & time and 12:00 AM on the same day.

%SECONDOFTHEYEAR% The number of seconds between the current date & time and 12:00:00:00 AM on Jan 1 of the year.

%SECONDOFTHEMONTH% The number of seconds between the current date & time and 12:00:00 AM on the first day of the month.

%SECONDOFTHEWEEK% The number of seconds between the current date & time and 12:00:00 AM on Monday of the week (the week starts on Monday).

%SECONDOFTHEDAY% The number of seconds between the current date & time and 12:00:00 AM on the same day.

%SECONDOFTHEHOUR% The number of seconds between the current date & time and the start of the same hour on the same day.

%MILLISECONDOFTHEYEAR% The number of milliseconds between the current date & time and 12:00:00:00 AM on Jan 1 of the year.

%MILLISECONDOFTHEMONTH% The number of milliseconds between the beginning (Midnight on the first day) of the month and the current date & time.

%MILLISECONDOFTHEWEEK% The number of milliseconds between the current date & time and 12:00:00:00 AM on Monday of the current week (the week starts on Monday).

%MILLISECONDOFTHEDAY% The number of milliseconds between the current date & time and the beginning (midnight) on the same day.

%MILLISECONDOFTHEHOUR% The number of milliseconds between the current time and the start of the same hour on the same day.

%MILLISECONDOFTHEMINUTE% The number of milliseconds between the current time and the start of the same minute on the same day.

%DAYSINMONTH% Number of days in current month.

%DAYSINYEAR% Number of days in current year.

These new variables allow you, for example, to keep 7 days worth of backups, e. g. you could set your destination to D:Backup%DAYOFWEEK% so that you'll always have backups of the last seven days worth of files.

%MONTHNAME% The first three letters of the current month, e.g. Jan. Note that English is always used.

%DAYOFWEEKNAME% The first three letters of the day of the week, e.g. Mon. Note that English is always used.

%QUARTEROFYEAR% Returns the current quarter for the current year, i.e. 1 for January to March, 2 for April to June, 3 for July to September, and 4 for October to December.

%THISPROGRAM% The path and filename of the SyncBackSE program itself.

%SBVERSION% The complete version number of the SyncBackSE program itself, e.g. 4.0.8.0

%SYNCBACKFOLDER% The default folder that SyncBackSE stores it’s profiles in, e.g. C:\Documents and Settings\[username]\Local Settings\Application Data\2BrightSparks\SyncBack\. Note that this is not necessarily where the profiles are stored (you may have configured it to store them in %THISPATH%, for examples)

%SYNCBACKBACKUPFOLDER% The default folder that SyncBackSE stores it’s profile backup files in, e.g. C:\Documents and Settings\[username]\Local Settings\Application Data\2BrightSparks\SyncBack\ProfileBackup\. Note that this is not necessarily where the backups are stored.

Drives

There are six special variables than can be used to identify drives based on their label or serial number. These are very useful when using external USB drives, for example, which may have a different drive letter each time they are plugged-in:

%LABEL=?% The entry is replaced by the drive with that label. For example, if your C drive is labelled My Disk then %LABEL=My Disk%Documents would be translated into C:\Documents. Note that you can only use one label per string but can use it multiple times. Also, the drives A and B are ignored (use LABELALL to include drives A and B, see below).

%LABELALL=?% This is the same as the LABEL variable except it also includes the drives A and B, which are typically floppy disk drives. When the floppy drive is accessed to get the label of the disk in it may become irritating, which is why you should use LABEL unless you need the label of a disk in drive A or B.

%SERIAL=?% The entry is replaced by the drive with that serial number. For example, if your D drive has a serial number of BC46-F69E then %SERIAL=BC46-F69E%Program Files will be translated at runtime into D:\Program Files. Note that you can only use one serial per string but can use it multiple times. Also, the drives A and B are ignored (use SERIALALL to include drives A and B, see below).

%SERIALALL=?% This is the same as the SERIAL variable except it also includes the drives A and B, which are typically floppy disk drives. When the floppy drive is accessed to get the serial number of the disk in it may become irritating, which is why you should use SERIAL unless you need the label of a disk in drive A or B.

%DISKLABEL% The label of the disk in the drive.

%DISKSERIAL% The unique serial number of the disk in the drive.

Important note about Variable usage

An important point to remember is that Windows has it's own environment variables, e.g. %USERNAME%. When these variables are used in a batch file, or on the command line, then Windows automatically expands them. Unknown variables are simply deleted. For example, if you had the following batch file:

@echo off

"c:\program files\2brightsparks\syncbackse\syncbackse.exe" -source "x:\%DAY%\"

Then when run it would actually be expanded to do the following:

@echo off

"c:\program files\2brightsparks\syncbackse\syncbackse.exe" -source "x:\\"

Note that the %DAY% has been removed because it's an unknown Windows variable (it's a SyncBackSE variable). To stop Windows from changing SyncBackSE variables you must use two percentage signs, e.g.

@echo off

"c:\program files\2brightsparks\syncbackse\syncbackse.exe" -source "x:\%%DAY%%\"


Progress Bar

Progress Bar

The progress bar appears when a task is running and provides visual feedback of the progress of that task to the user:


Expression Filters

Expression Filters in SyncBackSE

This section of the help file provides information and guidance about expression filters.

Regular Expressions

Regular expressions are a system for matching patterns in text data. They provide a powerful set of tools for finding particular words or combinations of characters in strings.

Matching simple expressions

Most characters match themselves. The only exceptions are called special characters:

Description | Symbol | Meaning
asterisk | * | match zero or more times
plus sign | + | match one or more times
question mark | ? | match zero or one time
backslash | \ | escape the following character
period | . | match any one character
caret | ^ | negate a match in [ ], or start of line
square brackets | [ and ] | character class
parentheses | ( and ) | grouping
dollar sign | $ | end of line
ampersand | & | and
or sign | | | or

To match a special character, precede it with a backslash, like this \*. For example,

This expression... | matches this... | but not this...
a | a | b
\.\* | .* | dog
100 | 100 | ABCDEFG

Matching any character

A period (.) matches any character except a newline character.

This expression... | matches this... | but not this...
.art | dart | art
 | cart | hurt
 | tart | dark

Matching certain types of characters

Some character types can be matched by a shorthand notation:

This expression... | matches this...
\d | digits (0-9)
\D | non-digits
\w | "word" characters (alphanumeric and underscore)
\W | non-word characters
\s | whitespace characters (space, tab)
\S | non-whitespace characters

Repeating expressions

You can repeat expressions with an asterisk or plus sign.

A regular expression followed by an asterisk (*) matches zero or more occurrences of the regular expression. If there is any choice, the first matching string in a line is used.

A regular expression followed by a plus sign (+) matches one or more occurrences of the one-character regular expression. If there is any choice, the first matching string in a line is used.

A regular expression followed by a question mark (?) matches zero or one occurrence of the one-character regular expression.

For example:

This expression... | matches this... | but not this...
a+b | ab | b
 | aaab | baa
a*b | b | daa
 | ab | aaab
.*cat | cat | dog
 | 9393cat |
 | the old cat |
 | c7sb@#puiercat |
a[n]? h | a herb | ann hat
 | an herb |

So to match any series of zero or more characters, use ".*". On its own this isn't much use, but in the middle of a longer regular expression, it can be.

Grouping expressions

If an expression is enclosed in parentheses (( and )), the editor treats it as one expression and applies any asterisk (*) or plus (+) to the whole expression.

For example

This expression... | matches this... | but not this...
(ab)*c | abc | ababab
 | ababababc | ababd
(.a)+b | xab | b
 | ra5afab | aagb

Choosing one character from many

A string of characters enclosed in square brackets ([ ]) matches any one character in that string. If the first character in the brackets is a caret (^), it matches any character except those in the string. For example, [abc] matches a, b, or c, but not x, y, or z. However, [^abc] matches x, y, or z, but not a, b, or c.

A minus sign (-) within square brackets indicates a range of consecutive ASCII characters. For example, [0-9] is the same as [0123456789]. The minus sign loses its special meaning if it's the first (after an initial ^, if any) or last character in the string.

If a right square bracket is immediately after a left square bracket, it does not terminate the string but is considered to be one of the characters to match. If any special character, such as backslash (\), asterisk (*), or plus sign (+), is immediately after the left square bracket, it doesn't have its special meaning and is considered to be one of the characters to match.

This expression... | matches this... | but not this...
[aeiou] [0-9] | a6 | ex
 | i3 | 9a
 | u2 | $6
[^cfl]og | dog | cog
 | bog | fog
END[.] | END. | END;
 |  | ENDDO
 |  | ENDIAN

Matching the beginning or end of a line

You can specify that a regular expression match only the beginning or end of the line. These are called anchor characters:

If a caret (^) is at the beginning of the entire regular expression, it matches the beginning of a line.

If a dollar sign ($) is at the end of the entire regular expression, it matches the end of a line.

If an entire regular expression is enclosed by a caret and dollar sign (^like this$), it matches an entire line.

This expression... | matches this... | but not this...
^(the cat).+ | the cat runs | see the cat run
.+(the cat)$ | watch the cat | the cat eats

So, to match all strings containing just one characters, use "^.$".


Uninstalling SyncBackSE

How to Uninstall SyncBackSE

If you used the default installation procedure for SyncBackSE you may uninstall the program by going to Windows Start > All Programs > 2BrightSparks > SyncBack/SE > Uninstall SyncBack/SE.

The exception to this is if you installed the program in a custom location, in which case you will have to find out where SyncBack/SE is located. You can easily find this using the Windows search facility.

Please be aware that uninstalling SyncBack/SE will delete your profiles.

All versions of SyncBack and SyncBackSE can safely be installed over an existing installation. By doing this, you will ensure any profiles you have created continue to be active.

Lastly, make sure that SyncBack/SE is not running while you attempt to uninstall. Remember that SyncBack/SE can be seen in the task bar on the lower right when active (you may need to click the little left pointing arrow to see the SyncBack/SE icon). You may have also created a scheduled task which you will need to disable if uninstalling.


Legal Information

Legal Documentation

Please read the following legal documentation which presents 2BrightSparks Pte Ltd's policies on licensing and distribution.


Distribution

Software Distribution Agreement for SyncBackSE Shareware Version

This Software Distribution Agreement (hereinafter referred to as "AGREEMENT") is a legal AGREEMENT between you, and 2BrightSparks Pte Ltd (hereinafter referred to as "AUTHOR") for distributing the computer software program entitled SyncBackSE (SyncBack Special Edition) (hereinafter referred to as "SOFTWARE").

This AGREEMENT describes the terms and conditions by which AUTHOR will license other parties to distribute the SOFTWARE which is intended solely for distribution as SHAREWARE. No use, distribution or reproduction of the SOFTWARE or copies of the SOFTWARE is authorised except in compliance with the terms and conditions herein. Distribution of the SOFTWARE in accordance with the provisions of this Software Licence Agreement is encouraged.

You should carefully read the following terms and conditions before distributing this SOFTWARE. Unless you have a different licence AGREEMENT signed by AUTHOR, your use of this SOFTWARE indicated your acceptance of this licence AGREEMENT.

By copying or distributing this SOFTWARE, you agree to be bound by the terms and conditions of this AGREEMENT as well as those of the "Software Licence Agreement".

GENERAL DEFINITIONS

As stated, the SOFTWARE is marketed as SHAREWARE.

Definition of Shareware

Shareware distribution gives users a chance to try software before buying it. If you try a Shareware program and continue using it, you are required to register it (or purchase the Licensed version).

Copyright laws apply to both Shareware and retail software, and the copyright holder retains all rights, with a few specific exceptions as stated below. The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group.

Shareware is a distribution method, not a type of software.

GENERAL TERMS AND CONDITIONS

• AUTHOR shall be credited as the owner of the SOFTWARE in all distribution of the SOFTWARE. AUTHOR is the exclusive world-wide licenser of the SOFTWARE, and the copyrights and other proprietary rights therein. The SOFTWARE is intended solely for distribution as SHAREWARE (i.e., try-before-you-buy software); it is not public domain or free software or freeware.

• The SOFTWARE shall be identified by name and shall be identified as SHAREWARE in all distribution.

• You may copy and/or distribute the SOFTWARE only in its original, unaltered form, with all files included unmodified, and without making any additions, modifications or deletions except as provided in this paragraph. You may not modify the SOFTWARE or any of its files, and the SOFTWARE must be distributed as a complete package. You may not change, delete, merge or rename any files or elements of the SOFTWARE in any manner, and you may not add any files or new elements (except for installation routines which do not interfere with the proper operation or installation of the SOFTWARE).

• Since the SOFTWARE is intended for distribution only as SHAREWARE, you shall not charge any fee or other compensation for the SOFTWARE, although you may charge a distribution fee for costs associated with distributing the SOFTWARE. You are permitted, and encouraged, to make and distribute copies of the SOFTWARE to your friends, family members and co-workers for your and their private non-commercial use, in compliance with the terms and conditions hereof.

• You recognise that your right to distribute the SOFTWARE is nonexclusive and that AUTHOR can terminate the license granted to you at any time for any reason upon notice. AUTHOR reserves the right to withhold or withdraw permission to distribute the SOFTWARE from anyone at any time for any reason. The other provisions hereof shall survive any expiration or termination of this AGREEMENT.

• You shall take reasonable steps to ensure that the SOFTWARE and any other software, documentation and other materials distributed with the SOFTWARE are free from viruses.

• You may not use, copy, modify, distribute or transfer the SOFTWARE or any element thereof in whole or in part, except as expressly provided for herein.

• You may not rent or lease the SOFTWARE to anyone.

• AUTHOR reserves the right to update the contents of the SOFTWARE and its associated files, documentation and/or other elements, at its discretion from time to time, without the consent of, or any obligation to, any licensed users or distributors.

• You will hold AUTHOR, family members, distributors, licensees, sub-licensees and lawyers harmless from and against any and all claims, actions, damages, losses, liabilities, costs and expenses arising directly or indirectly from your acts and omissions in copying and distributing the SOFTWARE.

• If any provision of this AGREEMENT is held to be void, invalid or unenforceable, it will not affect the validity of the balance of this AGREEMENT, which shall remain valid and enforceable according to its terms and conditions.

• This agreement shall be governed by the laws of the United Kingdom.

SPECIAL TERMS AND CONDITIONS

• Distribution by BBS, on-line Services, FTP, FSP, News, WWW, Satellite, Other File Transfer Protocols: The SOFTWARE and associated files may be copied, used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with.

• Distribution on Floppy Disk / CD-ROM / DVD / Other Disk Types in a non-retail environment: The SOFTWARE and associated files may be copied, and used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with.

• Distribution on Floppy Disk / CD-ROM / DVD / Other Disk Types by Anonymous access FTP/WWW Shareware Archives: The SOFTWARE and associated files may be copied, used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with.

• Distribution on Magazine Companion Disk / CD-ROM / Other Disk Types: The program and associated files may be copied, used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with. We would greatly appreciate if you would inform 2BrightSparks about any review(s) you write about the SOFTWARE. Thanks.

• Distribution in a Retail Environment, Book Companion Disk / CD-ROM / Other Disk Types (Book): You may not distribute the program without obtaining explicit permission from AUTHOR.

• Other (e.g. Retail not covered above) CD-ROM Shareware Distribution: You may not distribute the program without obtaining explicit permission from AUTHOR.

• Internet Providers Disk / CD-ROM / Demo Disks / Connection Kits / etc.: You may distribute this SOFTWARE on your disk/CD only as bundled shareware with other programs without charge and permission as long as the "General Terms and Conditions" set forth above are complied with. If you intend to provide the program for your own diagnostic purposes then you may not distribute the program without obtaining explicit permission from the AUTHOR.

• Software/Hardware Manufacturers & Suppliers: You may not distribute the program pre-installed or otherwise on the machines you manufacture/distribute/etc. or bundled with your own products without obtaining explicit permission from AUTHOR.

• Other Type of Distribution: Please contact AUTHOR for details.

BY DISTRIBUTING THE SOFTWARE YOU ACKNOWLEDGE THAT YOU HAVE READ AND UNDERSTOOD THIS AGREEMENT AND YOU AGREE TO BE BOUND BY THIS AGREEMENT'S TERMS AND CONDITIONS. YOU ALSO AGREE THAT THIS AGREEMENT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE RIGHTS AND LIABILITIES OF THE PARTIES AND SUPERSEDES ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN AND ANY OTHER COMMUNICATION BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.


Privacy Statement

Privacy Statement

We have created this privacy statement in order to demonstrate our firm commitment to privacy. The following discloses our information gathering and dissemination practices for 2BrightSparks.

We use your IP address to help diagnose problems with our server, and to administer our website. Your IP address is used to help identify you and to gather broad demographic information.

Cookies

We use cookies to identify you so we can retrieve your information so you don't have to re-enter it each time you visit our site. We also use cookies to help ensure our surveys are only completed once.

Subscriptions

Our site's Support Ticketing, Mailing List, and other forms requires users to give us contact information, like their name and email address. We use customer contact information from forms to send the user information about 2BrightSparks. The customer's contact information is also used to contact the visitor when necessary if they have subscribed to the Mailing List. Users may opt-out of receiving future mailings by choosing to nun-subscribe. Unique identifiers are collected to verify the user's identity and for use in our record system.

Collecting Unique Identifiers

2BrightSparks and its associated Web Store uses an order form for customers to request information, products, and services. We collect visitor's contact information and unique identifiers. Contact information from the order form is used to send orders and information about our company to our customers. The customer's contact information is also used to get in touch with the visitor when necessary. Users may opt-out of receiving future mailings. Unique identifiers are collected from website visitors to verify the user's identity and for use as account numbers in our record system.

External Linking

2BrightSparks contains links to other sites. We are not responsible for the privacy practices or the content of such websites.

Security

This site has security measures in place to protect the loss, misuse and alteration of the information under our control. All data is protected using the most advanced methods available. We do not store financial information like credit card numbers or personal information like social security numbers on this site.

Un-Subscribe

2BrightSparks gives users the option to contact us for removing their information from our database to not receive future communications or to no longer receive mail list messages.

Correct/Update

You can send an email to us by visiting our Support Area to change and/or modify information previously provided.

Additional Information

Why we use cookies

A cookie is a small data file that certain Web sites write to your hard drive when you visit them. A cookie file can contain information such as a user ID that the site uses to track the pages you have visited. The only personal information a cookie can contain is information you supply yourself. A cookie can't read data off your hard disk or read cookie files created by other sites.

We use cookies to assists in searches. Cookies further enhance our service by enabling us to fast-track much of our User's browsing habits with the aim of improving our services.

Do you share data with outside companies and/or organisations?

No. we do not share any 'off-line data' with any commercial entity (e-mail addresses collected for our mailing list, and any data collected for purposes other than for on-line publication on our website).

We only disclose data when required to do so by International law.


General Terms

2BrightSparks Pte Ltd: General Terms and Conditions

Last Modified: 14 May 2005

Products, Services, and Conditions of Use

As part of our service, we agree to provide you with software, information, and other services that we may decide to offer, subject to the terms of this agreement. Upon notice published through the service, we may modify this agreement at any time. You agree and continue to agree to use our products and services in a manner consistent with all applicable laws and regulations and in accordance with the terms and conditions set out in the policies and guidelines outlined below. Please note that you will be referred to as 'customer' in this agreement.

Limitation Of Liability And Warranty

The customer agrees that use of the services and products provided by 2BrightSparks is entirely at the customer's own risk. Services and products are provided 'as is,' without warranty of any kind, either express or implied, including without limitation any warranty for information, services, uninterrupted access, or products provided through or in connection with the service, including without limitation the software licensed to the customer and the results obtained through the service. Specifically, we disclaim any and all warranties, including without limitation: 1) any warranties concerning the availability, accuracy or content of information, products or services; and 2) any warranties of title or warranties of merchantability or fitness for a particular purpose.

This disclaimer of liability applies to any damages or injury caused by any failure of performance, error, omission, interruption, deletion, defect, delay in operation or transmission, computer virus, communication line failure, theft or destruction or unauthorized access to, alteration of, or use of record, whether for breach of contract, tortious behavior, negligence, or under any other cause of action. Customer specifically acknowledges the service is not liable for the defamatory, offensive or illegal conduct of other customers or third-parties and that the risk of injury from the foregoing rests entirely with customer.

Neither the software, products or services delivered by 2BrightSparks, nor any of its agents, affiliates or content providers shall be liable for any direct, indirect, incidental, special or consequential damages arising out of use of it or inability to gain access to or use the software or out of any breach of any warranty. Customer hereby acknowledges that the provisions of this section shall apply to all content on the service.

Governing Law

This agreement shall be governed by the laws of Singapore.

Trademarks

All trademarks appearing on the service are trademarks of their respective owners.

Modification

2BrightSparks reserves the right, at its discretion, to revise these Terms and Conditions at any time and without prior notice, and such revision shall be effective immediately upon the posting of the revised Terms and Conditions at the company website:

http://www.2brightsparks.com/terms.html

Software License Agreement

You should carefully read the following Terms and Conditions before using our software products. Unless you have a different license agreement signed by 2BrightSparks, your use of our software indicates your acceptance of this license agreement and warranty.

Use of all software available from 2BrightSparks (hereinafter 'SOFTWARE') is contingent on your agreement our software licensing terms found on this web page.

SyncBackSE Licensing Terms and Conditions

You are advised to revisit the following web page periodically as we reserve the right to change these terms and conditions at any time and without notification:

CONDITIONS OF USE

You agree and continue to agree to use our software in a manner consistent with all applicable laws and regulations and in accordance with the terms and conditions set out in the policies and guidelines outlined below.

Please note that you will be referred to as 'customer' in this agreement.

SOFTWARE LICENSE AGREEMENT

You should carefully read the following Terms and Conditions before using SyncBackSE. Unless you have a different license agreement signed by 2BrightSparks Pte Ltd, your use of our software indicates your acceptance of this license agreement.

Use of all software available from 2BrightSparks Pte Ltd, including SyncBackSE, (hereinafter 'SOFTWARE') is contingent on your agreement to the following terms:

LIMITATION OF LIABILITY

The use of all software including SyncBackSE available from 2BrightSparks Pte Ltd ('SOFTWARE') is contingent on your agreement to the following Limitation of Liability:

SOFTWARE is provided as is, and without warranty of any kind. To the maximum extent permitted by applicable law, 2BrightSparks Pte Ltd its suppliers, its distributors, and its affiliates, or others who may offer SOFTWARE, will not be liable for any damages whatsoever, whether direct or indirect, special, incidental, consequential, or punitive of any kind (including but not limited to damages for: loss of profits, loss of confidential or other information, business interruption, personal injury, loss of privacy, failure to meet any duty - including of good faith or of reasonable care - negligence, and any other pecuniary or other loss whatsoever) arising out of, or in any way related to the use of, or inability to use our SOFTWARE or support services, or the provision of or failure to provide support services, or otherwise under, or in connection with SOFTWARE documentation, or any provision of these terms and conditions, even if 2BrightSparks Pte Ltd or any supplier, distributor, or its affiliates has been advised of the possibility of such damages.

The Limitations on, and Exclusions of liability for damages in this agreement apply regardless of whether liability is based on breach of contract, tort (including negligence), delict, strict liability, breach of warranties or conditions, or any other legal theory. 2BrightSparks Pte Ltd furthermore disclaims all warranties, including without limitation any implied warranties of merchantability, fitness for a particular purpose, and on infringement.

The entire risk arising out of the use or performance of the SOFTWARE and documentation remains with the recipient. To the maximum extent permitted by applicable law, in no event shall 2BrightSparks Pte Ltd Pte Ltd be liable for any consequential, incidental, direct, indirect, special, punitive, or other damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of this agreement or the use of or inability to use the product, even if 2BrightSparks Pte Ltd has been advised of the possibility of such damages.

The SOFTWARE and the accompanying files are sold "as is" and without warranties as to performance or merchantability or any other warranties whether expressed or implied. Because of the various hardware and software environments into which SOFTWARE may be put, no warranty of fitness for a particular purpose is offered.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the SOFTWARE. Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.

OWNERSHIP

You may not reverse engineer, decompile or disassemble the SOFTWARE. 2BrightSparks Pte Ltd shall retain title and all ownership rights to the SOFTWARE.

COPYRIGHT

This SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

MAINTENANCE

2BrightSparks Pte Ltd is not obligated to provide support, maintenance, or updates for the SOFTWARE (either by email, phone, or otherwise). However, any maintenance or updates provided by 2BrightSparks Pte Ltd shall be covered by this Agreement.

SOFTWARE USAGE AGREEMENT

One registered copy of SOFTWARE may either be used by a single person who uses the software personally on up to 5 computers in a non-commercial setting (home), or installed on a single workstation used non-simultaneously by multiple people, but not both.

You may access the registered version of the SOFTWARE through a network, provided that you have obtained individual licenses for the SOFTWARE covering all workstations that will access the software through the network. For instance, if 4 different workstations will access the SOFTWARE on the network, each workstation must have its own SOFTWARE license, regardless of whether they use the SOFTWARE at different times or concurrently.

RETURNS POLICY

Before purchasing the SOFTWARE, you are encouraged to 'test drive' it using the evaluation version.

The full version of the SOFTWARE is not freely distributed, and therefore cannot be returned for a refund. In the event you encounter a problem with your installation, contact our support department for assistance.

EVALUATION AND REGISTRATION

Subject to the terms of this agreement, you are hereby licensed to use the SOFTWARE for evaluation purposes without charge. The evaluation version of the SOFTWARE has limitations and reminders that the SOFTWARE is in use. For a full-featured, unrestricted version, a registration fee is required. Upon payment you will be sent an email that will provide the Serial Number to unlock the SOFTWARE.

SyncBackSE DISTRIBUTION AGREEMENT

This Software Distribution Agreement (hereinafter referred to as "AGREEMENT") is a legal AGREEMENT between you, and 2BrightSparks Pte Ltd (hereinafter referred to as "AUTHOR") for distributing the computer software program entitled SyncBackSE (SyncBack Special Edition) (hereinafter referred to as "SOFTWARE").

This AGREEMENT describes the terms and conditions by which AUTHOR will license other parties to distribute the SOFTWARE which is intended solely for distribution as SHAREWARE. No use, distribution or reproduction of the SOFTWARE or copies of the SOFTWARE is authorised except in compliance with the terms and conditions herein. Distribution of the SOFTWARE in accordance with the provisions of this Software Licence Agreement is encouraged.

You should carefully read the following terms and conditions before distributing this SOFTWARE. Unless you have a different licence AGREEMENT signed by AUTHOR, your use of this SOFTWARE indicated your acceptance of this licence AGREEMENT.

By copying or distributing this SOFTWARE, you agree to be bound by the terms and conditions of this AGREEMENT as well as those of the "Software Licence Agreement".

GENERAL DEFINITIONS

As stated, the SOFTWARE is marketed as SHAREWARE.

Definition of Shareware

Shareware distribution gives users a chance to try software before buying it. If you try a Shareware program and continue using it, you are required to register it (or purchase the Licensed version).

Copyright laws apply to both Shareware and retail software, and the copyright holder retains all rights, with a few specific exceptions as stated below. The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group.

Shareware is a distribution method, not a type of software.

GENERAL TERMS AND CONDITIONS

• AUTHOR shall be credited as the owner of the SOFTWARE in all distribution of the SOFTWARE. AUTHOR is the exclusive world-wide licenser of the SOFTWARE, and the copyrights and other proprietary rights therein. The SOFTWARE is intended solely for distribution as SHAREWARE (i.e., try-before-you-buy software); it is not public domain or free software or freeware.

• The SOFTWARE shall be identified by name and shall be identified as SHAREWARE in all distribution.

• You may copy and/or distribute the SOFTWARE only in its original, unaltered form, with all files included unmodified, and without making any additions, modifications or deletions except as provided in this paragraph. You may not modify the SOFTWARE or any of its files, and the SOFTWARE must be distributed as a complete package. You may not change, delete, merge or rename any files or elements of the SOFTWARE in any manner, and you may not add any files or new elements (except for installation routines which do not interfere with the proper operation or installation of the SOFTWARE).

• Since the SOFTWARE is intended for distribution only as SHAREWARE, you shall not charge any fee or other compensation for the SOFTWARE, although you may charge a distribution fee for costs associated with distributing the SOFTWARE. You are permitted, and encouraged, to make and distribute copies of the SOFTWARE to your friends, family members and co-workers for your and their private non-commercial use, in compliance with the terms and conditions hereof.

• You recognise that your right to distribute the SOFTWARE is nonexclusive and that AUTHOR can terminate the license granted to you at any time for any reason upon notice. AUTHOR reserves the right to withhold or withdraw permission to distribute the SOFTWARE from anyone at any time for any reason. The other provisions hereof shall survive any expiration or termination of this AGREEMENT.

• You shall take reasonable steps to ensure that the SOFTWARE and any other software, documentation and other materials distributed with the SOFTWARE are free from viruses.

• You may not use, copy, modify, distribute or transfer the SOFTWARE or any element thereof in whole or in part, except as expressly provided for herein.

• You may not rent or lease the SOFTWARE to anyone.

• AUTHOR reserves the right to update the contents of the SOFTWARE and its associated files, documentation and/or other elements, at its discretion from time to time, without the consent of, or any obligation to, any licensed users or distributors.

• You will hold AUTHOR, family members, distributors, licensees, sub-licensees and lawyers harmless from and against any and all claims, actions, damages, losses, liabilities, costs and expenses arising directly or indirectly from your acts and omissions in copying and distributing the SOFTWARE.

• If any provision of this AGREEMENT is held to be void, invalid or unenforceable, it will not affect the validity of the balance of this AGREEMENT, which shall remain valid and enforceable according to its terms and conditions.

• This agreement shall be governed by the laws of the United Kingdom.

SPECIAL TERMS AND CONDITIONS

• Distribution by BBS, on-line Services, FTP, FSP, News, WWW, Satellite, Other File Transfer Protocols: The SOFTWARE and associated files may be copied, used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with.

• Distribution on Floppy Disk / CD-ROM / DVD / Other Disk Types in a non-retail environment: The SOFTWARE and associated files may be copied, and used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with.

• Distribution on Floppy Disk / CD-ROM / DVD / Other Disk Types by Anonymous access FTP/WWW Shareware Archives: The SOFTWARE and associated files may be copied, used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with.

• Distribution on Magazine Companion Disk / CD-ROM / Other Disk Types: The program and associated files may be copied, used and posted without charge and permission as long as the "General Terms and Conditions" set forth above are complied with. We would greatly appreciate if you would contact us about any review(s) you write about the SOFTWARE at:

http://www.2brightsparks.com/contact.html

• Distribution in a Retail Environment, Book Companion Disk / CD-ROM / Other Disk Types (Book): You may not distribute the program without obtaining explicit permission from AUTHOR.

• Other (e.g. Retail not covered above) CD-ROM Shareware Distribution: You may not distribute the program without obtaining explicit permission from AUTHOR.

• Internet Providers Disk / CD-ROM / Demo Disks / Connection Kits / etc.: You may distribute this SOFTWARE on your disk/CD only as bundled shareware with other programs without charge and permission as long as the "General Terms and Conditions" set forth above are complied with. If you intend to provide the program for your own diagnostic purposes then you may not distribute the program without obtaining explicit permission from the AUTHOR.

• Software/Hardware Manufacturers & Suppliers: You may not distribute the program pre-installed or otherwise on the machines you manufacture/distribute/etc. or bundled with your own products without obtaining explicit permission from AUTHOR.

• Other Type of Distribution: Please contact AUTHOR for details.

BY DISTRIBUTING THE SOFTWARE YOU ACKNOWLEDGE THAT YOU HAVE READ AND UNDERSTOOD THIS AGREEMENT AND YOU AGREE TO BE BOUND BY THIS AGREEMENT'S TERMS AND CONDITIONS. YOU ALSO AGREE THAT THIS AGREEMENT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE RIGHTS AND LIABILITIES OF THE PARTIES AND SUPERSEDES ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN AND ANY OTHER COMMUNICATION BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.

Freeware

Licensing Terms and Conditions

2BrightSparks grants you a limited non-exclusive license to use FREEWARE downloadable from 2BrightSparks for personal, educational, charity, and commercial use, and donations are entirely optional.

If you are using the SOFTWARE free of charge under the terms of this Agreement, you are not entitled to support although we will respond to support requests if they relate to any SOFTWARE that is not performing it's task correctly (bugs etc).

Our Freeware is licensed to you in accordance with the terms and conditions of this Agreement. You represent and warrant that you will not violate any of the requirements of this Agreement and further represent and warrant that:

- You will not, and will not permit others to:

(i) reverse engineer, decompile, disassemble, derive the source code of, modify, or create derivative works from our Freeware, or

(ii) copy, distribute, publicly display, or publicly perform content contained in this Freeware other than as expressly authorized by this Agreement.

- You will not use our Freeware to engage in or allow others to engage in any illegal activity.

- You will not engage in using our Freeware that will interfere with or damage the operation of the services of any third parties by overburdening/disabling network resources through automated queries, excessive usage or similar conduct.

- You will not sell our Freeware or charge others for use of it (either for profit or merely to recover your media and distribution costs) whether as a stand-alone product, or as part of a compilation or anthology, without explicit prior written permission.

- You will not use our Freeware to engage in any activity that will violate the rights of third parties, including, without limitation, through the use, public display, public performance, reproduction, distribution, or modification of communications or materials that infringe copyrights, trademarks, publicity rights, privacy rights, other proprietary rights, or rights against defamation of third parties.

- You may not claim any sponsorship by, endorsement by, or affiliation with our company.

Limitation of Liability

Please read the LIMITATION OF LIABILITY above which applies to Freeware and Commercial software provided by 2BrightSparks Pte Ltd.


Credits

Program Credits

SyncBackSE Program Developers

2BrightSparks Pte Ltd © 2003 - 2006

Website: www.2BrightSparks.com

Additional Credits

SyncBackSE makes use of the following free components and services:

Resources: AbleStable, Serving the Creative Community: www.ablestable.com

Virtual Tree component by Mike Lischke: www.delphi-gems.com

Zip compression by Xceed Software Inc: www.xceedsoft.com

FTP by Smart FTP: www.smartftp.com

Email by AdminSystem Software Limited: www.emailarchitect.com

MD5 by David Barton: crypto@cityinthesky.co.uk

Unicode controls by TntWare: www.tntware.com

Project JEDI: http://homepages.borland.com/jedi/jcl/

Regular expression component by Andrey V. Sorokin: http://RegExpStudio.com/

Exception handling by madExcept: http://madshi.net/

International Language Translations

catalan2 | Catalan translation by Jordi Rodellar Fustero
czech | Czech translation by Vlamo
dutch | Dutch translation by Gerard Entius
france2 | French translation by Philippe Septier
germany2 | German translation by Stefan Aicher
hungary2 | Hungarian translation by Jozsef Tamas Herczeg
italy2 | Italian translation by Roberto Lodigiani and Massimo Pedrazzoli
norway | Norwegian translation by Kjetil Birkeland Moe
poland2 | Polish translation by Lukasz Puzon Brodowski
portugal-brazil |  | Portuguese (Brazilian) translation by Edson Wunderlich
china-trad2 |  | Simplified & Traditional Chinese translation by Larry Ho
spain-argentina |  | Spanish (Argentinean) translation by Gustavo Santiago
sweden2 | Swedish translation by Linus Rörstad


Company Information

2BrightSparks Pte Ltd

Overview

2BrightSparks Pte Ltd was incorporated in 2004 with Michael J. Leaver, Mike de Sousa, and Richard N. Gascoigne at its helm. Between them they have over 60 years of experience delivering professional solutions in the software and creative sectors.

2bs-bw-logo

For more about the 2BrightSparks team go to:

http://www.2brightsparks.com/about.html

Company Website

www.2brightsparks.com

Sales and Support

Sales and Support are available by submitting a support ticket from our Support Area.

Company Postal Address

2BrightSparks Pte Ltd

PSA Building

PO Box 364

Singapore 911143

Payment Processor

All payment transactions at 2BrightSparks are handled through the eSellerate payment system. At no time do we process or save customer payment card details at www.2BrightSparks.com.

If you would like to learn about eSellerate visit their site at:

http://www.esellerate.net/company_overview.asp